45.2 - 6 January 2024

Web:

* Fix bug causing us to get stuck in menu bar during caret navigation.

General:

* Dump our cached information in response to children-changed events
  so that we do not present stale information.

New and updated translations (THANKS EVERYONE!!!):

  en_GB           British English           Bruce Cowan
  fa              Persian                   Sina Aghighi
  fr              French                    Guillaume Bernard
  he              Hebrew                    Yaron Shahrabani
  ka              Georgian                  Ekaterine Papava
  pt_BR           Brazilian Portuguese      Alex Jr
  ro              Romanian                  Daniel Șerbănescu
  tr              Turkish                   Sabri Ünal

=========

45.1 - 6 October 2023

Web:

* Fix regression in bookmark support.

* Fix bug causing Cthulhu to present some custom widgets as an image.

General:

* Fix bug causing Cthulhu to ignore objects that are valid because they
  had been defunct/invalid before.

* Fix bug causing rewind and fast-forward in SayAll to fail.

* Fix chattiness issue in mate-panel.

* Only examine descriptions by default in isSameObject for Gtk apps
  for performance reasons.

* Use AXObject.is_dead instead of the script utility for performance
  reasons.

* Revert "Don't let brlapi crash us". This change was a workaround
  put in place to give distros enough time to get the fixed brltty,
  but it had a slight performance impact if braille was enabled but
  not being used.

* Stop using deprecated Gtk API in the accessible actions menu.

New and updated translations (THANKS EVERYONE!!!):

  eo              Esperanto                 Kristjan SCHMIDT

=========

45.0 - 15 September 2023

New and updated translations (THANKS EVERYONE!!!):

  ca              Catalan                   Jordi Mas i Hernandez
  cs              Czech                     Daniel Rusek
  da              Danish                    Alan Mortensen
  id              Indonesian                Andika Triwidada
  ka              Georgian                  Ekaterine Papava
  sl              Slovenian                 Matej Urbančič
  sv              Swedish                   Anders Jonsson
  zh_CN           Chinese (China)           Boyuan Yang

=========

45.rc - 5 September 2023

Bug Fixes:

* Fix several performance issues

* Fix bug causing utterances to be split up unexpectedly

* Filter out redundant descriptions to reduce chattiness

* Fix tracebacks resulting from hand-editing user-settings.conf

* Fix speech getting cut off when focus changes away from checkable
  item

* Fix Cthulhu failing to say "command not found" label in gnome-shell's
  run dialog

* Fix presentation of Qt tree cells with toggle action

* Improve logic when suspending events

New and updated translations (THANKS EVERYONE!!!):

  be              Belarusian                Vasil Pupkin
  da              Danish                    Alan Mortensen
  de              German                    Jürgen Benvenuti
  de              German                    Philipp Kiemle
  es              Spanish                   Daniel Mustieles
  fa              Persian                   Danial Behzadi
  fi              Finnish                   Jiri Grönroos
  gl              Galician                  Fran Dieguez
  id              Indonesian                Andika Triwidada
  kk              Kazakh                    Baurzhan Muftakhidinov
  lt              Lithuanian                Aurimas Černius
  pa              Punjabi                   Amn Alam
  pl              Polish                    Piotr Drąg
  ru              Russian                   Artur S0
  ru              Russian                   Sergej A
  sv              Swedish                   Anders Jonsson
  tr              Turkish                   Sabri Ünal

=========

45.beta2 (née 45.gamma) - 15 August 2023

Distros should read the following:
https://discourse.gnome.org/t/psa-for-distros-brltty-should-be-built-using-cython-0-29-x-not-cython-3

Bug Fix:

* Do not crash when BrlApi.Connection() crashes as a consequence of
  BrlTTY having been built with Cython 3.

=========

45.beta - 14 August 2023

Bug Fixes:

* Use importlib instead of imp. This is needed for Cthulhu to work in
  Python 3.12

* Fix regression in flat review braille panning

* Fix presentation of Calc selected cells

* Fix the "screen reader on" message getting cut off

* Treat LibreOffice as not supporting AtspiCollection (otherwise it can
  become non-responsive)

Feature Changes:

* Change the default button in the list-of dialogs from "jump to" to
  "activate"

New and updated translations (THANKS EVERYONE!!!):

  eu              Basque                    Asier Sarasua Garmendia
  gl              Galician                  Fran Dieguez
  hu              Hungarian                 Attila Hammer
  ka              Georgian                  Ekaterine Papava
  uk              Ukrainian                 Yuri Chornoivan

=========

45.alpha - 5 August 2023

NOTE: A beta release will follow in a few days, hopefully including all
of the translations that are in master but never made it to the gnome-45
branch.

New and Modified Features:

* Object Navigator: This allows the user to navigate through a hierarchy
  of UI objects. Bindings:
  - Ctrl+Cthulhu+Up/Down for navigating between parent/child
  - Ctrl+Cthulhu+Left/Right for navigating among siblings
  - Ctrl+Cthulhu+Return for performing a click
  - Ctrl+Cthulhu+S to toggle the simplification of the object hierarchy

* Flat Review can now by restricted to the current object of interest to
  eliminate "noise" from irrelevant objects.
  Binding: Currently unbound

* Flat Review now has a command that displays the entire contents being
  reviewed in an editable text view, making it easier to copy and paste
  the contents of terminals, dialogs, etc.
  Binding: Currently unbound

* Action Presenter: A popup menu for performing accessible actions on an
  object, such as click, expand/collapse, press. This should make it
  easier to interact with applications with poor keyboard navigability.
  Binding: Cthulhu+Shift+A

* The Notification List feature was re-written. It now uses an actual
  Gtk list rather than an off-screen one. The review announcements now
  include a timestamp and the dialog allows you to clear the history.

* Preferences Dialog and Shortcuts List are now grouped based on feature,
  making it far easier to discover and bind/rebind commands of interest.

* The Structural Navigation command to navigate among form fields was
  remapped from Cthulhu+Tab/Cthulhu+Shift+Tab to F/Shift+F. A new command was
  also added to navigate among iframes, which is currently unbound.

* Added a command to present the default button. Binding: Cthulhu+E.

* Modify Cthulhu's left-click functionality to prefer actions which are
  associated with performing a left click (e.g. click, press, jump,
  open) and only attempt to synthesize a click as a last resort.

Bug Fixes and Other Improvements:

* Added the ability to temporarily suspend registration for accessibility
  events which can greatly improve performance at times event floods are
  likely, such as window creation/destruction and activation/deactivation.

* Started preferring AtspiCollection over child iteration to locate
  descendants in the accessibility tree. The performance improvement can
  be up to 10 times faster. We will continue making changes in this area
  between now and the stable release.

* Started relying on speech-dispatcher for character presentation rather
  than our own character names dictionary, which we were not always using.
  This should cause Cthulhu to always speak the character name in the same
  way.

* Interrupt speech conditionally on focus changes. This is needed for
  Gtk 4 on Wayland because we currently do not get notifications for
  input events, which had been our most reliable hint to interrupt speech.
  The heuristics to identify when we should not interrupt speech are
  still being refined, but hopefully this will make the user experience
  a bit more tolerable until a solution is agreed upon and implemented.
  See https://github.com/flatpak/xdg-desktop-portal/issues/1046 for more
  information.

* A number of improvements to reduce some lagginess and chattiness in
  certain web apps.

* Added logic to filter out windows which claim to be active but really
  aren't, including descendants of mutter-x11-frames, the desktop frame
  of some window environments, and certain Electron apps.

New and updated translations (THANKS EVERYONE!!!):

  en_GB           British English           Bruce Cowan
  hu              Hungarian                 Attila Hammer
  it              Italian                   Gianvito Cavasoli
  ka              Georgian                  Ekaterine Papava

=========

44.1 - 25 May 2023

Web:

* Support aria-disabled on application, tab, group, and focusable
  separator/splitter

* Fix bug in identification of inline iframes

General:

* Improve performance by checking for duplicate object events

* Filter duplicate events when checking for double presses of the
  cthulhu modifier

New and updated translations (THANKS EVERYONE!!!):

  it              Italian                   Gianvito Cavasoli

=========

44.0 - 24 March 2023

New and updated translations (THANKS EVERYONE!!!):

  da              Danish                    Alan Mortensen
  fr              French                    Guillaume Bernard

=========

44.rc - 8 March 2023

General:

* Fix double-presentation of indentation information

* Interrupt speech immediately prior to speaking "screen reader off"

* Add command-line Cthulhu modifier documentation

* Fix issue when using the new AT-SPI device API

Web:

* Fix jumping in sites caused by ARIA selection-changed events

* Fix incorrect browsing in Firefox when popup has focus

* Fix double-presentation of content in ARIA's tab role

* Fix structural navigation commands sometimes failing to work after
  script reactivation


New and updated translations (THANKS EVERYONE!!!):

  ab              Abkhazian                 Nart Tlisha
  de              German                    Jürgen Benvenuti
  hu              Hungarian                 Attila Hammer
  id              Indonesian                Kukuh Syafaat
  ka              Georgian                  Ekaterine Papava
  sv              Swedish                   Anders Jonsson
  uk              Ukrainian                 Yuri Chornoivan

=========

43.1 - 3 January 2023

General:

* Clean up and fix bugs in flat review find

* Treat KP_Delete as Delete for the purpose of identifying text deletions

* Fix several issues related to prefering the TableCell interface

* Fix presentation of name-changed events for Qt push buttons

Web:

* Fix repetition of text elements during SayAll in web content

* Fix structural navigation bug impacting columns spanning multiple cells

* Fix chattiness issue with browser page tabs

* Fix bug causing Cthulhu to present a non-active page in Chrome

Mouse Review:

* Do not re-present the whole paragraph when leaving a link

New and updated translations (THANKS EVERYONE!!!):

  ab              Abkhazian                 Nart Tlisha
  ka              Georgian                  Ekaterine Papava
  nl              Dutch                     Nathan Follens

=========

43.0 - 23 September 2022

General:

* Prevent double-presentation of notifications

* Fix presentation of Nautilus items for Gtk 4

* Fix bug causing the wrong voice to be used

New and updated translations (THANKS EVERYONE!!!):

  bg              Bulgarian                 Alexander Shopov
  ca              Catalan                   Jordi Mas
  da              Danish                    Alan Mortensen
  fr              French                    Charles Monzat
  kk              Kazakh                    Baurzhan Muftakhidinov
  lv              Latvian                   Rūdolfs Mazurs
  ne              Nepali                    Pawan Chitrakar
  pt_BR           Brazilian Portuguese      Leônidas Araújo
  sl              Slovenian                 Matej Urbančič
  sv              Swedish                   Anders Jonsson
  tr              Turkish                   Sabri Ünal
  zh_CN           Chinese (China)           Boyuan Yang

=========

43.beta - 29 August 2022

Web:

* Fix issue causing Cthulhu to remain silent with autofocused inputs

* Prevent structural navigation exiting current modal dialog

* Make cell ancestor presentation optional

General:

* Fix issue causing the description to not be presented

* Fix several popup menu-related issues

* Fix issue causing certain static text in dialogs to not be presented

New and updated translations (THANKS EVERYONE!!!):

  ab              Abkhazian                 Nart Tlisha
  ca              Catalan                   Jordi Mas
  cs              Czech                     Marek Černocký
  de              German                    Jürgen Benvenuti
  eu              Basque                    Asier Sarasua Garmendia
  fr              French                    Claude Paroz
  gl              Galician                  Fran Dieguez
  hu              Hungarian                 Attila Hammer
  lt              Lithuanian                Aurimas Černius
  pl              Polish                    Piotr Drąg
  sr              Serbian                   Марко Костић
  tr              Turkish                   Emin Tufan Çetin
  zh_CN           Chinese (China)           Luming Zh

=========

43.alpha - 1 July 2022

Web:

* Fix several issues relating to presentation of navigation among
  focusable descendants within ARIA grids and tables

* Improve support for description lists

* Improve presentation of articles in feeds

* Improve presentation of unknown setsize and row/column count

* Fix several "chattiness" issues related to ARIA widgets

* Fix SayAll presentation of time element inside link

* Fix presentation of the FluentUI react dialog (and any other
  dialog which has an ARIA document-role descendant

* Improve performance in large rich-text editors

* Include focusable elements with clickancestor action in the
  list of "clickables"

WebKitGtk:

* Fix issue causing WebKitGtk 2.36 content to not be handled by Cthulhu's
  webkit support

* Fail gracefully when structural navigation commands are used in
  WebKitGtk 2.36.x (the collection interface won't be supported
  until 2.26.4)

General:

* Add more event-flood handling to improve performance in general,
  but especially for gnome-shell

* Fix bug related to which script responded to a mouse-button event

New and updated translations (THANKS EVERYONE!!!):

  bg              Bulgarian                 Alexander Shopov
  ca              Catalan                   Jordi Mas
  ca              Catalan                   Jordi Mas i Hernandez
  cs              Czech                     Marek Černocký
  da              Danish                    Alan Mortensen
  da              Danish                    Ask Hjorth Larsen
  de              German                    Mario Blättermann
  de              German                    Philipp Kiemle
  de              German                    Tim Sabsch
  es              Spanish                   Daniel Mustieles
  es              Spanish                   Francisco Javier Dorado
  eu              Basque                    Asier Sarasua Garmendia
  fa              Persian                   Danial Behzadi
  fi              Finnish                   Jiri Grönroos
  fr              French                    Charles Monzat
  fr              French                    Claude Paroz
  gl              Galician                  Fran Dieguez
  he              Hebrew                    Yaron Shahrabani
  hu              Hungarian                 Attila Hammer
  id              Indonesian                Kukuh Syafaat
  it              Italian                   Milo Casagrande
  kk              Kazakh                    Baurzhan Muftakhidinov
  lt              Lithuanian                Aurimas Černius
  lv              Latvian                   Rūdolfs Mazurs
  nb              Norwegian Bokmål          Kjartan Maraas
  ne              Nepali                    Pawan Chitrakar
  nl              Dutch                     Nathan Follens
  oc              Occitan                   Quentin PAGÈS
  pl              Polish                    Piotr Drąg
  pt_BR           Brazilian Portuguese      Leônidas Araújo
  pt_BR           Brazilian Portuguese      Matheus Barbosa
  pt_BR           Brazilian Portuguese      Tiago Casal
  pt              Portuguese                Hugo Carvalho
  ro              Romanian                  Daniel Șerbănescu
  ru              Russian                   Aleksandr Melman
  sl              Slovenian                 Matej Urbančič
  sr              Serbian                   Марко Костић
  sv              Swedish                   Anders Jonsson
  sv              Swedish                   Luna Jernberg
  tr              Turkish                   Emin Tufan Çetin
  uk              Ukrainian                 Yuri Chornoivan
  zh_CN           Chinese (China)           Boyuan Yang
  zh_CN           Chinese (China)           Luming Zh

=========

42.0 - 22 March 2022

New and updated translations (THANKS EVERYONE!!!):

  de              German                    Philipp Kiemle
  it              Italian                   Milo Casagrande
  kk              Kazakh                    Baurzhan Muftakhidinov
  nb              Norwegian Bokmål          Kjartan Maraas

=========

42.rc - 11 March 2022

Web:

* Improve behavior during event flood of table-related events from
  web apps

* Fix bug causing us to ignore a newly-loaded document due to it
  having a bogus index in parent

LibreOffice:

* Fix bug causing lines with embedded objects to not be spoken

New and updated translations (THANKS EVERYONE!!!):

  bg              Bulgarian                 Alexander Shopov
  ca              Catalan                   Jordi Mas
  cs              Czech                     Marek Černocký
  da              Danish                    Alan Mortensen
  es              Spanish                   Daniel Mustieles
  eu              Basque                    Asier Sarasua Garmendia
  fr              French                    Claude Paroz
  gl              Galician                  Fran Dieguez
  hu              Hungarian                 Attila Hammer
  id              Indonesian                Kukuh Syafaat
  lt              Lithuanian                Aurimas Černius
  pl              Polish                    Piotr Drąg
  pt_BR           Brazilian Portuguese      Matheus Barbosa
  pt              Portuguese                Hugo Carvalho
  ro              Romanian                  Daniel Șerbănescu
  ru              Russian                   Aleksandr Melman
  sl              Slovenian                 Matej Urbančič
  sr              Serbian                   Марко Костић
  sv              Swedish                   Luna Jernberg
  tr              Turkish                   Emin Tufan Çetin
  uk              Ukrainian                 Yuri Chornoivan
  zh_CN           Chinese (China)           Luming Zh

=========

42.beta - 15 February 2022

Web:

* Fix several bugs in which we update our location silently when we
  should instead announce it

* Improve behavior during event flood of text-related events from
  web apps

* Attempt to work around object destruction during structural nav

* Improve behavior of label ancestors of widgets

General:

* Fix bug causing accessing preferences to fail for esperanto

* Handle apps going defunct during cleanup; more debugging

* Handle exception when object is destroyed while getting text attributes

* Try to handle error from mate-notification-daemon during window:create

* Improve performance in gnome-shell

* Improve presentation of all text becoming unselected during caret
  navigation

New and updated translations (THANKS EVERYONE!!!):

  bg              Bulgarian                 Alexander Shopov
  ca              Catalan                   Jordi Mas i Hernandez
  cs              Czech                     Marek Černocký
  da              Danish                    Alan Mortensen
  da              Danish                    Ask Hjorth Larsen
  de              German                    Mario Blättermann
  de              German                    Tim Sabsch
  es              Spanish                   Daniel Mustieles
  es              Spanish                   Francisco Javier Dorado
  eu              Basque                    Asier Sarasua Garmendia
  fi              Finnish                   Jiri Grönroos
  fr              French                    Charles Monzat
  gl              Galician                  Fran Dieguez
  he              Hebrew                    Yaron Shahrabani
  hu              Hungarian                 Attila Hammer
  id              Indonesian                Kukuh Syafaat
  it              Italian                   Milo Casagrande
  kk              Kazakh                    Baurzhan Muftakhidinov
  lv              Latvian                   Rūdolfs Mazurs
  ne              Nepali                    Pawan Chitrakar
  nl              Dutch                     Nathan Follens
  oc              Occitan                   Quentin PAGÈS
  pl              Polish                    Piotr Drąg
  pt_BR           Brazilian Portuguese      Leônidas Araújo
  pt_BR           Brazilian Portuguese      Tiago Casal
  pt              Portuguese                Hugo Carvalho
  ru              Russian                   Aleksandr Melman
  sl              Slovenian                 Matej Urbančič
  sv              Swedish                   Anders Jonsson
  uk              Ukrainian                 Yuri Chornoivan
  zh_CN           Chinese (China)           Boyuan Yang

=========

41.1 - 1 December 2021

Web:

* Fix presentation of selected items in datalist

* Fix issue causing non-rendered headings being combined with
  other, rendered elements when presenting line contents

* Improve behavior when focused back/forward button is pressed

* Improve presentation of subscript and superscript elements
  (requires implementations exposing the associated AT-SPI2
  roles)

* Attempt to identify and present custom-element images

* Fix SayAll for rich-text editors

* Treat all list items inside listboxes as focus mode widgets
  regardless of authoring

* Clear cached objects when not dumping full cache for child change
  to prevent skipping over newly-added content

* Fix speech generator for browser alerts

* Fix issues causing certain spin buttons to not be presented correctly

General:

* Modify collections module import for Python3.10 compatibility

* Event Manager: Handle name/description change floods

* Adjust string for repeats when presenting text changes

* Clear flat review context when page tab lists emit selection-changed
  to eliminate stale context (e.g. in a wizard)

* Improve presentation of indeterminate progress bars (busy indicators)

New and updated translations (THANKS EVERYONE!!!):

  es              Spanish                   Daniel Mustieles
  he              Hebrew                    Yaron Shahrabani
  lv              Latvian                   Rūdolfs Mazurs
  ru              Russian                   Aleksandr Melman

=========

41.0 - 16 September 2021

General:

* Fix compatibility with Python 3.10

New and updated translations (THANKS EVERYONE!!!):

  da              Danish                    Alan Mortensen
  de              German                    Tim Sabsch
  es              Spanish (markup fix)      Andre Klapper

=========

41.rc - 4 September 2021

Web:

* Fix several issues related to empty but "focusable" ARIA
  tooltips

* Identify and work around (when possible) mismatched text and
  hypertext implementations that can lead to looping inside
  content

New and updated translations (THANKS EVERYONE!!!):

  cs              Czech                     Marek Černocký
  es              Spanish                   Francisco Javier Dorado
  hu              Hungarian                 Attila Hammer
  kk              Kazakh                    Baurzhan Muftakhidinov
  sv              Swedish                   Anders Jonsson
  uk              Ukrainian                 Yuri Chornoivan

=========

41.beta - 24 August 2021

General:

* Use new AT-SPI device API for keyboard monitoring when available

LibreOffice:

* Fix bug causing Cthulhu to become silent due to setting locusOfFocus
  to a defunct object

* Work around missing focus event for Calc spreadsheet which causes
  Cthulhu to ignore subsequent events

Speech:

* Do not set voice name when it is the default

=========

41.alpha - 12 July 2021

General:

 * Improve handling of accessible-event floods from apps

 * Fix bug in announcing selected items in icon views

Web:

 * Improve recovery from destruction of current object

 * Improve performance in response to caret-moved events

 * Fix crash resulting from subtree becoming hidden

 * Fix bug in toolbar browse-mode navigation

 * Fix bug causing a live region event to be ignored

 * Fix bug causing us to incorrectly switch to browse mode in VSCode

 * Ensure we present caret-moved events after Alt+Tabbing into web app

 * Don't repeat posinset and setsize for multi-line list items

 * Don't announce unselected state of grid cells/rows in browse mode

 * Don't announce row and column count when they are both 0

 * Fix braille presentation of grid cell in browse mode

 * Improve browse-mode navigation of trees and tree tables

 * Eliminate some chattiness entering elements with a caption

 * Prevent double-presentation of description for alerts

Email:

 * Fix regression presenting plain-text messages in Thunderbird

 * Work around missing events from Evolution Add Accounts

LibreOffice:

 * Work around missing state-changed:focused event that caused
   caret-moved events in documents to be ignored

Speech:

 * Ensure we enable/disable speech based on app-specific settings

 * punctuation: Spell left/right_double_angle at level "most"

 * Do not add mark within numbers (some synthesizers present numbers
   incorrectly otherwise)

 * Do not set language if it is empty (breaks output in older versions
   of speech-dispatcher)

Mouse Review:

 * Check if we have Wnck in activate() so we don't spew errors

 * Gracefully handle lack of pointer

New and updated translations (THANKS EVERYONE!!!):

  es              Spanish                   Daniel Mustieles
  es              Spanish                   Francisco Javier Dorado
  fi              Finnish                   Jiri Grönroos
  fr              French                    Charles Monzat
  he              Hebrew                    Yaron Shahrabani
  ne              Nepali                    Pawan Chitrakar
  nl              Dutch                     Nathan Follens
  oc              Occitan                   Quentin PAGÈS
  pt_BR           Brazilian Portuguese      Tiago Casal
  sv              Swedish                   Anders Jonsson

=========

40.0 - 19 March 2021

New and updated translations (THANKS EVERYONE!!!):

  cs              Czech                     Marek Černocký
  da              Danish                    Ask Hjorth Larsen
  it              Italian                   Milo Casagrande
  sv              Swedish                   Anders Jonsson
  zh_CN           Chinese (China)           Boyuan Yang

=========

40.rc - 11 March 2021

Web:

* Improve handling of, and recovery from, element destruction, e.g.
  to find the new location and contents more accurately and quickly

* Don't generate line contents when tabbing into editable with
  descendants (chattiness)

General:

* Prevent hang generating statusbar content

* Prevent hang resulting from accessible objects which claim to be
  their own parent

* Try to detect and avoid selection-changed event flood from apps
  like Caja which can make Cthulhu not responsive

* Work around lack of children-changed accessibility events from
  fillers which report 0 children

New and updated translations (THANKS EVERYONE!!!):

  de              German                    Mario Blättermann
  eu              Basque                    Asier Sarasua Garmendia
  fi              Finnish                   Jiri Grönroos
  gl              Galician                  Fran Dieguez
  id              Indonesian                Kukuh Syafaat
  pl              Polish                    Piotr Drąg
  pt              Portuguese                Hugo Carvalho

=========

40.beta - 22 February 2021

Web:

 * Add initial support for aria-braillelabel and aria-brailleroledescription

 * Add option to control automatic focus mode during native navigation

 * Improve presentation of, and fix bugs related to, offscreen text
   which is exposed to us as one or two characters per line

 * Make more roles descendable in browse mode to improve content in
   which use ARIA widget roles are applied without any associated
   keyboard navigation

 * Fix bugs in which we get stuck or skip an element due to stale cache

 * Prevent getting stuck when up arrowing with multiple newline chars

 * Don't collapse newlines from a single text object into one line

 * Respect speakBlankLines setting

 * Ensure figcaptions and descendants are presented only once

 * Fix issue in which caret-moved events preceding focus events cause
   Cthulhu to not present a newly-focused entry

 * Use posinset and setsize attributes for menus, even in browser gui

 * Eliminate double-presentation of caption children in SayAll

 * Work harder to turn inaccessible links into something presentable

 * Prevent focus mode from being entered if we're in SayAll

 * Fix presentation of table row when caret moves due to mouse click

 * Ensure we say something when using caret nav to interrupt SayAll

 * Skip useless empty elements when seeking first context in document

 * Fall back on gridcell name when generating name for nameless checkboxes

 * Miscellaneous chattiness fixes

Chromium:

 * Work around bogus/misleading selected state in browser menus

 * Fix chattiness issue arrowing up/down in Omnibox popup

 * Fix bogus presentation of posinset and setsize in popup menus

Braille:

 * Attempt to be smarter about the default contraction table, prefering
   the current locale and literary braille tables

 * Fix bug in presentation of tree items

General:

 * Fix Cthulhu not launching due to braille-related timeout

 * Use AT-SPI2's cache for children (improves performance)

 * Improve presentation of native-app navigation by word

 * Fix issue preventing us from recognizing a Tab input event

 * Announce "non selected" when focus does not follow selected in a listbox

 * Only speak newline during word nav if spoken indentation is enabled

 * Handle exception initializing mouse review with null display

New and updated translations (THANKS EVERYONE!!!):

  ca              Catalan                        Jordi Mas
  ca              Catalan                        Jordi Mas i Hernandez
  cs              Czech                          Marek Černocký
  de              German                         Christian Kirbach
  de              German                         Tim Sabsch
  en_GB           British English                Stephan Woidowski
  es              Spanish                        Daniel Mustieles
  fi              Finnish                        Timo Jyrinki
  fr              French                         Charles Monzat
  fr              French                         Claude Paroz
  gl              Galician                       Fran Dieguez
  hr              Croatian                       Goran Vidović
  hu              Hungarian                      Attila Hammer
  it              Italian                        Milo Casagrande
  lt              Lithuanian                     Aurimas Černius
  nb              Norwegian Bokmål               Kjartan Maraas
  pl              Polish                         Piotr Drąg
  pt_BR           Brazilian Portuguese           Henrique Machado Campos
  pt_BR           Brazilian Portuguese           Rafael Fontenelle
  pt              Portuguese                     Juliano Camargo
  ro              Romanian                       Florentina Mușat
  sl              Slovenian                      Matej Urbančič
  sr              Serbian                        Марко Костић
  sr              Serbian                        Мирослав Николић
  sv              Swedish                        Anders Jonsson
  tr              Turkish                        Emin Tufan Çetin
  uk              Ukrainian                      Yuri Chornoivan
  zh_CN           Chinese (China)                Boyuan Yang

=========

3.38.2 - 22 December 2020

General:

 * Don't treat unknown coordinates as definitely off-screen. Should
   fix the problem seen with flat review resulting from a change in
   Gtk+ 3.24.24

=========

3.38.1 - 3 December 2020

Web:

 * Fix crash when generating speech for childless math element

General:

 * Fix bug causing the new radio button group to not be presented
   when the group was first entered

New and updated translations (THANKS EVERYONE!!!):

   pt            Portuguese              Juliano de Souza Camargo
   pt_BR         Brazilian Portuguese    Henrique Machado Campos

=========

3.38.0 - 11 September 2020

Web:

 * Don't present aria-placeholder value when it's identical to aria-label

 * Fall back on object attributes for absent text attributes

General:

 * Add some sanity checks to prevent crashing due to GStreamer failure

 * Announce read-only state for checkboxes

New and updated translations (THANKS EVERYONE!!!):

   cs            Czech                 Marek Černocký
   de            German                Tim Sabsch
   es            Spanish               Daniel Mustieles
   fr            French                Charles Monzat, Claude Paroz
   hu            Hungarian             Attila Hammer
   id            Indonesian            Kukuh Syafaat
   it            Italian               Milo Casagrande
   pl            Polish                Piotr Drąg
   sl            Slovenian             Matej Urbančič
   sr            Serbian               Марко Костић
   sv            Swedish               Anders Jonsson
   tr            Turkish               Emin Tufan Çetin
   zh_CN         Chinese (China)       Boyuan Yang

=========

3.37.90 - 10 August 2020

Web:

 * Announce when rows, columns get reordered due to aria-sort changing

 * Fix bug causing some web content to not be presented in flat review

 * Fall back on "placeholder" when "placeholder-text" is not used by
   browsers

 * Fix bug causing presentation of stale content when navigating by word

 * Skip over clickable images during line nav if the author has set alt
   to ""

 * Fix bug causing events from Google Docs to be ignored when a dialog
   appears but lacks focus

 * Fix false positive causing us to not present self-referential labels

 * Fix crash caused by author using aria-labelledby pointing to itself

 * Always speak the current line when caret moves due to mouse click
   so that presentation is consistent regardless of the element

General:

 * Fix bug causing learn mode to not work in (at least) gnome-shell
   controls

 * Emit mode-changed notifications to inform other tools (magnifiers,
   highlighting tools) what mode Cthulhu is in when presenting content

 * Miscellaneous tweaks to GUI labels and documentation

 * Attempt to reconnect to speech-dispatcher when setting capitalization
   style fails due to SSIPCommunicationError

New and updated translations (THANKS EVERYONE!!!):

   ca            Catalan               Gil Fcthulhuda, Jordi Mas
   de            German                Tim Sabsch
   el            Greek                 Efstathios Iosifidis
   es            Spanish               Daniel Mustieles
   eu            Basque                Asier Sarasua Garmendia
   fr            French                Charles Monzat
   gb            British English       Zander Brown
   gl            Galician              Fran Diéguez
   kk            Kazakh                Baurzhan Muftakhidinov
   lt            Lithuanian            Aurimas Černius
   ro            Romanian              Daniel Șerbănescu, Florentina Mușat
   sl            Slovenian             Matej Urbančič
   sv            Swedish               Anders Jonsson
   uk            Ukrainian             Yuri Chornoivan

=========

3.37.2 - 1 June 2020

Web:

 * Present aria-sort value when focus moves to sorted row/col header

 * Ensure we present functionally-empty entries from web apps

 * Make ARIA gridcell cells caret-navigable if browse mode is sticky

 * Fix bug causing us to skip over objects in certain grids in browse
   mode

 * Handle links whose sole content is an image with alt=""

 * Force browse mode switch in web apps when child document claims focus

 * Don't repeat label, name, or role when in the same object in SayAll

 * Improve performance of presenting status bar items for web/Electron
   apps (e.g. VSCode)

 * Check for "keyshortcuts" attribute also for browser UI

 * Eliminate chattiness from Chromium omnibox

 * Ensure we present the correct row when navigating to table with
   missing rows

 * Improve structural navigation in HTML tables with conflicting ARIA
   semantics

 * Ensure we announce role and content of elements with ARIA's separator
   role

 * Ensure we verbalize punctuation for named items inside code elements

 * Improve heuristic to identify elements serving as fake placeholder
   for text

 * Use caret-moved event to recover from object destruction

 * Prevent Cthulhu from wandering into hidden objects and improve recovery
   when the currently-focused object is removed/destroyed

 * Improve overall performance processing caret-moved, children-changed,
   and text-changed events

 * Expand embedded objects for live region text insertions

Mouse Review:

 * Fix several chattiness issues

 * Fix presentation of nested cells

Braille:

 * Ensure blockquote and section text is always displayed

 * Ensure focused region starts the display when panToCursor

 * Fix bug in word wrap causing us to not display the relevant info

 * Fix error using braille with JavaAtkWrapper

 * Ensure we update our position when an anchor is clicked on
   via braille display

 * Hand off Braille output on NoFocus so other screen readers can
   provide information

 * Correctly display long strings of non-space characters that exceed
   the width of the braille line

 * Fix several panning issues

 * Remove fallback on VT 7

Speech:

 * Use punct level 'most' when available in speech-dispatcher

 * Insert pause breaks when generating status bar items so they don't
   all run together when spoken

General:

 * Emit region-changed events to inform other tools (e.g. magnifiers,
   highlighting tools) the object and optional text range Cthulhu is
   presenting

 * Present description change events for the current object

 * Fix crash related to non-standard tables

 * Work around Qt not exposing STATE_CHECKABLE and/or using
   ROLE_CHECK_MENU_ITEM on checkable menu items

 * Fix presentation of Qt widgets labelled by their parent
   container

 * Gracefully handle AT-SPI2 timeout when checking validity of app

 * Add support for the Cthulhu key being "sticky"

 * Fall back on name for labels which lack displayed text

 * Present message when the status bar cannot be found

 * Respect user's punctuation settings in app switchers

New and updated translations (THANKS EVERYONE!!!):

   ckb           Kurdish Sorani        Jwtiyar Nariman
   de            German                Tim Sabsch
   es            Spanish               Daniel Mustieles
   hu            Hungarian             Attila Hammer
   ro            Romanian              Daniel Șerbănescu, Florentina Mușat
   sv            Swedish               Anders Jonsson
   tr            Turkish               Emin Tufan Çetin
   uk            Ukrainian             Yuri Chornoivan

=========

3.37.1 - 23 April 2020

VSCode:

As a consequence of feature implementation and bug fixes described below
under "Chromium" and "Web," Cthulhu support for VSCode has been improved
significantly. Users are encouraged to test Cthulhu with VSCode Insiders
build, where Microsoft has many accessibility fixes to work with Cthulhu.

Chromium:

 * Improve label inference for form fields without author-provided names

 * Fix issue causing us to present the previous line in contenteditable

 * Fix chattiness issue resulting from failing to consider the prior
   object when generating labelOrName

 * Fix false positive on identifying list item marker

 * Prevent double-speaking of ARIA combobox value

 * Don't speak child position for popup menus (it's always 1 of 1)

 * Attempt to identify and work around possible missing window events

 * Improve responsiveness of text selection in large objects

Web:

 * Support navigation within focusable tooltips in web applications

 * Update Cthulhu to handle new mappings for ARIA alert and alertdialog

 * Add support for new ARIA code role

 * Multiple performance improvements to event handling

 * Ensure we always present ARIA groups with author-provided names

 * Improve behavior navigating in tables in web-based rich-text editors

 * Ensure we adjust text for repeated characters even in browse mode

 * Fix bug causing us to present stale value information for ARIA
   range widgets

 * Don't announce returning to browse mode when page is loading

 * Don't present load completed or page summary information if we are
   in focus mode for a valid object

 * Don't present loading message from pages which have no URI (fixes
   some chattiness when launching Firefox)

 * Ensure more objects with info get presented in flat review

 * General improvements for presentation of ARIA comboboxes

 * Don't iterate through all children of very complex SVGs (improves
   performance)

 * Ignore caret-moved events from outside the active grid in focus mode
   (fixes chattiness and also incorrectly updating our location)

 * Don't infer labels for any web app descendant (names must come from
   authors in ARIA apps)

 * Ensure we handle selection-change events from web app descendants

 * Ensure we present the name of focused web documents

 * Update focus when web app descendant claims focus, unless browse mode
   is sticky

 * Only present comment role when first entering the comment (chattiness)

 * Fix bug causing us to not present text which is directly inside a
   scroll pane

 * Treat treeitems as a whole for the purpose of caret navigation

 * Prevent Cthulhu from combining words into a single word in web content
   when navigating by word

 * Fix several issues related to rich-text editors in web apps

Thunderbird:

 * Fix bug causing us to incorrectly update the focused location when
   navigating in Settings

Mouse Review:

 * Do not announce redundant information when enabling mouse review

 * Fix window list the second time mouse review gets enabled

 * Fix window detection with more than one workspace

 * Ensure we compare the top level document with the active one

 * Fix mouse review on some web elements after scrolling

Chat apps:

 * Fix false positive with autocompleted text event (causing us to
   present membership count changes, e.g. in Pidgin)

General:

 * Reduce chattiness from page tab selection events following focus

 * Reduce chattiness from text insertions resulting from page tab switch

 * Don't re-present the description if the locusOfFocus hasn't changed

 * Don't present position in list for comboboxes which lack children

 * Fix bug causing us to not present changes in already-focused terminal
   when Cthulhu is launched

 * Only present the status bar if it is showing and visible (increases
   likelihood of Cthulhu finding the right status bar when command to
   speak the status bar is given)

 * Prevent double-speaking of static text in alerts and other containers

 * Speak "alert" role before its name rather than after

New and updated translations (THANKS EVERYONE!!!):

   nl            Dutch                 Justin van Steijn
   sl            Slovenian             Matej Urbančič
   zh_CN         Chinese (China)       Dz Chen

=========

3.36.1 - 11 March 2020

Web:

 * Flush live region messages when interrupting presentation

 * Support checkable list items and present unchecked state when item
   has checkable state and menu item role

 * Handle extraneous elements inside containers which support selection

 * Improve handling of live region messages with embedded object chars
   and filter out some duplicate messages

=========

3.36.0 - 11 March 2020

New and updated translations (THANKS EVERYONE!!!):

   nl            Dutch                 Nathan Follens
   ro            Romanian              Daniel Șerbănescu
   uk            Ukrainian             Daniel Korostil

=========

3.35.92 - 4 March 2020

Chromium:

 * Fix presentation of child position for files in Google Drive

 * Handle list item markers which lack "::marker" tag

Web:

 * Fix presentation of list items in GMail composition window

 * Eliminate chattiness from redundant SVG images which lack accessible
   information.

 * Present SVG documents using the image role

 * Several improvements to presentation of contenteditable content

 * Several improvements to presentation of aria-details information

 * Present aria-invalid info for non-widget elements

 * Present aria-roledescription value before mark/highlight start
   message

 * Ensure ARIA links are not treated like anchors

LibreOffice:

 * Calc: Eliminate chattiness from spreadsheet reclaiming focus after
   editing cell

General:

 * Ensure we use the right voice when presenting autocomplete role

 * Improve handling for window switchers which fail to emit needed
   accessibility events

New and updated translations (THANKS EVERYONE!!!):

   da            Danish                Alan Mortensen
   fr            French                Julien Humbert
   id            Indonesian            Kukuh Syafaat
   it            Italian               Milo Casagrande
   pt_BR         Brazilian Portuguese  Tiago Casal
   sl            Slovenian             Matej Urbančič

=========

3.35.91 - 20 February 2020

Chromium:

 * Remove some unwanted noise from frame name when there is no URL

 * Ensure we present alert-style dialog name and static text

 * Fix issue with live region presentation in embedded web apps

 * Improve accuracy getting the accessible object under the pointer

 * Work around issue causing us to get stuck when the focused object
   gets reparented by the author

 * Present alerts on application window activation

Web:

 * Improve handling and presentation of dynamic skip links

 * Fix bug causing certain code/preformatted text being treated as if
   it were on a single line

 * Improve handling of the focused object being replaced while focused

 * Fix bug causing us to re-announce context inappropriately

 * Treat block lists on the same line as other block elements (e.g.
   headings) as if they are on a separate line

 * Skip over empty paragraphs during caret navigation in web content

 * Fix bug causing certain blockquotes to not be announced

 * Fix chattiness and performance issue related to line navigation
   amongst table rows

 * Improve performance by caching object attributes

 * Improve performance by skipping pointless ancestor generation
   during line navigation

 * Improve presentation when caret moves to same-page link

 * Fall back on description so we present font-icon-based sharing
   links

 * Add support for suggestion, insertion, deletion, and mark roles
   and elements

 * Fix braille presentation of certain browser/app UI elements

 * Attempt to identify elements serving as placeholders for entries

 * Fix chattiness issue presenting column/row headers with author-
   provided names

 * Eliminate double-presentation of Table details during structural
   navigation

 * Improve navigation and presentation in grids in browse mode

 * Eliminate double-presentation of caret-moved events from mouse
   clicks

 * Only treat expandable elements as focus mode widgets if focusable

 * Prevent repetition of lines during SayAll for web content

 * Announce when an object has aria-details on it, and when entering
   or exiting a details container via caret navigation

Terminal:

 * Fix double-echoing of key when character echo is enabled

General:

 * Don't speak number of children when verbosity is set to brief

 * Fix bug causing the Cthulhu modifier to get unbound when a keyboard
   is plugged in or removed

 * Fix pauses being spoken as period/dot when punctuation is set to all

 * Handle setting focused region when accessible objects get recreated
   on us during braille generation

 * Fix bug causing us to not present certain Qt tables as tables

 * Fix bug causing us to not always use the system voice

 * Improve filtering out of redundant names when there is a similar
   label

 * Prefer the name over the displayed text for interactive objects

 * Fix bug prevening rebinding of commands with Cthulhu+Shift

 * Remove newline char from copied/appended flat review content

New and updated translations (THANKS EVERYONE!!!):

   ca            Catalan               Jordi Mas
   cs            Czech                 Marek Černocký
   es            Spanish               Daniel Mustieles
   eu            Basque                Asier Sarasua Garmendia
   fr            French                Claude Paroz
   gb            British English       Bruce Cowan
   gl            Galician              Fran Dieguez
   hu            Hungarian             Balázs Úr
   id            Indonesian            Sucipto
   lt            Lithuanian            Aurimas Černius
   ms            Malay                 Umarzuki Bin Mochlis Moktar
   pl            Polish                Piotr Drąg
   pt_BR         Brazilian Portuguese  Rafael Fontenelle
   sr            Serbian               Марко Костић
   sv            Swedish               Anders Jonsson
   tr            Turkish               Sabri Ünal

=========

3.35.3 - 3 Janauary 2020

Web:

 * Explicitly announce the popup type when aria-haspopup is used

 * Improve presentation of childless editable comboboxes

 * Ignore a bogus object from the Gecko accessibility tree which was
   interfering with presentation

 * Improve scrolling to text objects

 * Don't treat nameless, textless links/static text elements as clickables

 * Continued improvement of Cthulhu's support for Chromium

 * Improve accuracy of synthesized clicks on web pages

 * Be sure we don't override sticky browse mode for top-level web apps

 * Fix bug causing Cthulhu to not present button name during Say All

 * Improve presentation of selection of links which span multiple lines

 * Add support for detecting and adjusting scrolling for banner overlays
   (Note: This support requires adjustments in the user agents.)

General:

 * Fix key echo for accented letters for apps which don't give us the
   event string

 * Filter out mouse-abs event spam to make mouse review more performant

 * Improve reliability of mouse review

 * Improve identification and presentation of autocompleted text in
   entries

 * Work around missing object:state-changed:focused event from GtkTable
   which caused Cthulhu to be silent when a table initially gained focus

 * Ensure Cthulhu starts even when there are missing gstreamer components

 * Add support for word-based speech progress

 * Don't treat text insertions from non-focused widgets as echoable

 * Ensure we speak selected switcher item even when the user has set
   onlySpeakDisplayedText

 * Improve reliability of unfocusedAlertAndDialogCount()

 * Correct the position and size reported for selectable table rows

 * Don't present GtkComboBox selection changes if we're not on/in that
   widget

 * Present position in list for tables

 * Filter out duplicate clipboard contents changed notifications

 * Filter out bogus window focus claims from gnome-shell

 * Add handling for accessible app names which start with "org." or "com."

New and updated translations (THANKS EVERYONE!!!):

   ca            Catalan               Jordi Mas
   da            Danish                Ask Hjorth Larsen
   el            Greek                 Dimitris Maroulidis
   es            Spanish               Daniel Mustieles
   eu            Basque                Asier Sarasua Garmendia
   gl            Galician              Fran Dieguez
   nl            Dutch                 Nathan Follens
   pt_BR         Brazilian Portuguese  Rafael Fontenelle
   sv            Swedish               Anders Jonsson

=========

3.34.0 - 9 September 2019

Web:

 * Complete *initial* support for Chrome/Chromium. Important: In order
   for this support to work, you will need a version of Chrome/Chromium
   which has not yet been released. In addition, you will need fixes
   which have not yet been committed to Chrome/Chromium. While the Cthulhu
   side of things should largely be ready, Chrome/Chromium is not yet
   ready for end-user testing with Cthulhu. But we're even closer now. So
   stay tuned!

 * Don't auto-enter focus mode for embedded role if reading PDF.

 * Ensure we respect the choice to temporarily turn live regions off.

 * Ignore "document" load events for images emitted by Gecko.

 * Eliminate some chattiness with popup button elements.

Thunderbird:

 * Attempt to improve performance by ignoring some event spam.

General:

 * Several stability fixes for objects and applications going defunct.

 * Fix regression introduced by Shift Lock change.

 * Improve reliability of mouse review when multiple objects report
   same bounding box.

New and updated translations (THANKS EVERYONE!!!):

   el            Greek                 Dimitris Maroulidis
   es            Spanish               Daniel Mustieles
   fi            Finnish               Jiri Grönroos
   fr            French                Claude Paroz
   it            Italian               Milo Casagrande

=========

3.33.91 - 27 August 2019

Web:

 * Improve performance with structural navigation amongst large objects.
   Also fix performance regression introduced in unstable release.

 * Treat headings as paragraphs for the purpose of structural navigation

 * Treat push buttons with state has-popup as focus-mode widgets

 * Fix chattiness resulting from svg elements with no information

 * Don't generate tutorial messages for widgets in document content

 * Eliminate some chattiness with Google Drive menus

 * Improve presentation of widgets which are destroyed and recreated
   while focused

 * Improve detection and presentation of content which is exposed to
   us incorrectly due to CSS properties

 * Ongoing work on Chromium support. Note: ATK support in Chromium is
   still a work in progress and not yet ready for end-user testing.
   But we're getting close, so stay tuned!

GNOME Shell:

 * Eliminate some chattiness with Dash

New and updated translations (THANKS EVERYONE!!!):

   ca            Catalan               Robert Antoni Buj i Gelonch
   cs            Czech                 Marek Cernocky
   de            German                Tim Sabsch
   en_GB         British English       Bruce Cowan
   eu            Basque                Asier Sarasua Garmendia
   fr            French                Claude Paroz
   gl            Galician              Fran Diéguez
   lt            Lithuanian            Aurimas Černius
   lv            Latvian               Rūdolfs Mazurs
   ne            Nepali                Pawan Chitrakar
   po            Polish                Piotr Drąg
   sl            Slovenian             Matej Urbančič
   sr            Serbian               Марко Костић
   tr            Turkish               Çağatay Yiğit Şahin

=========

3.33.90 - 2 August 2019

Web:

 * Try to include results count during find in page searches

 * Fix bugs preventing SayAll on page load from working

 * Fix bug in braille presentation of new Firefox location input

 * Work around another instance of CSSed text being exposed as one char
   per line

 * Improve presentation of treegrids

 * Reduce chattiness with editable comboboxes and with auto-focused
   descendants

 * Never treat layout-only-table cells as focus-mode widgets

 * Make finding clickables more performant

 * Ensure we present final word in element when navigating by word

 * Present caret-moved events from mouse clicks even if element hasn't
   changed

 * Ongoing work on Chromium script. Please note: ATK support in Chromium
   needs much work. Until that work has been done, Cthulhu will not be able
   to provide access to Chromium. The current support is very much a work
   in progress and not yet ready for end-user testing.

Mouse Review:

 * Improve overall presentation of units of text under the pointer

 * Improve logic filtering out irrelevant mouse movements during review

 * Apply non-mousereview cell/row presentation preferences for a
   more consistent experience

 * Don't present description for mouse review if tooltip presentation
   is off

General:

 * Add support for Shift Lock

 * Add initial support for AtspiText's scrollSubstringTo

 * Add fall backs for click-at-point failures

 * Also check for "underline:spelling" as indication of spelling error

 * Improve response time for mouse input events

 * Allow building with gettext ≥ 0.20


New and updated translations (THANKS EVERYONE!!!):

    es            Spanish               Daniel Mustieles
    hu            Hungarian             Attila Hammer
    id            Indonesian            Kukuh Syafaat
    pt_BR         Brazilian Portuguese  Rafael Fontenelle
    ro            Romanian              Florentina Mușat
    ru            Russian               Stas Solovey
    sl            Slovenian             Matej Urbančič
    sv            Swedish               Anders Jonsson

=========

3.33.3 - 18 June 2019

Web:

 * Improve presentation of Google Sheets when native accessibility
   support is being used rather than live-region-based support

 * Add support for in-process ARIA feature for alternative text for
   cell indices

 * Fix bug in live region support causing some information to not be
   presented

 * Improve presentation of off-screen content (so that it isn't
   spoken as if each word is on its own line)

 * Ensure we present newly-focused widget when current widget gets
   destroyed

 * Fix presentation of description-term and description-value roles

 * Fix bug causing basic context information to be missing during
   structural navigation

 * Improve presentation of Dojo color-chooser buttons

 * Speak the landmark type before the landmark name/content rather
   than after

 * Don't treat two landmarks as being on the same line

 * Fix issue resulting in some items being skipped during SayAll

 * Ensure we don't filter out links with author-provided names

 * Improve likelihood that we'll speak link role for descendant text

 * Improve behavior of non-interactive web cells with click handlers

 * Ensure we present the newly-focused element after dialog is dismissed

 * Explicitly clear text selection when controlling navigation

 * Work around another issue in Gecko's broken text implementation

 * Ongoing work on Chromium script. Please note: ATK support in Chromium
   needs much work. Until that work has been done, Cthulhu will not be able
   to provide access to Chromium. The current support is very much a work
   in progress and not yet ready for end-user testing.

Mouse Review:

 * Fix bug causing us to present the wrong document when multiple
   documents are open

General:

 * Fix several issues related to presentation of combo boxes

 * Separate out voice variants in GUI

 * Fix braille traceback when there are no lines to display

 * Add marks at end of line for speech

 * Fix several "chattiness" issues

 * Improve performance searching for objects in accessibility tree

 * Improve flat review of table rows

 * Ignore window deactivate events if the event is not from the active
   window

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                 Efstathios Iosifidis
    es            Spanish               Daniel Mustieles
    eu            Basque                Asier Sarasua Garmendia
    hu            Hungarian             Balázs Úr, Attila Hammer
    id            Indonesian            Kukuh Syafaat
    nl            Dutch                 Nathan Follens

=========

3.33.1 - 18 April 2019

Web:

 * Fix issue navigating to and around multibyte characters

 * Fix issue related to our workaround for broken Gecko text

 * Improve presentation of nameless links with non-meaningful URL

 * Fix bug causing us to get stuck in a nested layout tables when
   using table navigation on the non-layout parent

 * Don't exit focus mode when navigating among text in a web app

 * Only do the work to filter inferred labels if we have to

 * Eliminate duplicate presentation of table-row content

 * Fix bug in going to the beginning/end of a container via structural
   navigation

Speech:

 * When we don't have a custom char name, use speech-dispatcher's API
   to speak characters so that letters are not presented as words

Qt:

 * Ignore events from accelerator labels

LibreOffice:

 * Do not announce selection changes from unfocused combo boxes

General:

 * Handle the reported number of text selections being -1

 * Migrate from intltool to gettext

New and updated translations (THANKS EVERYONE!!!):

    da            Danish                Ask Hjorth Larsen
    fi            Finnish               Jiri Grönroos
    fr            French                Guillaume Bernard

=========

3.32.0 - 13 March 2019

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky
    de            German                Tim Sabsch

=========

3.31.92 - 8 March 2019

General:

 * Create generic switcher script and use it for all non-gnome-shell
   switchers

 * Improve presentation when initially getting into the Compiz and
   MATE switchers

New and updated translations (THANKS EVERYONE!!!):

    fr            French                Claude Paroz
    hu            Hungarian             Balázs Úr
    it            Italian               Milo Casagrande
    lv            Latvian               Rūdolfs Mazurs
    nl            Dutch                 Nathan Follens
    ro            Romanian              Daniel Șerbănescu
    sr            Serbian               Марко Костић

=========

3.31.91 - 21 February 2019

Web:

 * Ensure web contents are scrolled into view during SayAll

 * Scroll the current object to the top edge when using structural
   navigation

 * Prevent extra context being presented in contenteditable elements

 * Work around YouTube focus issue when navigating by heading

 * Improve presentation of graphical/icon-based push buttons

 * Increase the likelihood that inline list items will be presented as
   one line

 * Attempt to identify and ignore bogus events from background etherpad

 * Fix issue presenting text with links when using etherpad in object
   mode

 * Don't do SayAll for URIs starting with "moz-extension"

 * Improve interaction and presentation of focusable trees

LibreOffice:

 * Fix presentation of text selection spanning multiple, partial
   lines in a list

General:

 * Fix hang resulting from building flat review context from objects
   claiming a bogus, huge bounding box

 * Handle broken accessibility tree when generating labelOrName

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky
    da            Danish                Alan Mortensen
    de            German                Tim Sabsch
    gl            Galician              Fran Diéguez
    hu            Hungarian             Balázs Úr
    id            Indonesian            Kukuh Syafaat
    kk            Kazakh                Baurzhan Muftakhidinov
    lt            Lithuanian            Aurimas Černius
    po            Polish                Piotr Drąg
    pt_BR         Brazilian Portuguese  Rafael Fontenelle
    sl            Slovenian             Matej Urbančič
    sv            Swedish               Anders Jonsson
    tr            Turkish               Sabri Ünal

=========

3.31.4 - 14 January 2019

New Commands:

 * Add unbound command to present current object's size and position

 * Add an unbound command to switch between layout mode and object mode

Web:

 * Ignore page loads for non-active documents

 * Fix presentation of focusable text with MathML children

 * Eliminate some chattiness with MathML embedded in links and headings

 * Improve finding sentence start in contents with embedded objects

 * Make toggle buttons and non-focusable buttons reachable via "b"

 * Improve consistency in placement of navlist

 * Fallback on access key when there is no aria-keyshortcuts value

 * Check 'URI' in addition to 'DocURL' when getting URL of document

 * Add initial Chromium script. Please note: ATK support in Chromium
   needs much work. Until that work has been done, Cthulhu will not be able
   to provide access to Chromium. The current support is very much a work
   in progress and not yet ready for end-user testing.

LibreOffice:

 * Ensure we fall back on native headers when dynamic headers aren't set

Braille:

 * Fail initialization if device is not plugged yet

 * On initialization error, make sure to clean BrlAPI connection

 * Ensure we don't pan beyond the length of the line being displayed

 * Make sure the attribute mask is as long as the text string

General:

 * Ignore window deactivations we believe are not user-triggered
   (Reduces chattiness when using certain window-manager shortcuts)

 * Improve performance searching the accessibility tree for needed
   information

 * Don't clear the cache of non-Gecko windows by default (improves
   performance)

 * Don't bother checking the mousereview item when mousereview is not
   active (improves performance)

 * Fix bug in flat review say all causing us to cut off information

 * Fall back on rolename when presenting title of nameless frames

 * Ensure we use keyval_name when event_string is absent for keyboard
   events

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                 Daniel Mustieles
    fr            French                  Charles Monzat
    sl            Slovenian               Matej Urbančič
    sv            Swedish                 Anders Jonsson

=========

3.31.1 - 19 Octoboer 2018

General:

 * Include the selected item count when presenting selection

 * Fix double presentation of items in certain lists

 * Handle various instances of objects going defunct

 * Present expanded state even when state expandable is not
   exposed

 * Treat expanded events from listboxes and push buttons as
   presentable events

 * Ignore spurious focus claim from gnome-shell window after
   switcher use

 * Add handling for objects with role "redundant object"

 * Ensure we're not silent when a cell gains focus

 * Add initial support for Smuxi (gnome frontend)

 * Restore X keyboard layout on cthulhu segfault

 * Add support for removing user profiles

Web:

 * Improve behavior of page summary when caret context is null
   or the document cannot be found

 * Handle component interface failures in label inference

 * Sanity-check offsets before calling getRangeExtents()

 * Make braille presentation of new document web role consistent
   with old document frame role

 * Ensure we correctly speak the role of edit spin buttons

LibreOffice:

 * Work around Writer killing focused cell during row insertion
   and deletion

 * Don't present ancestors after editing Calc cell

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky

=========

3.30.1 - 19 Octoboer 2018

General:

 * Fix presentation of nameless menu items in certain gnome-shell
   extensions

 * Improve presentation of Pluma spell-check dialog

 * Fix bug in sentence echo

 * Fix issue with profile names containing XML special characters

Web:

 * Fix some chattiness with SayAll in web content

LibreOffice:

 * Work around Writer issue preventing presentation of selected text

New and updated translations (THANKS EVERYONE!!!):

    nb            Norwegian bokmål        Kjartan Maraas
    ru            Russian                 Stas Solovey
    sr            Serbian                 Марко Костић

=========

3.30.0 - 17 September 2018

General:

 * Present event for non-showing object if it's focused

 * Don't present unselected-cell message for text objects

 * Don't speak "no focus" even when there is no accessible application
   focused (it annoys users more than it helps them)

 * Automatically present details content upon expansion of controlling
   widget

 * Bump version for availability of simulating modifiers in at-spi

Web:

 * Ignore bogus focus event for active window from Gecko

 * Don't speak row header role with multiple objects are on the same line

 * Only prefer the name of links when it's author-provided

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky
    de            German                Tim Sabsch
    hu            Hungarian             Balázs Úr
    pt_BR         Brazilian Portuguese  Tiago Casal
    sk            Slovak                Peter Vágner
    sv            Swedish               Anders Jonsson

=========

3.29.92 - 3 September 2018

General:

 * Fall back on displayed text for labels which lack an accessible name

 * Fix regression resulting from presentation of all selected items

 * Always treat ROLE_APPLICATION objects as having size

Web:

 * Clear cache to work around missing state-changed event

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky
    da            Danish                Ask Hjorth Larsen
    de            German                Tim Sabsch
    fr            French                Claude Paroz
    gl            Galician              Fran Dieguez
    hu            Hungarian             Attila Hammer
    id            Indonesian            Kukuh Syafaat
    it            Italian               Milo Casagrande
    lt            Lithuanian            Aurimas Černius
    lv            Latvian               Rūdolfs Mazurs
    po            Polish                Piotr Drąg
    pt_BR         Brazilian Portuguese  Rafael Fontenelle
    ro            Romanian              Daniel Șerbănescu
    sl            Slovenian             Matej Urbančič
    sv            Swedish               Anders Jonsson
    tr            Turkish               Emin Tufan Çetin

=========

3.29.4 - 30 July 2018

General:

 * Announce when all items in a container have been selected

 * Rename selected-text command, bind it to a keystroke, and make it work in
   spreadsheets and other containers

 * Check additional ancestry when trying to find current flat review location

 * Limit double-cthulhu caps lock synthesis to within 0.5s

 * Minimize looking for unrelated labels in gnome-shell (performance)

 * Add brief delay before announcing "no focus"

Terminal:

 * Treat terminal insertions which end at the caret as presentable

 * Prevent double-echoing of typed characters

LibreOffice:

 * Add option to always speak full selected range in spreadsheet

Speech:

 * Fix issues in recently-added progress marking and SSML support

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                 Xavi Ivars
    de            German                  Tim Sabsch
    es            Spanish                 Daniel Mustieles

=========

3.29.3 - 7 July 2018

Web + Email:

 * Stop Cthulhu from descending into widget elements it should not descend

 * Fix bug preventing Cthulhu from presenting the current object

 * Fix chattiness problem due to creation of bogus window accessibles

 * Filter out bogus load events from Firefox extensions

 * Correcly update caret position when Page Up/Down used in editable text

 * Fix focus mode staying toggled off after leaving context menu

 * Don't exit focus mode when navigating to/amongst radio buttons

 * Eliminate double-presentation of name when name comes from contents

 * Improve MathML presentation

LibreOffice:

 * Present Calc cell selection changes

General:

 * Fix many bugs and improve performance of Mouse Review

 * Handle starting flat review when offset is after final character

 * Do a better job of determining the focused object upon launch

 * Ensure the expanded state of tree rows is annnounced

 * Support synthesizing caps lock for double-cthulhu support
   (requires AT-SPI2 2.30 or later)

 * Make double-cthulhu presses perform the underlying key action

 * Reduce chattiness in icon views

 * Ensure buttons with single-character names get spoken

 * Fix several issues in Cthulhu's presentation of unrelated labels

 * Improve behavior/presentation when current object becomes defunct

 * Fall back on described-by relation to get description

 * Ignore various bogus events from apps and toolkits

Speech:

 * Respect SSML norm

 * Add progress marking support

Braille:

 * Fix braille updating when backspacing text on long lines

 * braille: only set viewport[0] to 0 when the string fits

 * Update braille when caret moves in web page due to mouse click

 * Support CMD_FWINLTSKIP and CMD_FWINRTSKIP from brltty

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                 Daniel Mustieles

=========

3.28.2 - 28 June 2018

Web + Email:

 * Update Cthulhu to handle "document web" role now used in Gecko

General:

 * Fix bug causing certain combo boxes to not be presented

Braille:

 * Fix braille word wrap being incorrectly enabled

 * Fix brlmon regression introduced by 71b63379f

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Cernocky
    de            German                Tim Sabsch

=========

3.28.1 - 21 April 2018

Web + Email:

 * Fix Cthulhu-triggered focus change in Thunderbird message composition
   window

General:

 * Handle event floods from Caja and Nautilus more efficiently

Braille:

 * Release device when braille is deactivated for some applications

 * Fix bogus dots appearing after text

New and updated translations (THANKS EVERYONE!!!):

    sv            Swedish                Anders Jonsson

3.28.0 - 26 March 2018

Web + Email:

 * Ensure focus is grabbed on image links when navigating

 * Fix bug causing notifications to trigger browse mode

LibreOffice:

 * Improve heuristic to identify spellcheck dialog

General:

 * Ensure list name is presented for ancestor lists

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                  Marek Černocký
    da            Danish                 Alan Mortensen
    de            German                 Tim Sabsch
    es            Spanish                Daniel Mustieles
    fi            Finnish                Jiri Grönroos
    fr            French                 Claude Paroz
    hu            Hungarian              Gábor Kelemen, Balázs Úr
    it            Italian                Milo Casagrande
    lt            Lithuanian             Aurimas Černius
    lv            Latvian                Rūdolfs Mazurs
    nl            Dutch                  Nathan Follens
    sl            Slovenian              Matej Urbančič
    sr            Serbian                Марко Костић
    sr@latin      Serbian Latin          Милош Поповић
    sv            Swedish                Anders Jonsson
    tr            Turkish                Emin Tufan Çetin
    zh_CN         Chinese (China)        Mingcong Bai

=========

3.27.91 - 19 February 2018

Web + Email:

 * Improve navigation among, and presentation of, editable elements with
   descendants

 * Fix bug in which Cthulhu went silent due to text elements failing to
   support the accessible text interface

 * Eliminate double presentation of visual labels which also provide the
   accessible description

 * Fix issue causing Cthulhu to skip over certain table content in SayAll

 * Improve presentation of displayed text in ARIA dialogs

 * Re-enable announcement of page tab switches in Firefox

LibreOffice:

 * Work around https://bugs.documentfoundation.org/show_bug.cgi?id=109398

 * Eliminate double presentation of redundant frames

General:

 * Implement initial support for braille "word wrap"

 * Improve presentation of locations in file chooser dialog

 * Only present text changes from type-ahead entries if they are focused

 * Eliminate some chattiness resulting from redundant focus claims from
   Gtk+ tables

 * Eliminate double-presentation of spin button value changes

 * Fix bug causing nameless, valueless comboboxes to not be presented

 * Fix issues in Cthulhu's documentation

 * Bump minimum version of AT-SPI2

New and updated translations (THANKS EVERYONE!!!):

    de            German                Tim Sabsch
    eo            Esperanto             Kristjan SCHMIDT
    es            Spanish               Daniel Mustieles
    fr            French                Claude Paroz
    gl            Galician              Fran Dieguez
    id            Indonesian            Kukuh Syafaat
    po            Polish                Piotr Drąg
    pt_BR         Brazilian Portuguese  Enrico Nicoletto
    uk            Ukrainian             Андрій Бандура

=========

3.27.3 - 11 December 2017

Web + Email:

 * Fixed several issues in presentation of editable content

 * Hack around lack of window:activate events for ARIA dialogs

 * Fix presentation of find results in new version of Firefox

 * Improve handling of focused elements getting destroyed when activated

 * Attempt to identify and navigate around non-navigable embedded documents

General:

 * Fix chattiness issue caused by off-screen labels in Gtk+ listboxes

 * Eliminate incorrect presentation of previous panel

 * Fix issues to pass 'yelp-check validate'


New and updated translations (THANKS EVERYONE!!!):

    ca@valencia   Catalan (Valencian)   Xavi Ivars
    cs            Czech                 Marek Černocký
    ne            Nepali                Pawan Chitrakar
    no            Norwegian bokmål      Kjartan Maraas
    sv            Swedish               Anders Jonsson
    tr            Turkish               Muhammet Kara, Olcay Aşcı

=========

3.26.0 - 15 September 2017

Web:

 * Add support for aria-errormessage

 * Add support for aria-keyshortcuts

 * Fix several issues related to presentation of plain text content

LibreOffice:

 * Filter out checked event from window which isn't active

 * Work around event-ordering issue

General:

 * Fix incorrect presentation of old ancestors

 * Fix issue related to presentation of status bars

 * Remove unneeded try/except around Gdk.notify_startup_complete()

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan               Jordi Mas
    cs            Czech                 Marek Cernocky
    da            Danish                Kenneth Nielsen
    de            German                Christian Kirbach,
                                        Mario Blättermann
    fi            Finnish               Jiri Grönroos
    fr            French                Alain Lojewski
    fur           Friulian              Fabio Tomat
    gl            Galician              Fran Dieguez
    hu            Hungarian             Attila Hammer
    it            Italian               Milo Casagrande
    lt            Lithuanian            Aurimas Černius
    lv            Latvian               Rūdolfs Mazurs
    ml            Malayalam             Anish Sheela
    pl            Polish                Piotr Drąg
    pt_BR         Brazilian Portuguese  Rafael Fontenelle,
                                        Tiago Casal
    sl            Slovenian             Matej Urbančič
    sr            Serbian               Марко Костић
    sr@latin      Serbian               Милош Поповић
    sv            Swedish               Anders Jonsson
    tr            Turkish               Emin Tufan Çetin

=========

3.25.4 - 31 July 2017

Web:

 * Add support for DPub ARIA roles

 * Add custom localized role names for ARIA feed and figure roles

 * Treat articles as "large objects" for the purpose of structural
   navigation

 * Ensure we present infobar-like widgets with role of alert

 * Eliminate double presentation of name of widgets which descend from
   label element

 * Fix presentation of checkboxes and radio buttons with descendants
   when using caret navigation

 * Work around Gecko not pruning alt="" images from accessibility tree

LibreOffice:

 * Fix bug in presentation of selected item in comboboxes

 * Ensure we present focus claims from lists which manage descendants

 * Fix performance issue presenting selection changes in spreadsheet

General:

 * Work around missing events for popup menus, submenus, and dialogs

 * Work around missing state-changed:focused events for Gtk+ apps

 * Update locusOfFocus to active window even in the case of broken
   hierarchy

 * Fix presentation of cells with multiple renderers

 * Handle more instances of dead accessible objects and non-responsive
   applications

 * Eliminate chattiness resulting from events coming from ancestor of
   locusOfFocus

 * Improve presentation of newly-focused listboxes

 * Sanity-check values app provides in response to getTextAtOffset()

 * Address Python 3.6 invalid escape sequence deprecation

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish               Daniel Mustieles
    fr            French                Claude Paroz
    hu            Hungarian             Attila Hammer
    id            Indonesian            Andika Triwidada
    kk            Kazakh                Baurzhan Muftakhidinov
    lv            Latvian               Rūdolfs Mazurs
    ne            Nepali                Pawan Chitrakar

=========

3.24.0 - 20 March 2017

Web:

 * Fix issue in new command to move to the end of the current container.

 * Fix instance in which we were failing to present contenteditable
   content.

 * Sanity check our attempt to hack around broken text from Gecko.

General:

 * Improve presentation of Gtk+ editable combo boxes.

 * Attempt to handle children-changed:add event flood from menus.

MATE:

 * Filter out focus events from widgets in windows which claim to be
   active, but actually are not.

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Černocký
    da            Danish                Kenneth Nielsen
    de            German                Mario Blättermann
    fr            French                Claude Paroz
    fur           Friulian              Fabio Tomat
    hu            Hungarian             Attila Hammer
    id            Indonesian            Andika Triwidada
    it            Italian               Milo Casagrande
    sk            Slovak                Peter Vágner

=========

3.23.91 - 27 February 2017

Web:

 * Add structural navigation commands to move to start, end of current
   container.

 * Handle bogus/duplicate accessible-application instances we're seeing
   with Gecko apps built against Gtk+ 3 (eliminates double-presentation
   during caret-navigation).

 * Try to prevent SeaMonkey Mail composition from unexpectedly entering
   browse mode.

 * Fix issues getting stuck in visually-hidden MathML content (MathJax).

 * Prevent generation of unrelated labels for web content (performance).

 * Fix several issues to improve our workarounds for bugs in Gecko's
   accessible-text interface.

 * More work on recovery from zombified elements (improves reliability).

 * Improve reliability of "sticky" browse mode.

 * Fix minor issues in new context-presentation support.

 * Don't present loading messages if document is neither showing nor
   visible.

MATE:

 * Work around MATE Panel's less-than-ideal event ordering and missing
   events in order to improve presentation of its Applications menu.

 * Sanity-check windows which claim to be active and ignore bogus
   window:active events and state-changed:active events from frames.

General:

 * Don't present new ancestors of menu bars.

 * Don't use the pyatspi cache for descriptions to ensure we don't
   present stale information.

 * Don't treat insertions as auto-text events if the source is no longer
   focused.

 * Fix recent (unstable-version) regression in which labels which
   label other labels stopped being presented.

 * Update the active window and conditionally present mouse-triggered
   focus changes.

New and updated translations (THANKS EVERYONE!!!):

    da            Danish                  Ask Hjorth Larsen
    de            German                  Christian Kirbach
    es            Spanish                 Daniel Mustieles
    gl            Galician                Fran Diéguez
    kk            Kazakh                  Baurzhan Muftakhidinov
    lt            Lithuanian              Aurimas Černius
    nb            Norwegian bokmål        Kjartan Maraas
    pl            Polish                  Piotr Drąg
    pt_BR         Brazilian Portuguese    Rafael Fontenelle
    sr            Serbian                 Мирослав Николић
    sr@latin      Serbian                 Miroslav Nikolić
    sv            Swedish                 Anders Jonsson
    zh_CN         Chinese (China)         Mandy Wang
    zh_TW         Chinese (Taiwan)        Chao-Hsiung Liao

=========

3.23.4 - 2 February 2017

Web:

 * Optionally announce when entering and leaving blockquotes, lists,
   tables, panels, forms, and landmarks

 * Improve handling of pages where the content is rapidly and repeatedly
   destroyed and replaced

 * Improve workarounds for several Gecko editable-text bugs

 * Ensure we always announce ARIA landmark type before setting the caret

 * Improve presentation of ARIA regions

 * Add custom support for ARIA switch role

 * Present messages resulting from use of aria-invalid

 * Check for and filter out defunct objects when building elements list

 * Eliminate double-speaking of line after document load

 * Suppress presentation of irrelevant loading messages resulting from
   busy state-change events in SeaMonkey's mail client

 * Eliminate double-speaking of inferred labels in SayAll

 * Fix several instances where new document name was not being presented

 * Handle (un)ordered lists in which item text falls outside the item
   element

 * Descend images if they are imagemaps so that we don't fail to present
   their content

LibreOffice:

 * Fix crash presenting certain Writer tables

 * Handle LO's recently-corrected exposure of text attributes for
   spellcheck

 * Handle change in LO's accessibility tree for dialogs

 * Handle more cases of LO objects becoming defunct

 * Don't assume we can always get a string value for Calc input line

 * Yet another workaround for yet another missing state-changed event

General:

 * Make spoken presentation of accessible description optional

 * Work around missing focus-change events when focus changes due to a
   mouse click

 * Use Unicode in translatable strings

 * Fix several issues in which we incorrectly update our location based
   on bogus or redundant accessibility events

 * Reduce chattiness associated with presentation of typeahead search

 * Include infobar content when presenting status bar and default button

 * Reduce chattiness associated with icons which incorrectly implement
   accessible text

 * Improve presentation of editable comboboxes

 * Fix bug in which Cthulhu is silent on launch due to inability to access
   default screen

 * Don't generate substring content unnecessarily (performance)

 * Don't treat an empty table as layout only if the user gives it focus

 * Fix bug speaking punctuation when punctuation style is set to NONE

 * Stop converting horizontal ellipses to "..." in braille

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                   Marek Černocký
    de            German                  Christian Kirbach
    es            Spanish                 Daniel Mustieles
    fr            French                  Claude Paroz
    gl            Galician                Fran Diéguez
    hu            Hungarian               Attila Hammer, Balázs Meskó
    nl            Dutch                   Justin van Steijn
    pl            Polish                  Piotr Drąg
    pt_BR         Brazilian Portuguese    Rafael Fontenelle

=========

3.22.2 - 8 November 2016

General:

 * Improve support for Icedove

 * Work around broken accessibility trees causing flat review to fail

 * Work around missing state-changed events for LibreOffice toggle
   buttons

New and updated translations (THANKS EVERYONE!!!):

    fr            French                      Claude Paroz
    nb            Norwegian bokmål            Kjartan Maraas
    nl            Dutch                       Justin van Steijn

=========

3.22.1 - 11 October 2016

Terminal:

 * Reduce some chattiness using vim

New and updated translations (THANKS EVERYONE!!!):

    en_GB         British English       David King
    hr            Croatian              gogo
    it            Italian               Milo Casagrande
    oc            Occitan               Cédric Valmary
    sv            Swedish               Anders Jonsson

=========

3.21.92 - 16 September 2016

Chat:

 * Fix performance issue with Pidgin channels with thousands of users

 * Fix bug in presenting chatroom name when app is not active

 * Add customization to present chat room name after incoming message

Flat Review:

 * Make context menus flat-reviewable

 * Improve filtering out of non-showing menu items in flat review

 * Take possible margins/padding into account when looking for the
   descendant at a specified point (performance)

 * Do not treat collapsed table rows as leaf nodes if they have
   children

Web:

 * Add explicit do-not-descend-for-caret check for ROLE_IMAGE so that
   we don't present useless information when authors use ARIA's img
   role on embedded SVG documents

 * Handle another instance of broken accessibility trees

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                 Marek Černocký
    da            Danish                Kenneth Nielsen
    el            Greek                 Tom Tryfonidis
    es            Spanish               Daniel Mustieles
    gl            Galician              Fran Diéguez
    hu            Hungarian             Attila Hammer, Gábor Kelemen
    kk            Kazakh                Baurzhan Muftakhidinov
    lt            Lithuanian            Aurimas Černius
    lv            Latvian               Rūdolfs Mazurs
    pl            Polish                Piotr Drąg
    sv            Swedish               Anders Jonsson
    tr            Turkish               Muhammet Kara

=========

3.21.91 - 2 September 2016

Flat Review:

 * Automatically refresh content

 * Improve accuracy with respect to what is truly on screen and where
   it is located

 * Improve performance building context

 * Fix reviewability of Gtk+ icon panels and Gtk+ spin button values

 * Add toolkit-specific handling for special cases (and toolkit bugs)

 * Make menu-bar menus reviewable, including separators and disabled
   items which cannot be arrowed to natively

 * Make objects which typically display text (but might not implement
   the text interface) reviewable by word and character

 * Fix issue finding initial flat review location in Thunderbird


Mouse Review:

 * Dig deeper to find object under pointer for page tab list descendants
   (So we don't just say "Page Tab")

 * Fix issue causing Cthulhu to say "blank" in text with embedded objects

 * Add word support to all text objects; not just editable text objects

 * Work around Gtk+ 3 exposing incorrect text range extents for entries
   (So we present the actual word under the mouse)

 * Add logic to handle windows whose accessible name doesn't match the
   displayed name

 * Add an announcement so that when the user toggles Mouse Review some
   confirmation is provided

Terminal:

 * Fix instance where braille was not being refreshed

 * Do not ignore deletion events resulting from BackSpace

 * Update some cached information

 * Filter out a spurious, unwanted text-delete event from VTE

 * Don't treat inserted strings <= 1 char as a terminal autotext event

 * Don't treat terminal insertion as command result if terminal isn't
   locusOfFocus

 * Present terminal paste events like we do paste events from other apps

 * Work around issues in the text support of VTE which was causing us
   to present cut-off text

 * Attempt to filter out terminal pager text-change noise to reduce
   chattiness

 * Present terminal pager text insertions when they result from a
   printable key

Web:

 * Add a "sticky" browse mode and keybinding

 * Do not descend ROLE_EMBEDDED objects for the caret (ARIA compliance)

 * Treat menu and toolbar descendants as focus mode widgets

 * Create new localized role names for ARIA landmark roles

 * Don't automatically update locusOfFocus to alerts; just present them

 * Improve presentation of Roundcube Mail's list of messages

 * Fix issue presenting stale content

 * Don't present name and summary for page which is no longer showing
   or visible

 * Attempt to hack around SeaMonkey's broken events for HTML input
   popups which was causing us to exit focus mode incorrectly

 * Improve presentation and handling of editable ARIA combo boxes

LibreOffice:

 * Don't treat present "readonly" state for paragraphs in read-only
   documents

 * Add handling for GtkListBox items used by LibreOffice

 * Work around a number of LibreOffice bugs which were causing us to
   to present the wrong thing

Other:

 * Ensure we use the system voice for rolename info in WebKitGtk SayAll

 * Create new localized rolenames for horizontal and vertical scrollbars
   bars, sliders, and splitters

 * More aggressively verify if a message is from a focused chat

 * Fix whereAmI presentation of Gtk+ 3.20 combo boxes

 * Remove .desktop file

 * Include tool bar when presenting context

 * Improve reliability of profile-based synthesis switching

 * Do not supress presentation of locking keys in password fields

 * Make the progressbar update intervals independent so beeps are always
   presented when that is desired

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                     Jordi Mas
    cs            Czech                       Marek Černocký
    da            Danish                      Ask Hjorth Larsen
    de            German                      Mario Blättermann,
                                              Christian Kirbach
    en_GB         British English             David King
    es            Spanish                     Daniel Mustieles
    fr            French                      Claude Paroz
    hu            Hungarian                   Balázs Úr
    id            Indonesian                  Andika Triwidada
    lt            Lithuanian                  Aurimas Černius
    pl            Polish                      Piotr Drąg
    pt            Portuguese                  Tiago Santos
    pt_BR         Brazilian Portuguese        Rafael Fontenelle,
                                              Enrico Nicoletto
    sk            Slovak                      Dušan Kazik
    sl            Slovenian                   Matej Urbančič
    sr            Serbian                     Мирослав Николић
    sr@latin      Serbian                     Miroslav Nikolić
    sv            Swedish                     Anders Jonsson
    tr            Turkish                     Muhammet Kara,
                                              Neriman Kara
=========

3.21.3 - 20 June 2016

Web:

 * Fix a couple of instances of Cthulhu getting stuck during caret
   navigation

 * Fix bug in setting position via element-list dialogs

 * Eliminate double-presentation of inferred labels

 * Add more caching for performance

LibreOffice:

 * Ignore object:state-changed:sensitive events for menu items
   because LibreOffice is flooding us

General:

 * Eliminate hang resulting from AT-SPI2 crash

 * Don't show as desktop application in Unity; Cthulhu is part of
   Universal Access

 * Take interfaces into account when looking for non-descendable
   descendants (helps with performance)

 * Handle more instances of objects going defunct, apps becoming
   non-responsive, and apps creating duplicate accessible objects

 * Make the output of 'cthulhu -l' more verbose to identify non-
   responsive apps

 * Ensure a script only registers one signal handler for clipboard
   changes

 * Ensure synthesizer is changed when switching profiles via command

 * Filter out more duplicate input events

 * Support non-srcdir builds in autogen.sh

 * Miscellaneous code clean up

New and updated translations (THANKS EVERYONE!!!):

 oc            Occitan                     Cédric Valmary
 pl            Polish                      Piotr Drąg

=========

3.21.1 - 25 April 2016

Gecko:

 * Fix presentation of title bar in Gecko apps

 * Work around Google Maps killing the focused widget

 * Fix offset used when evaluating text selection in content with
   embedded objects

 * Don't set new focus to context object if context object is zombie

 * Only update locusOfFocus to context replicant if locusOfFocus is a
   zombie

 * Don't use generated text as name for web content which exposes a name,
   unless it's a combo box or spin button

 * Cache label-related information for web content for performance

 * Ignore events from Mozilla's self-repair hidden page

 * Don't do SayAll for page fragments

 * Prevent locusOfFocus change when navigating in SeaMonkey message list

Unity Panel Service:

 * Work around labels reporting an index in parent of -1

 * Work around label descriptions containing unwanted content

 * Fall back on name when labels fail to implement the text interface

Gtk+

 * Handle changes in Gtk+ 3.20 combo boxes

 * Only treat cells with non-whitespace chars as real active descendants

General:

 * Detect and handle row-reordered event spam so valid events can be
   presented

 * Fix a false positive with clipboard messages

 * Don't re-present description if it was used as name fallback

 * Handle unhandled case of objects becoming defunct

 * Fix syntax error in Bulgarian help file

 * Begin refactoring of keyboard event processing

New and updated translations (THANKS EVERYONE!!!):

 hu           Hungarian              Attila Hammer
 it           Italian                Milo Casagrande
 pt           Portuguese             Tiago Carrondo
 sl           Slovenian              Matej Urbančič

=========

3.20.0 - 21 March 2016

General:

 * Fix desktop file keywords in Slovenian translation

New and updated translations (THANKS EVERYONE!!!):

 da            Danish                      Ask Hjorth Larsen
 it            Italian                     Milo Casagrande
 pt_BR         Brazilian Portuguese        Rafael Fontenelle

=========

3.19.92 - 19 March 2016

General:

 * Return early in allSelectedText() when entire document is selected
   (performance)

 * Fix restoration of location when returning to nested document after
   find in page

 * Work around unforunate event order when switching page tabs in Gecko
   applications

 * Eliminate several clipboard/selection-related-presentation false
   positives

 * Treat terminal text insertions resulting from Alt-modified input event
   as command output

 * Map MATE's notification daemon to the notification-daemon script

New and updated translations (THANKS EVERYONE!!!):

 bg           Bulgarian              Alexander Shopov, Zahari Yurukov
 da           Danish                 scootergrisen
 el           Greek                  Efstathios Iosifidis, Tom Tryfonidis
 fr           French                 Claude Paroz
 hu           Hungarian              Attila Hammer, Balázs Meskó
 pt           Portuguese             Duarte Loreto
 pt_BR        Brazilian Portuguese   Rafael Gazoni
 ro           Romanian               Daniel Șerbănescu
 sl           Slovenian              Matej Urbančič
 sr           Serbian                Мирослав Николић
 sr@latin     Serbian                Miroslav Nikolić
 tr           Turkish                Muhammet Kara

=========

3.19.91 - 2 March 2016

General:

 * Fix several issues in presentation of clipboard notifications

 * Ignore some uninteresting and spammy events (performance, chattiness)

 * Don't keep asking the registry for the desktop (performance)

 * Eliminate several instances of terminal chattiness

 * Hack around Pidgin status toggle button bug

 * Improve presentation of selection changes in layered panes

 * Fix modifier keys being passed to application while in in learn mode

 * Add a customization to present updates for status bar progress bars

 * Make detailed whereAmI fall back on basic whereAmI presentation

 * Speak popovers which are modal but do not claim focus

 * Fix incorrect identification of commands entered on Cyrillic keyboards

 * Fix presentation of first radio button in a functional (but not actual)
   group

 * Use isSameObject() to detect widgets and windows which were recreated

Gecko:

 * Work around multiple accessible objects for one functional window

 * Add more, and more performant, zombie replicant recovery utilities

 * Grab focus on entries when setting focus mode; not when positioning
   caret so we don't accidentally trigger popups

 * Notify script when locusOfFocus is set from window to contenteditable
   objects so we're not silent

 * Work around broken table interface Gecko issue

 * Attempt to identify and present clipboard events caused by elements

 * Let default script handle content editable during selection

 * Clear content cache when Thunderbird window is deactivated so we don't
   mistakenly conclude we're in the same document frame

 * Fix several caret navigation and structural navigation bugs

 * Present object counts for all objects in detailed whereAmI page
   summary

LibreOffice:

 * Update some heuristics to address changed roles in Calc 5.1.x

 * Handle more cases of Calc becoming non-responsive or crashing

 * Work around missing event from LibreOffice Calc

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                     Jordi Mas
    cs            Czech                       Marek Černocký
    es            Spanish                     Daniel Mustieles
    gl            Galician                    Fran Diéguez
    lt            Lithuanian                  Aurimas Černius
    oc            Occitan                     Cédric Valmary
    pl            Polish                      Piotr Drąg
    sv            Swedish                     Anders Jonsson

=========

3.19.90 - 17 February 2016

New Features and Options:

 * Present copy, cut, paste, undo, redo, selection deletion, and
   selection restoration

 * Add progress bar beeps

 * Add core support for sound-icons (not yet enabled)

 * Add option to present page summary upon load, and include landmarks
   in summary

 * Speak visited state for links which have been visited

 * Make Flat Review SayAll binding independent of focus-tracking SayAll
   binding

 * Speak text indentation during selection

 * Add a specific setting for speaking the misspelled indicator

General:

 * Improve presentation of selected content in Gecko

 * Fix bug in on-the-fly row reading for spreadsheets

 * Update support for changes in Calc 5.1

 * Fix failure to copy all characters when using flat review copy

 * Present the new location when using PageUp/PageDown in web content

 * Remove the old and broken-for-years console setup

 * Work around broken text-insertion events from gnome-shell

 * Handle missing events from Eclipse

 * Work around focused links Gtk+ links reporting index in parent of -1

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Mario Blättermann
    es            Spanish                     Daniel Mustieles
    eo            Esperanto                   Kristjan SCHMIDT
    lt            Lithuanian                  Aurimas Černius
    lv            Latvian                     Rūdolfs Mazurs
    oc            Occitan                     Cédric Valmary
    pl            Polish                      Piotr Drąg
    sv            Swedish                     Anders Jonsson
    tr            Turkish                     Muhammet Kara

=========

3.19.3 - 16 December 2016

New Settings and Commands:

 * Create separate cell-vs-row reading options for tables in GUIs, text
   documents, and spreadsheets

 * Add GUI option to configure capitalization style

Web:

 * Improve performance of presentation of web listboxes

 * Improve presentation of headings which contain embedded objects

 * Improve presentation of non-empty anchors

General:

 * Ensure the correct voice is used when generating current line of text

 * Call gdk_notify_startup_complete()

 * Fix several bugs related to presenting the locus of focus

 * Fix double-presentation of top-level Gtk+ alerts

 * Cache the string in addition to the offsets for selected text (perf.)

 * Add more sanity checks for defunct objects and applications

 * Stop filtering out events from ROLE_FILLER (because some applications
   lack proper roles)

 * Don't treat a series of periods as an ellipsis

 * Treat ROLE_PAGE as a top-level object when doing Zombie checks (fixes
   Evince issue)

 * Don't verbalize punctuation or capitalization for system messages

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                     Daniel Mustieles
    pt            Portuguese                  Pedro Albuquerque

=========

3.19.2 - 25 November 2015

New Settings and Commands:

 * Add unbound commands to present selected text and link details

 * Add GUI to enable rewind/fast-forward and structural navigation
   in Say All

 * Make the use of color names configurable via GUI

 * Make speech and braille message settings configurable via GUI

 * Add preference and unbound keybinding to have Cthulhu speak numbers
   as digits

 * Add explicit time format option for 12-hour time with seconds

 * Break up printable-keys keyecho into alpha, numeric, and punctuation

Web:

 * Improve presentation of Twitter timeline items

 * Fix several bugs related to navigation to fragments

 * Filter out hidden elements when presenting content

 * Use Gecko's onChildrenChanged callback for Thunderbird instead of
   the default (fixes issues related to cache management)

 * Use isLink() rather than a role check to eliminate false positive
   from anchors

 * Don't look for replicant for zombie locusOfFocus when in focus mode

 * Remove application from the list of ARIA landmark types (ARIA 1.1
   compliance)

Gtk:

 * Present newly-shown GtkInfoBars

 * Improve presentation of GtkEntryCompletion

 * Generate all child widgets of GtkListBox items

General:

 * Work around several issues related to identifying and keeping track
   of the active window

 * Don't double/multi-present selection-state messages

 * Fix bug in which text was not presented because object had a name

 * Rewrite and fix several bugs in Cthulhu's progress bar support

 * Filter out some more useless/bogus events (for performance)

 * Handle more instances of the undead (zombies); start handling the
   dead (fixes various and sundry bugs resulting from objects going
   defunct on us)

 * Fix double-presentation and incorrect ordering of frame name changes

 * Rewrite setLocusOfFocus and default script's onCaretMoved (improves
   performance, eliminates instances of not presenting new location)

 * Don't display shortcuts if braille verbosity is set to brief

 * Add NotShowIn=GNOME; to the desktop file

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Wolfgang Stöggl
    es            Spanish                     Daniel Mustieles
    pt            Portuguese                  Pedro Albuquerque

=========

3.18.2 - 9 November 2015

Web:

 * Fix typeahead search regression in the list-of-elements dialogs

 * Fix a couple of issues associated with presenting "busy" pages

 * Switch to sticky focus mode in top-level web apps like Google Docs

 * Attempt to work around Google Docs editor exposed as ROLE_UNKNOWN

 * Don't infer labels for form fields in web apps

 * Present text changes resulting from onclick handlers

 * Don't generate ancestors for MathML elements and filter out empty
   utterances (performance)

 * Eliminate several instances of Gecko chattiness

 * Filter out more browser chrome event spam (performance)

 * Use Cthulhu's web support to say word contents for editable messages in
   Thunderbird (works around broken text interface implementation)

 * Work around broken lists in web content

 * Don't return the child of a "non-descendable" element as the last
   document object

 * Don't descend links with author-provided names

General:

 * Fix issue in which key presses were being echoed in a password field

 * Add sanity check for broken accessibility trees when getting the
   focused child

 * Update Gedit spellcheck support for 3.18 and improve heuristic
   performance

 * Do not try to calculate node level for non-tree descendants

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Christian Kirbach
    hu            Hungarian                   Attila Hammer

=========

3.18.1 - 14 October 2015

Web:

 * Improve presentation of canvas elements which lack fallback content

 * Fix for Cthulhu filtering out text elements which have no size due to
   authoring

 * Fix for Cthulhu not doing SayAll on load when the focused object is the
   document frame

 * Workaround several issues which was causing the caret to get "stuck"

 * Add another fallback "guess" to the label inference code for fields
   in poorly-authored forms

 * Present Firefox "door hanger" alerts

 * Filter out selection event spam from browser chrome autocompletes

 * Prefer name over label when generating labelOrName (W3C compliance)

 * Ensure we present aria-roledescription for non-focusable landmarks

 * Include object role in the list of landmarks dialog

 * Don't treat objects with ROLE_LABEL as an ancestor (causes double
   presentation of widget name)

 * Process DOM changes more efficiently for performance

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Wolfgang Stöggl
    el            Greek                       Dimitris Spingos
    it            Italian                     Milo Casagrande
    pt_BR         Brazilian Portuguese        Tiago Casal
    sr            Serbian                     Марко Костић
    sr@latin      Serbian                     Милош Поповић

=========

3.18.0 - 21 September 2015

General:

 * Fix flatreview traceback

New and updated translations (THANKS EVERYONE!!!):

    da            Danish                      Kenneth Nielsen
    fr            French                      Julien Hardelin
    hu            Hungarian                   Attila Hammer
    id            Indonesian                  Andika Triwidada
    nb            Norwegian bokmål            Kjartan Maraas
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    tr            Turkish                     Muhammet Kara

=========

3.17.92 - 16 September 2015

Web:

 * Add support for aria-roledescription

 * Work around missing object:state-changed:focused events from Gecko

 * Fix several instances of Cthulhu getting "stuck" in Gecko content

 * Fix bug causing Cthulhu to skip over nested iframe content during SayAll

General:

 * Handle tracebacks resulting from Calc crashing

 * Explicitly deregister keystroke listeners before shutting down

 * Ignore state-changed:busy events seen when printing in Thunderbird

 * Eliminate false positive identifying Thunderbird spellcheck dialog

 * Fix a performance issue associated with appearance of dialogs with
   many widgets

 * Save messages and add braille output to the notification-daemon script

New and updated translations (THANKS EVERYONE!!!):

    de            German                      Christian Kirbach
    fr            French                      Claude Paroz

=========

3.17.91 - 2 September 2015

Web:

 * Treat (un)ordered HTML lists without list items as if they were divs

 * Clear the cache and try once more when the next/previous context
   cannot be found

 * Treat web documents as top-level roles for the purpose of Zombie
   detection

 * Fix MathML line navigation issue

 * Fix issue causing Cthulhu to skip certain web content during Say All

 * Improve caret navigation around images lacking content, interaction,
   and size

General:

 * Updated documentation

 * Add ability to override object role when generating tutorial messages

 * Handle more event floods from LibreOffice and gnome-shell

 * Handle several "The process appears to be hung" AT-SPI2 errors from
   Firefox and LibreOffice

 * Work around broken custom comboboxes and listboxes which lack items

 * Fix bug in presentation of chat messages from non-active applications

 * Add option to speak 12-hour time without seconds

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                     Jordi Mas
    el            Greek                       Tom Tryfonidis
    es            Spanish                     Daniel Mustieles,
                                              Miguel Rodríguez Núñez
    gl            Galician                    Fran Diéguez
    hu            Hungarian                   Gabor Kelemen
    pl            Polish                      Piotr Drąg
    sv            Swedish                     Anders Jonsson
    zh_TW         Chinese (Taiwan)            Chao-Hsiung Liao

=========

3.17.90 - 19 August 2015

Spellcheck:

 * Use Cthulhu's spellcheck support in the LibreOffice script

 * Perform normal WhereAmI at the end of spellcheck WhereAmI

 * Present child position according to user preference

 * Fix several chattiness issues

Gecko:

 * Handle Gecko-specific text attribute name for misspelled

 * Fix traceback getting into Thunderbird preferences

 * Fix bug in line navigation of MathML content

 * Don't generate ancestors beyond MathML math element

 * Don't treat objects with tons of embedded objects as text "chunks"

 * Don't repeat document-loading message given multiple "busy" events

 * Handle input type="number" (which is not exposed like native version)

 * Ensure object mode navigation presents only content from one object

 * Refine heuristic for ignoring object:selection-changed events

 * Don't include empty text block elements in structural navigation

 * Skip over anchors when looking for next/previous caret context

 * Treat lists as text block elements in web content

 * Improve how Cthulhu works with Etherpad in Firefox

LibreOffice:

 * Fix several issues in which focused widgets were not presented

General:

 * Use gi.require_version to address PyGIWarning

 * Fix several bugs in _generateUnselectedCell()

 * Don't sanity-check children if there are a huge number of them

 * Don't generate availability for list items as it doesn't make sense

 * Don't insist upon label visibility for status bar notifications

 * Add support to navlist for specifying and jumping to a caret offset

 * Begin cleaning up text-attribute-related code

 * Eliminate some false positives in isLayoutOnly()

 * Fix desktop file translations

 * Fix typos in translator comments

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Christian Kirbach
    el            Greek                       Dimitris Spingos
    es            Spanish                     Daniel Mustieles
    lt            Lithuanian                  Aurimas Černius
    nb            Norwegian bokmål            Kjartan Maraas
    pt            Portuguese                  Pedro Albuquerque

=========

3.17.4 - 22 July 2015

MathML:

  * Implement speech support for MathML content in Gecko-based browsers

Web:

  * Fix several regressions introduced by the new "web" script

  * Don't set the locusOfFocus to non-focused link upon document focus

  * Ignore state-changed:busy events from nested web documents

  * Create a utility method to get and cache an element's tag

General:

  * Handle some changes in the Thunderbird v.38 spellcheck dialog

  * Add handling for ROLE_HEADER

  * Add support for status bar notifications

  * Remove the old "inacessible" metacity/marco hack

  * Stop using gnome-autogen.sh

  * Mark several command-line strings for translation

  * Enable toggling of speech via keybinding when speech is disabled

  * Add handling for Evo's "autocomplete" popups

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                       Dimitris Spingos
    es            Spanish                     Daniel Mustieles
    fr            French                      Claude Paroz
    pt            Portuguese                  Pedro Albuquerque

=========

3.17.3 - 23 June 2015

Gecko:

  * Fix several issues in Cthulhu's live region support to make Google Docs
    usable with Cthulhu

  * Rewrite Cthulhu's structural navigation support to fix bugs and improve
    performance

  * Create "web" script and use it for Gecko content

  * Avoid navigating into tooltip-like popups in web apps

  * Fix issues related to Gecko using ROLE_TEXT for static text elements

General:

  * Improve performance associated with event floods and dead accessibles

  * Fix presentation of newly-misspelled words in LibreOffice Writer

  * Present the text of ROLE_FOOTER objects

  * Add unbound keybindings to increase and decrease speech volume

  * Fall back on parent autocomplete if entry lacks label and name

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                       Dimitris Spingos
    es            Spanish                     Miguel Rodríguez Núñez

=========

3.17.2 - 27 May 2015

Gecko:

  * Update spellchecking support to handle changes in recent releases
    of Thunderbird

  * Fix several SayAll issues

  * Fix failure to present the last line in a text area

  * Fix failure to move to newly-loaded page fragment

  * Fix failure to present expanded state change in ARIA content

  * Fix failure to present correct radio button state in ARIA content

  * Stop double-presenting find results

  * Stop re-generating braille when not needed

  * Fix issue presenting focus changes between document frame and child
    link

  * Reset command state when Gecko script is deactivated in order to
    ensure content is presented after Alt+Tabbing back into Firefox

General:

  * Fix several issues related to pyatspi cache not being updated

  * Handle traceback when calling findAllDescendants in broken
    implementation

  * Stop repeating tutorial messages when navigating amongst items
    of the same type

  * Work around still more missing object:state-changed:focused events
    from Gtk+

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                           Jordi Mas
    es            Spanish                           Daniel Mustieles
    nb            Norwegian bokmål                  Kjartan Maraas
    oc            Occitan                           Cédric Valmary

=========

3.16.2 - 12 May 2015

General:

  * Fix traceback which can occur getting children via relationset

  * Add explicit braille handling for ROLE_PAGE so we update the line in
    Evince

  * Change default value of fallbackOnUnicodeData to False

  * Attempt to eliminate verbal spewage for links which lack meaningful
    information

  * Ignore text-selection-changed events from Gecko objects with no text

  * Hack around yet another missing object:state-changed:focused event
    for Gtk+

  * Provide a symbolic variant of the app icon

  * Work around a missing object:state-changed:focused event from
    LibreOffice

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    de            German                      Uwe Geercken
    pt_BR         Brazilian Portuguese        Rafael Ferreira

=========

3.16.1 - 15 Apr 2015

General:

  * Don't search for replicants for Gecko zombies when pages are being
    loaded because it can lead to a hang.

  * Don't present position in list for the top-level menu of a context
    menu

  * Only present placeholder text if the entry lacks a value

  * Use labelAndName instead of labelOrName with toggle buttons so
    that we fallback on description when name has not been provided

  * Work around yet another missing object:state-changed:focused event
    from Gtk+

  * Use datadir and localedir and not DATADIRNAME

  * Fix for bug 746400 - Speak child position breaks Qt menu item
    presentation

  * Fix issue where translated symbols were being presented in English

New and updated translations (THANKS EVERYONE!!!):

    bg            Bulgarian                   Zahari Yurukov
    is            Icelandic                   Sveinn í Felli
    it            Italian                     Milo Casagrande
    ru            Russian                     Stas Solovey
    sl            Slovenian                   Matej Urbančič

=========

3.16.0

New and updated translations (THANKS EVERYONE!!!):

    hu            Hungarian                   Gabor Kelemen
    id            Indonesian                  Andika Triwidada
    it            Italian                     Milo Casagrande
    pt_BR         Brazilian Portuguese        Enrico Nicoletto
    sv            Swedish                     Anders Jonsson

=========

3.15.92 - 17 March 2015

General:

  * Refine the heuristic used to identify layout tables

  * Do not speak table details when verbosity level is brief

  * Check for the new(ish) accessible roles for documents in structural
    navigation (needed for table navigation in recent versions of Writer)

  * Check for Zombie accessibles in Writer's onCaretMoved() so that we
    don't get tripped up by deleted paragraphs

  * Be less aggressive weeding out layout-only siblings for position
    and set size, because getting it 100% right is non-performant

  * Don't look for zombie replicants in ROLE_EMBEDDED objects (fixes
    hang with Firefox)

  * Use the default object generation for ROLE_EMBEDDED (fixes bogus
    information presentation with Firefox)

  * Correct outdated links to documentation in translator comments, and
    fix translator comment symbol for bowtie operator

  * Present the line rather than all object contents when navigating by
    landmark

  * Update our landmark role list to bring it into alignment with the
    ARIA spec

  * Do not rely on displayedText() when determining if a table cell is
    blank

  * Update position in Gecko content when SayAll is interrupted

  * Several fixes related to Gecko killing accessible objects

New and updated translations (THANKS EVERYONE!!!):

    bs            Bosnian                     Samir Ribic
    cs            Czech                       Marek Černocký
    da            Danish                      Kenneth Nielsen
    pl            Polish                      Piotr Drąg
    sl            Slovenian                   Matej Urbančič

=========

3.15.91 - 2 March 2015

General:

  * Add optional start and end offset arguments for getTextLineAtCaret()

  * Fix multiple issues related to presentation of widgets and web content

  * Don't rely on pyatspi's cache for names

  * Add support for XDG_VTNR for braille

  * Add formatting strings for ROLE_LABEL so that they get presented

  * Work around two cases of dead LibreOffice accessible objects

  * Ignore text insertions from menus and menu items

  * Add support to identify and present Evolution's Status column header

  * Set sayAllOnLoad's default value to False for Evolution

  * Add utility methods to identify WebKitGtk content in Evolution

  * Add some sanity checking to handle dead accessibles from Evolution

  * Validate reportedly-selected children

  * Suppress bogus "not selected" presentation in Evo's Messages tree

  * Handle a missing event from a mystery object in the Evolution GUI

  * Add support for Evolution's GUI

  * Implement ability to use structural navigation commands during SayAll

  * Remove clickCount from cthulhu_state.py

  * Move lastKeyEchoTime to speechdispatcherfactory.py

New and updated translations (THANKS EVERYONE!!!):

    de            German                            Christian Kirbach
    es            Spanish                           Daniel Mustieles,
                                                    Miguel Rodríguez Núñez
    fr            French                            Julien Hardelin
    gl            Galician                          Fran Diéguez
    lt            Lithuanian                        Aurimas Černius
    nb            Norwegian bokmål                  Kjartan Maraas
    sl            Slovenian                         Matej Urbančič
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.15.4 - 19 January 2015

General:

  * Implement ability to "rewind" and "fast forward" during SayAll

  * Add support for presentation of mathematical alphanumeric symbols and
    operators

  * Fix for bug 742293 - Application-specific shortcut rebinding doesn't
    persist

  * Eliminate some false positives in the label inference code

  * Fix several bugs related to sayAll

  * Improve support for presentation of nested tables during structural
    navigation

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                       Dimitris Spingos
    es            Spanish                     Daniel Mustieles
    eu            Basque                      Inaki Larranaga Murgoitio
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    sl            Slovenian                   Matej Urbančič
    tr            Turkish                     Muhammet Kara

=========

3.14.3 - 03 December 2014

Gecko:

  * Fix several issues related to focus mode toggling on pages which
    set focus upon page load

  * Exclude layout-only/presentational tables in structural navigation

LibreOffice:

  * Handle a false positive in isSameObject() which prevented paragraph
    presentation

New and updated translations (THANKS EVERYONE!!!):

    uk            Ukrainian              Daniel Korostil

=========

3.14.2 - 10 November 2014

Gecko:

  * Update the position and command state after a mouse click

  * Don't descend tables in findReplicant() - fixes a hang

  * More hack removal and reworking of find{Next,Previous}Object()

  * Don't switch to focus mode if the object is a text block element

  * Check for both focusable and focused states when determining text
    block elements

  * Only use focused format type for objects which are not text block
    elements

  * Generate the rolename for links even if they were not "just entered"

  * Suppress tutorial messages for focus mode widgets when not in focus
    mode

  * Prevent repeating of labels and tutorial messages in entries

  * Speak text role for Gecko apps when not in document content

  * Remove FOCUSED and SELECTED states as requirements for focus mode

General:

  * Do not present tutorial messages if the object is not the locusOfFocus

New and updated translations (THANKS EVERYONE!!!):

    it            Italian                     Milo Casagrande
    ne            Nepali                      Pawan Chitrakar
    nb            Norwegian bokmål            Åka Sikrom
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    sr            Serbian                     Мирослав Николић
    sr@latin      Serbian                     Miroslav Nikolić

=========

3.14.0 - 23 September 2014

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    da            Danish                      Kenneth Nielsen
    de            German                      Benjamin Steinwender
    el            Greek                       Tom Tryfonidis
    es            Spanish                     Daniel Mustieles
    hu            Hungarian                   Attila Hammer, Gabor Kelemen
    lt            Lithuanian                  Aurimas Černius
    pl            Polish                      Piotr Drąg
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    sk            Slovak                      Dušan Kazik

=========

3.13.92 - 17 September 2014

Gecko:

  * Implement support for "layout" mode and "object" mode, the latter
    being what is traditionally found in Windows screen readers and
    which will hopefully make the switch to GNU/Linux easier.

  * Continued reworking of caret navigation by line to improve accuracy
    and responsiveness and to eliminate getting stuck and looping

  * Fix several issues of structural navigation looping

  * Allow Cthulhu's navigation commands to work even when content is being
    loaded, which solves bugs like inability to navigate during a file
    download

  * Fix many bugs related to label inference

  * Use the speech and braille generators rather than manually creating
    the strings in the script

  * Present the accessible description for elements given focus via
    caret navigation and structural navigation

  * Do not announce clickables if verbosity level is set to brief

  * Add a command to toggle speech verbosity levels on the fly

  * Fix a bogus tutorial message being presented for non-editable text

Other:

  * Enable autostart for MATE and Cinnamon

  * Fix the "bad content sent to speech.speak" bug

  * Fix bug preventing binding and rebinding of commands in laptop layout

  * Include foreground and background colors in the default spoken text
    attributes (Note that this only impacts new configurations.)

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                     Gil Fcthulhuda
    ca            Catalan (Valencian)         Carles Ferrando
    da            Danish                      Kenneth Nielsen
    fi            Finnish                     Jiri Grönroos
    fr            French                      Claude Paroz
    gl            Galician                    Fran Diéguez
    id            Indonesian                  Andika Triwidada
    lt            Lithuanian                  Aurimas Černius
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    ru            Russian                     Yuri Myasoedov
    sk            Slovak                      Peter Vágner

=========

3.13.91 - 2 September 2014

Gecko:

  * Significant reworking of caret navigation by line to improve accuracy
    and responsiveness and to eliminate getting stuck and looping

  * Fix many bugs related to caret navigation by word

  * Add support for aria-hidden="true"

  * Present longdesc and clickable as part of Where Am I

  * Fix an issue with structural navigation into list boxes

  * Fix several bugs in presentation of Gecko form fields

  * Fix several issues related to braille presentation of ARIA widgets

  * Fix a regression introduced in 3.13.90 which caused Thunderbird
    message composition to not be properly displayed in braille

LibreOffice:

  * Speak cell coordinates for Writer tables

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    el            Greek                       Tom Tryfonidis
    es            Spanish                     Francisco Javier Dorado
    fr            French                      Claude Paroz
    gl            Galician                    Fran Diéguez
    nb            Norwegian bokmål            Kjartan Maraas
    pt_BR         Brazilian Portuguese        Enrico Nicoletto

=========

3.13.90 - 19 August 2014

Gecko:

  * Create Browse and Focus modes to make acceess to web content and web
    apps more reliable

  * Add support for presentation of longdesc and "clickable" elements

  * Add support for structural navigation by image and by "clickable"

  * Present the accessible description when giving focus to objects

  * Present expanded state for links which can be expanded

  * Fix a number of bugs that caused Cthulhu to loop and/or skip over content

  * Fix a number of bugs related to presentation of ARIA

  * Improve presentation of list boxes

  * Eliminate double-brailling of links in list items

  * Fix a couple of SayAll bugs

Evince:

  * Fix a traceback that occurred when form field widgets lost focus

  * Fix a hang that can occur when using structural navigation with forms

Other:

  * Check for accessible names when presenting entries

  * Fix bug 732550 - Cthulhu does not announce selection state toggling in Qt

  * Fix for Cthulhu going silent when speaking of child position is enabled

  * Map 'marco' to 'metacity' in the script manager

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                             Tom Tryfonidis,
                                                    Maria Mavridou
    es            Spanish                           Daniel Mustieles
    fi            Finnish                           Lasse Liehu
    lt            Lithuanian                        Aurimas Černius
    nb            Norwegian bokmål                  Kjartan Maraas
    ru            Russian                           Yuri Myasoedov
    zh_HK         Traditional Chinese (Hong Kong)   Chao-Hsiung Liao
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.13.3 - 23 June 2014

General:

  * Implement support for presenting color names instead of RGB values

  * Fix several issues in character echo

  * Use the same string when presenting U+00A8

  * Present the acute accent using the same name when typing and reading

  * Stop using speechdispatcher's KEY command for printable key echo

  * Don't double-present punctuation when keyecho and character echo are
    both enabled

  * Always respect braille verbosity levels when presenting widget roles

  * Fall back on sayCharacter() when there is no word for sayWord() to
    present

  * Don't present focus changes when navigating by character or word in
    Writer

  * Fix several LibreOffice UI-presentation related issues

  * Fix a regression in changing rate and pitch on the fly

  * Present focused scrollbars

  * Add support for ROLE_DIAL

  * Fix for Cthulhu presenting checked tri-state checkboxes as partially
    checked

  * Handle an instance of Gtk+ failing to emit object:state-changed:focused
    events

  * Handle some common variations in values for absent text attributes

  * Do explicit checks for window-like roles when getting the top-level
    object

  * Remove the non-performant, buggy heuristic hack to find displayed
    labels

  * Convert application settings to use the settings manager's backend

  * Use the default script's onTextDeleted callback for gnome-terminal

  * Some pre-gsettings-migration cleanup

New and updated translations (THANKS EVERYONE!!!):

    be            Belarusian                  Ihar Hrachyshka
    ca            Catalan (Valencian)         Carles Ferrando
    cs            Czech                       Marek Černocký
    el            Greek                       Dimitris Spingos
    es            Spanish                     Daniel Mustieles
    gl            Galician                    Fran Diéguez
    id            Indonesian                  Andika Triwidada
    lt            Lithuanian                  Aurimas Černius
    ne            Nepali                      Him Prasad Gautam

=========

3.13.1 - 1 May 2014

General:

  * Update the locusOfFocus when when caret moves in a focused object
    in Evince

  * Ensure we don't use structural navigation in editable messages
    in Thunderbird

  * Use the Gecko script's useCaretNavigationModel() in Thunderbird

  * Present the replaced obj char for apps which lack AtkHyperlinkImpl
    support

  * Fix a couple of issues related to composing HTML messages in
    Thunderbird

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    el            Greek                       Dimitris Spingos
    pt_BR         Brazilian Portuguese        Enrico Nicoletto

=========

3.12.1 - 15 April 2014

General:

  * Update documentation

  * Clear saved page-loading state when Gecko script is deactivated

  * Add support for ROLE_PAGE now that Evince uses it

  * Prefer the name of a button, even if it implements AtkText

  * Eliminate a false positive identifying selected text with caret-moved
    events

  * Fix presentation of caret-moved events for Firefox's autocompletes

  * Add an explicit check for KP_0 as the Cthulhu Modifier plus Shift

  * Eliminate some chattiness presenting combo boxes

  * Don't treat the root label as an unrelated label

  * Handle yet another case of missing object:state-changed:focused
    events for Gtk+

  * Filter out some superfluous name-changed events from Gtk+ apps

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                       Maria Thukididu
    es            Spanish                     Daniel Mustieles
    eu            Basque                      Inaki Larranaga Murgoitio
    hu            Hungarian                   Attila Hammer
    sl            Slovenian                   Matej Urbančič
    sk            Slovak                      Peter Vágner

=========

3.12.0 - 24 March 2014

New and updated translations (THANKS EVERYONE!!!):

    an            Aragonese                   Jorge Pérez Pérez
    da            Danish                      Ask H. Larsen
    eu            Basque                      Inaki Larranaga Murgoitio
    fi            Finnish                     Jiri Grönroos
    id            Indonesian                  Andika Triwidada
    it            Italian                     Milo Casagrande

=========

3.11.92 - 18 March 2014

General:

  * Filter out a number of extraneous/unwanted accessibility events from
    Evolution

  * Eliminate some text-selection and typeahead search "chattiness"

  * Generate ancestors for new dialogs even if there is no prior focused
    object

  * Fix for bug 726395 - Sometimes flat review presents non-localized
    rolenames

  * Ignore bogus focus claims from LibreOffice fillers and panels

  * Add support for non-modal GtkPopover

  * Use explicit keyword rather than positional argument for GSettings
    schema id

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                Pau Iranzo
    fr            French                 Julien Hardelin, Claude Paroz,
                                         Alexandre Franke
    lv            Latvian                Rūdolfs Mazurs
    nb            Norwegian bokmål       Kjartan Maraas
    pl            Polish                 Paweł Żołnowski
    pt            Portuguese             Duarte Loreto
    ru            Russian                Yuri Myasoedov
    sr            Serbian                Мирослав Николић
    sr@latin      Serbian                Miroslav Nikolić
    uk            Ukrainian              Daniel Korostil
    zh_CN         Chinese (China)        Wylmer Wang

=========

3.11.91 - 4 March 2014

General:

  * Remove the isTextArea check from sayAll

  * Work around several additional missing state-changed:focused events

  * More tweaking of the new spellcheck support

  * Add support for structural navigation by link regardless of visited
    state

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    es            Spanish                     Daniel Mustieles
    gl            Galician                    Fran Diéguez
    hu            Hungarian                   Attila Hammer
    lt            Lithuanian                  Aurimas Černius
    pt_BR         Brazilian Portuguese        Enrico Nicoletto

=========

3.11.90 - 18 February 2014

General:

  * Create new, uniform spellcheck support and implement for Gedit and
    Thunderbird

  * Fix the live region announcement review keybindings

  * Fix a mysterious Brltty crash triggered by Cthulhu

  * Add a sanity check to hopefully work around a Thunderbird timeout

New and updated translations (THANKS EVERYONE!!!):

    uk            Ukrainian               Daniel Korostil

=========

3.11.5 - 4 February 2014

Please note: This cycle, Cthulhu is getting an overhaul with much of the
code being rewritten in preparation for the focus: event deprecation.
I am also taking this opportunity to remove hacks and improve Cthulhu's
performance. While every effort is being made to ensure no regressions
are introduced, please remember that 3.11.x is unstable. If you find a
bug present only in 3.11.x, please report it on the Cthulhu list.

LibreOffice:

  * Fix several braille panning issues

  * Fix several issues with presentation of dynamic headers

Gecko:

  * Handle changes in the Firefox find toolbar hierarchy and events

  * Fix a couple of bugs related to presenting a new ARIA alert or dialog

  * Don't present text-inserted events for non-ARIA labels

  * Only treat properly-marked up ARIA live regions as live regions

  * Present listbox details as part of presenting the first focused child

  * Do not treat 'busy' state changes from ARIA widgets as document loads

  * Don't repeat the "alert" role when navigating in ARIA alerts

  * Use the default updateBraille() for ARIA widgets in Gecko content

  * Handle more instances of bogus empty text objects from Gecko

  * Present find results from Gecko in braille

Epiphany/WebKitGtk:

  * Create a custom script for Epiphany to handle window activation and
    deactivation better

  * Ignore WebKitGtk's claim that objects of ROLE_LIST implement AtkText

  * Handle ROLE_DOCUMENT_WEB for WebKitGtk content

  * Improve saving and restoring the Epiphany caret context

General:

  * Fix quite a few "chattiness" issues

  * Fix for bug 708664 - Selection and link indicators messing up braille

  * Eliminate duplicated strings when brailling widget information

  * Fix presentation of Gedit's find feature results

  * Rewrite Cthulhu's support for gnome-search-tool

  * Present a message, and don't regenerate speech, when a bookmark is
    entered

  * Add the ability to skip ancestor generation by role on a per-script
    basis

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                             Marek Černocký
    es            Spanish                           Daniel Mustieles
    lt            Lithuanian                        Aurimas Černius
    nb            Norwegian bokmål                  Kjartan Maraas
    tg            Tajik                       Victor Ibragimov
    zh_HK         Traditional Chinese (Hong Kong)   Chao-Hsiung Liao
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.11.4 - 14 January 2014

Please note: This cycle, Cthulhu is getting an overhaul with much of the
code being rewritten in preparation for the focus: event deprecation.
I am also taking this opportunity to remove hacks and improve Cthulhu's
performance. While every effort is being made to ensure no regressions
are introduced, please remember that 3.11.x is unstable. If you find a
bug present only in 3.11.x, please report it on the Cthulhu list.

Gecko:

  * Use pyatspi.cache.DEFAULT instead of pyatspi.cache.ALL to prevent
    incorrect caching of object attributes

  * Fix a bug isNavigableAria() which was causing us to override native
    ARIA navigation incorrectly

  * Update the locusOfFocus when the caret moves to a Gecko anchor

  * Prevent double-speaking autocompleted text in Thunderbird

LibreOffice:

  * Don't treat lack of previous row as a row change in Calc

  * Strip out periods in addition to the localized "cell" for Calc
    coordinates

  * Recover gracefully when the Calc inputline toolbar is hidden
    preventing location of the formula text

General:

  * Began rewrite of text-selection-changed support

  * Speak ROLE_INFO_BAR information

  * Work around a missing state-changed event for Gtk+ submenus

  * Work around a missing state-changed event for Gtk+ table column
    headers

  * Handle more cases for object:active-descendant:changed

  * Fix for bug 721017 - cthulhu has an automagic dependency on liblouis
    for braille support

New and updated translations (THANKS EVERYONE!!!):

    an            Aragonese                   Jorge Pérez Pérez
    de            German                      Christian Kirbach
    gl            Galician                    Fran Diéguez
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    sl            Slovenian                   Matej Urbančič
    tg            Tajik                       Victor Ibragimov

=========

3.11.3 - 16 December 2013

Please note: This cycle, Cthulhu is getting an overhaul with much of the
code being rewritten in preparation for the focus: event deprecation.
I am also taking this opportunity to remove hacks and improve Cthulhu's
performance. While every effort is being made to ensure no regressions
are introduced, please remember that 3.11.x is unstable. If you find a
bug present only in 3.11.x, please report it on the Cthulhu list.

General:

  * Filter out some chrome events when inferring live regions

  * Fixes to prevent hangs when accessing WebKitGtk content

  * Fix for a traceback when Thunderbird becomes unresponsive

  * Add a check to the Gecko script's onCaretMoved() to be sure the caret
    actually moved

  * Fix bug in column header labels for the links list dialog

  * Ignore selection-changed events when the current item's selection is
    toggled via Space

  * Filter out some duplicate state-changed events

  * Restore the locus of focus when Alt+Tabbing back into Firefox

  * Fix a chattiness issue for Eclipse

  * Add a sanity check to prevent a hang when using Firefox

  * Clean up the Gecko script's onCaretMoved()

  * Add handling for row headers in structural navigation

  * Fix for Cthulhu not presenting the row when a table regains focus

  * Fix menu-related handling (aka hacks) in the Java toolkit script

  * Work on the test harness and regression tests

New and updated translations (THANKS EVERYONE!!!):

    de            German                      Simon Bienlein
    el            Greek                       Dimitris Spingos
    es            Spanish                     Daniel Mustieles
    hu            Hungarian                   Attila Hammer
    pt_BR         Brazilian Portuguese        Rafael Ferreira
    tg            Tajik                       Victor Ibragimov
    zh_CN         Chinese simplified          甘 露

=========

3.11.2 - 19 November 2013

Please note: This cycle, Cthulhu is getting an overhaul with much of the
code being rewritten in preparation for the focus: event deprecation.
I am also taking this opportunity to remove hacks and improve Cthulhu's
performance. While every effort is being made to ensure no regressions
are introduced, please remember that 3.11.x is unstable. If you find a
bug present only in 3.11.x, please report it on the Cthulhu list.

Gecko:

  * Fix for two hangs in Firefox

  * Try to minimize some of the excessive chattiness with Gecko radio
    buttons and list items

  * Stop Cthulhu from repeating the end of an autocompleted address in
    Thunderbird

  * Fix and improve alert presentation for Thunderbird and Firefox

  * Finding the next/previous caret should not call isLayoutOnly()
    because it leads to lag

  * Implement the "list of" dialog for ARIA landmarks

  * Handle timeouts in liveregions._getMessage() more gracefully

  * Ignore text-changed events from Thunderbird's status bar

  * Stop doing focus grabs when setting the caret position

LibreOffice:

  * Present "has formula" when a Calc cell with a formula gains focus

  * Prevent Cthulhu from announcing "misspelled" with each keypress

  * Work around some brokenness in LibreOffice tables

  * Present table cell text, if present, rather than the name in Writer

  * Fix structural navigation for tables in LibreOffice Writer

General:

  * Fix for Cthulhu becoming silent when canceling out of the Preferences
    dialog with unapplied synthesizer changes

  * Fix to prevent Cthulhu becoming silent when a broken/incomplete value
    interface is encountered

  * Do not enqueue accessible events when Cthulhu is being shut down as it
    can cause Cthulhu to hang

  * Do not exit learn mode or repeat the prompt if no application
    shortcuts are found

  * Fix for traceback in the Eclipse script

  * Make the "checked" and "pressed" strings context-specific

  * Register only one set of script event listeners; not one for each
    script

  * Fix for Cthulhu double-presenting the contents of Nautilus's Places panel

  * Fix to prevent Cthulhu from double-speaking name-changed events

  * Simplify and fix bugs in the speech generator's ancestry generation

  * Check in the default script's onCaretMoved() if the caret really moved

  * Use F2 and F3 rather than 1 and 2 to display shortcuts in Learn Mode

  * Store basic point-of-reference info when the locusOfFocus changes

  * Be sure we have line text before adding a voice to present it

  * Workaround for bug 709447 - Cthulhu segfaults when run with the wayland
    backend

  * Remove many old and now obsolete hacks that were slowing Cthulhu down

  * Rely upon object:state-changed events instead of focus: events

  * Create toolkit scripts for Gtk+ 2, Gtk+ 3, Qt

  * Rename the "CALLY" script "clutter" and create a new gnome-shell
    script

  * Put logic needed for all scripts into the default script and remove
    it from the individual scripts

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                     Gil Fcthulhuda
    ca            Catalan (Valencian)         Carles Ferrando
    de            German                      Simon Bienlein
    el            Greek                       Dimitris Spingos,
                                              Efstathios Iosifidis
    es            Spanish                     Daniel Mustieles
    gl            Galician                    Fran Diéguez
    hu            Hungarian                   Attila Hammer, Balázs Úr
    ml            Malayalam                   mshameers, Anish A
    pt_BR         Brazilian Portuguese        Enrico Nicoletto
    sl            Slovenian                   Matej Urbančič

=========

3.10.0 - 24 September 2013

General:

  * Fix for bug 708497 - Cthulhu fails to present GtkButton children of a
    GtkListBox row

  * Fix for bug 707708 - Cthulhu does not shut down unused synthesizers
    which were initialized within the preferences dialog

  * Remove a leftover call to drawOutline() that was missed

  * Fix traceback in the Gecko script

  * Update the man page so that it doesn't contain false information

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                     Daniel Mustieles
    eu            Basque                      Inaki Larranaga Murgoitio
    fi            Finnish                     Timo Jyrinki
    hu            Hungarian                   Gabor Kelemen
    id            Indonesian                  Andika Triwidada
    pt            Portuguese                  Duarte Loreto
    pt_BR         Brazilian Portuguese        Enrico Nicoletto

=========

3.9.92 - 16 September 2013
    es            Spanish                     Daniel Mustieles

General:

  * Improved support for presenting GtkListBox, GtkListBox items, and
    their child widgets

  * Present accessible name-changed events for the active frame

  * Present expandable and expanded states, state changes for menu items

  * Fix isSameObject() so that it is more performant and has less false
    positives

  * Fall back on child index when spatially comparing objects with bogus
    extents

  * Fall back on displayed text when flat-reviewing icons that lack name
    and description

  * Remove the "outline" debugging tool. It was always a hack; now it also
    causes focus loss

  * Fix for bug 703472 - Fix Makefiles so cthulhu can be a noarch package

  * Update cthulhu executable for the recent python dir changes

  * Remove deprecated calls to GLib and GObject threads_init

New and updated translations (THANKS EVERYONE!!!):

    be            Belarusian                  Ihar Hrachyshka
    da            Danish                      Kenneth Nielsen
    de            German                      Benjamin Steinwender
    fi            Finnish                     Jiri Grönroos
    fr            French                      Claude Paroz
    it            Italian                     Milo Casagrande
    lv            Latvian                     Rūdolfs Mazurs
    pt_BR         Brazilian Portuguese        Enrico Nicoletto,
                                              Rafael Ferreira
    ru            Russian                     Yuri Myasoedov
    sr            Serbian                     Мирослав Николић
    sr@latin      Serbian                     Miroslav Nikolić
    tj            Tajik                       Victor Ibragimov

=========

3.9.91 - 3 September 2013

General:

  * Fix for bug 644515 - Text attribute presentation is completely
    broken for Gecko

  * Workaround for BackSpace and Delete text changed events not being
    presented

  * Handle partially-implemented value interfaces with range of 0 to 1

  * Fix to present the new sliders in gnome-shell

Performance:

  * Fix for bug 616847 - Only perform braille functions when braille
    is enabled

  * Add object:active-descendant-changed to events that may be part
    of an "event flood"

New and updated translations (THANKS EVERYONE!!!):

    pl            Polish                      Piotr Drąg
    sl            Slovenian                   Matej Urbančič

=========

3.9.90 - 21 August 2013

General

  * Unbind the "quit" command because gnome-settings-daemon now includes
    Super+Alt+S

  * Prevent Cthulhu from constantly saying "not selected" in gnome-documents

  * Present the table dimensions when a table claims focus

New and updated translations (THANKS EVERYONE!!!):

    gl            Galician                          Fran Diéguez
    hu            Hungarian                         Attila Hammer
    lt            Lithuanian                        Aurimas Černius
    sl            Slovenian                         Matej Urbančič
    tj            Tajik                             Victor Ibragimov  
    zh_HK         Traditional Chinese (Hong Kong)   Chao-Hsiung Liao
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.9.5 - 31 July 2013

Evince

  * Handle text selection events that cross into a different page

  * Present the Evince caret-navigation infobar

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    el            Greek                       Dimitris Spingos
    eo            Esperanto                   Kristjan SCHMIDT
    es            Spanish                     Daniel Mustieles
    nb            Norwegian bokmål            Kjartan Maraas
    ne            Nepali                      Him Prasad Gautam,
                                              Jiro Matsuzawa
    pt_BR         Brazilian Portuguese        Júnior Pires
    sl            Slovenian                   Andrej Žnidaršič
    tj            Tajik                       Victor Ibragimov  

=========

3.9.4 - 9 July 2013

General

  * Fix for bug 703645 - Use the default locale if no family is specified
    for the default voice

  * Remove deprecated stock items

  * Fix for bug 672195 - Key bindings are disabled if num lock on even in
    laptop mode

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                       Marek Černocký
    gl            Galician                    Fran Diéguez
    id            Indonesian                  Andika Triwidada
    lt            Lithuanian                  Aurimas Černius
    pt_BR         Brazilian Portuguese        Enrico Nicoletto
    sl            Slovenian                   Piotr Drąg

=========

3.9.3 - 18 June 2013

General

  * Fix for bug 701787 - Add structural navigation support for Evince
    documents

  * Fix for traceback when switching back to English profile

  * Fix the accessible apps commandline option

  * Fix for bug 701743 - Cthulhu's word echo does not echo first word typed
    in an empty libreoffice writer document

  * Fix for bug 701549 - cthulhu-autostart.desktop unconditionally enables
    speech and braille

  * Add mapping from gnome-terminal-server to gnome-terminal

  * Remove the braille-monitor checkbox from the GUI

  * Fix for bug 671755 - Cthulhu doesn't announce the AltGr key

  * Fix for bug 701166 - "Screen reader preferences"; not "Cthulhu preferences"

  * Fix for bug 701187 - "Screen reader settings"; not "Cthulhu settings"

  * And a number of similar changes (e.g. the name of the Cthulhu modifier,
    along with various other places where "Cthulhu" was being used instead
    of "screen reader")

  * Misc refactoring and cleanup

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                             Marek Černocký
    es            Spanish                           Daniel Mustieles
    gl            Galician                          Fran Diéguez
    sk            Slovak                            Peter Vágner
    sl            Slovenian                         Matej Urbančič
    zh_HK         Traditional Chinese (Hong Kong)   Cheng-Chia Tseng 
    zh_TW         Traditional Chinese (Taiwan)      Cheng-Chia Tseng

=========

3.9.2 - 27 May 2013

General:

  * Fix for bug 700831 - Enabling "Screen reader" tells me "Welcome to
    Cthulhu"

  * Begin migration of Cthulhu's Evolution script to use Cthulhu's WebKitGtk
    support

  * Use the default script's SayAll functionality in Gedit

Text Interface Simplification Work and Fixes:

  * Fix the hang on espeak.sourceforge.net

  * Remove an old hack from the Gecko script which now causes us to get
    stuck on some pages.

  * Fix the repeated line presentation in Thunderbird

  * Use TEXT_BOUNDARY_WORD_START instead of TEXT_BOUNDARY_WORD_END for
    the Gecko script's goNextWord()

  * Use TEXT_BOUNDARY_SENTENCE_START instead of TEXT_BOUNDARY_SENTENCE_END
    for SayAll

  * Use getTextAtOffset() instead of getTextAfterOffset()

  * Use getTextAtOffset() instead of getTextBeforeOffset()

New and updated translations (THANKS EVERYONE!!!):

    be            Belarusian                  Ihar Hrachyshka
    en_GB         British English             Bruce Cowan
    es            Spanish                     Daniel Mustieles
    eu            Basque                      Inaki Larranaga Murgoitio
    it            Italian                     Milo Casagrande
    ne            Nepali                      Him Prasad Gautam
    pt_BR         Brazilian Portuguese        José Vilmar Estácio de Souza
                                              Alexandre Conte
                                              Enrico Nicoletto
    ru            Russian                     Yuri Myasoedov

=========

3.8.0 - 25 March 2013

General

  * Fix for bug 696334 - traceback when analyzing a checkbox for the
    flat review context

New and updated translations (THANKS EVERYONE!!!):

    an            Aragonese                   Jorge Pérez Pérez
    ca            Catalan                     Gil Fcthulhuda
    ca            Catalan (Valencian)         Carles Ferrando
    de            German                      Mario Blättermann
    fi            Finnish                     Jiri Grönroos
    fr            French                      Bruno Brouard
                                              Alexandre Franke
    hi            Hindi                       Chandan Kumar
    it            Italian                     Luca Ferretti
    pt            Portuguese                  Duarte Loreto
    ta            Tamil                       Dr.T.Vasudevan
    tg            Tadjik                      Victor Ibragimov

=========

3.7.92 - 19 March 2013

General

  * Swap the column ordering in the Links List dialog

  * Fix a couple of missed moved strings related to profile-based
    language switching

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                     Marek Černocký
    da            Danish                    Kenneth Nielsen
    el            Greek                     Dimitris Spingos
    es            Spanish                   Daniel Mustieles
    gl            Galician                  Fran Diéguez
    hu            Hungarian                 Attila Hammer
    lt            Lithuanian                Aurimas Černius
    pt_BR         Brazilian Portuguese      José Vilmar Estácio de Souza
                                            Enrico Nicoletto
    sk            Slovak                    Peter Mráz
    sr            Serbian                   Мирослав Николић
    sr@latin      Serbian                   Miroslav Nikolić
    ug            Uyghur                    Gheyret Kenji

=========

3.7.91 - 4 March 2013

New Features

  * Signifcant work and progress on profile-based, on-the-fly language
    switching. It's nearly here! :)

New and updated translations (THANKS EVERYONE!!!):
    de            German                      Mario Blättermann
    el            Greek                       Tom Tryfonidis
    es            Spanish                     Daniel Mustieles
    lt            Lithuanian                  Aurimas Černius
    nb            Norwegian bokmål            Kjartan Maraas
    ne            Nepali                      Him Prasad Gautam
    pl            Polish                      Piotr Drąg
    pt            Portuguese                  Rui Batista
    ru            Russian                     Yuri Myasoedov
    sl            Slovenian                   Matej Urbančič
    sr            Serbian                     Мирослав Николић
    sr@latin      Serbian                     Miroslav Nikolić
    ug            Uyghur                      Gheyret Kenji 

=========

3.7.90 - 19 February 2013

New Features

  * Much work and progress on profile-based, on-the-fly language
    switching.

  * Better "list shortcuts" and learn mode support and associated
    hack removal.

  * More refinements and additions to the new "list of" dialogs:

    - Implement the "'list of' dialog" feature for tables.

    - Try harder to position the caret when jumping to an object in
      the navlist.

    - Select the row associated with the locusOfFocus in the
      "list of" dialogs.

    - Present the number of results for the "list of" dialogs.

    - Update Cthulhu's keybindings related to bookmarks and "list of"
      commands.

  * Add event listeners for, and presentation of, table row and column
    re-ordering.

Bug Fixes

  * Filter out dead childNodes from GtkTreeView.

  * Present the Cthulhu version upon first entering learn mode (to
    compensate for there no longer being an About dialog).

  * Handle attempts to start Cthulhu from the console more gracefully.

  * Get Cthulhu to handle table rows which lack ROLE_TABLE_ROW.

  * Get rid of "odd hacky thing... somewhat drawn from Gnopernicus" (!?!)

  * Do not include anchors for structural navigation links.

  * Do not filter out egg-list-box labels based on STATE_SHOWING.

New and updated translations (THANKS EVERYONE!!!):
    el            Greek                             Dimitris Spingos
    es            Spanish                           Daniel Mustieles
    gl            Galician                          Fran Diéguez
    lt            Lithuanian                        Aurimas Černius
    ml            Malayalam                         Anish A
    pl            Polish                            Piotr Drąg
    sr            Serbian                           Мирослав Николић
    sr@latin      Serbian                           Miroslav Nikolić
    ug            Uyghur                            Gheyret Kenji 
    zh_HK         Traditional Chinese (Hong Kong)   Chao-Hsiung Liao
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.7.5 - 5 February 2013

New Feature

  * Structural navigation objects are now navigable by "list of" dialogs

Bug Fixes

  * Much better handling of egg-list-box for the new panels in
    gnome-control-center

  * Fix for bug 693159 - Cthulhu doesnt echo words in gnome-terminal

  * Do not attempt to store an AtspiTable in a dictionary (fixes the
    presentation of cells when navigating in LibreOffice Calc)

New and updated translations (THANKS EVERYONE!!!):

    bg            Bulgarian             Alexander Shopov
    eu            Basque                Inaki Larranaga Murgoitio
    nb            Norwegian bokmål      Kjartan Maraas
    ne            Nepali                Him Prasad Gautam
    pl            Polish                Piotr Drąg
    sr            Serbian               Мирослав Николић
    sr@latin      Serbian               Miroslav Nikolić
    ug            Uyghur                Sahran, Gheyret Kenji 

=========

3.7.4 - 14 January 2013

New Commands (Unbound keybindings)

  * Cycle amongst saved settings profiles

  * Copy and append text from flat review to the clipboard

Web Related

  * Fix for bug 677615 - In Firefox www.google.com links not presented in
    braille

  * Fix for bug 675362 - Cthulhu doesn't speak certain radio button labels in
    Firefox

  * Fix for bug 669377 - Cannot read web pages while file download dialog
    present

  * Always use the Collection interface for structural navigation and page
    summary

  * Do not try to infer labels from widgets deeply buried in table cells

  * Changes to make Cthulhu's generic label inference code work better with
    Gecko

  * Move the Gecko script to use Cthulhu's label inference code

  * When Gecko reports the end offset is -1, use the characterCount instead

  * Be sure we have a last input event before checking its time for live
    region presentation

Other Bug Fixes

  * Fix for bug 684951 - Do not present 'icon' and 'canvas' rolenames if
    verbosity is brief

  * Fix for bug 591871 - Cthulhu says "off" for all push buttons on the
    LibreOffice toolbars and doesn't say "on" when it should

  * Fix for bug 515817 - Flat review lands on blank line at end of text
    area when navigating by previous word

  * Get Cthulhu doing a better job of presenting the Evolution Account
    Assistant

  * Handle caret offset of -1 when getting text for non-focused objects

  * Fix for bug 600204 - Mouse Review Errors

  * Fix a traceback in the braille monitor

  * Change the debug level the script manager prints dead accessible
    warnings

Miscellaneous Cruft Removal

  * Remove the GNOME2ish locusOfFocusChanged() method from the Evolution
    script

  * Remove the non-funcutioning Evolution new mail announcement

  * Fix another GObject deprecation

  * Remove several variables whose value we aren't using

  * Remove some obsolete debugging methods

  * Remove a check related to ROLE_HTML_CONTAINER from the Gecko script

New and updated translations (THANKS EVERYONE!!!):

    an            Aragonese             Jorge Pérez Pérez
    ar            Arabic                Khaled Hosny
    el            Greek                 Dimitris Spingos
    es            Spanish               Daniel Mustieles
    gl            Galician              Fran Diéguez
    lt            Lithuanian            Aurimas Černius
    pl            Polish                Piotr Drąg
    ru            Russian               Yuri Myasoedov
    sl            Slovenian             Martin Srebotnjak, Matej Urbančič

=========

3.7.3 - 18 December 2012

General

  * Provide support to cycle amongst speech-dispatcher's capitalization
    presentation options

  * Create a generic UI which can be used in element navigation lists

  * Add a _getAll() method to structural_navigation.py

  * Fix for bug 689486 - Broken links to gnome-user-docs in the cthulhu help

  * Remove a missed call to str.decode()

  * Make viewing Cthulhu help in Yelp activatable via Learn Mode

  * Eliminate the Splash window, Main window, and Quit window

  * Increase the default uppercase pitch to 7.0

  * Use GLib.source_remove() instead of the deprecated GObject equivalent

  * Delete the acroread script

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                 Daniel Mustieles
    ta            Tamil                   Dr.T.Vasudevan

=========

3.7.2 - 19 November 2012

NOTE: This is the first real/official Python 3 release of Cthulhu.

General

  * Replace deprecated GObject functions with their GLib equivalents

  * Improve performance of building flat review context

  * Add keywords to the desktop file

  * Python 3 compatibility fixes for brlapi

  * Fix for bug 687526 - Patch: Cthulhu excepts trying to output exceptions

  * Fix for bug 687527 - Handle applications returning 0 as the Value's
    minimalIncrement

Gecko

  * Fix for bug 674526 - Cthulhu sometimes fails to present download dialog
    widgets in Firefox

  * Fix for bug 688057 - A page that hangs Cthulhu.

Speech

  * Most of the fix for bug 688172 - Cthulhu gets stuck in uppercase pitch

  * Fix for Cthulhu continuing to speak when speech is disabled via the
    Preferences dialog

  * Fix for bug 687239 - Traceback seen in Python 3.3 when there are no
    settings saved

New and updated translations (THANKS EVERYONE!!!):

    de            German                 Hendrik Knackstedt
    hu            Hungarian              Attila Hammer

=========

3.7.0.100 - 22 October 2012

General

  * Use subprocess.Popen() instead of the deprecated os.popen()

  * Use for() instead of map() in cleanup()

  * Pkill fails to kill Cthulhu in Python 3

  * Fix for bug 686189 - Use importlib.import_module() instead of
    __import__() and imp.reload() instead of reload()

  * Fix for braille email address auto completions in Thunderbird

=========

3.7.0.94 - 15 October 2012

General

  * Fix for bug 675288 - Cthulhu doesn't always announce selection changes
    in Nautilus 3.6's icon view

  * Fix for bug 680228 - In Thunderbird 14.0 e-mail address auto
    completion results are not spoken

  * Fix for bug 684838 - Cthulhu should present the accessible name of
    sliders

  * Fix for bug 675656 - Mark Hungarian 8 dot computer braille for
    translation

New and updated translations (THANKS EVERYONE!!!):

    bg            Bulgarian               Alexander Shopov
    ca            Catalan                 Gil Fcthulhuda
    ca            Catalan (Valencian)     Carles Ferrando
    cs            Czech                   Lucas Lommer
    de            German                  Simon Bienlein, Mario Blättermann
    it            Italian                 Milo Casagrande
    lv            Latvian                 Rudolfs Mazurs
    sl            Slovenian               Matej Urbančič
    pt            Portuguese              Rui Batista
    ta            Tamil                   Dr.T.Vasudevan
    uk            Ukrainian               Daniel Korostil

=========

3.7.0.92 - 17 September 2012

General

  * LibreOffice Writer documents should be fully readable and navigable
    via the braille display

  * Fix for bug 683795 - Cthulhu modifier gets stuck on in Bypass Mode

  * Fix for bug 683447 - Outdated documentation needs to be removed

  * Fix for broken tag in several help translations (Thanks Piotr Drąg!)

New and updated translations (THANKS EVERYONE!!!):

    da            Danish                  Kenneth Nielsen
    de            German                  Mario Blättermann
    en_GB         British English         Bruce Cowan
    pl            Polish                  Piotr Drąg
    es            Spanish                 Daniel Mustieles
    fi            Finnish                 Jiri Grönroos
    zh_CN         Simplified Chinese      TeliuTe

=========

3.7.0.91 - 3 September 2012

New and updated translations (THANKS EVERYONE!!!):

    de            German                  Simon Bienlein 
    el            Greek                   Tom Tryfonidis
    id            Indonesian              Andika Triwidada
    nb            Norwegian bokmål        Kjartan Maraas
    pl            Polish                  Piotr Drąg
    ru            Russian                 Yuri Myasoedov
    ta            Tamil                   Dr.T.Vasudevan

=========

3.7.0.90 - 20 August 2012

WebKitGtk - Braille Presentation

  * Make WebKitGtk content fully braille scrollable without having to
    use caret navigation

  * Fixes for Cthulhu failing to display certain text-only inline WebKitGtk
    lists and sections

  * Work around the bogus caretOffset we get for WebKitGtk content which
    doesn't have the caret

  * Don't display the braille EOL indicator for non-editable WebKitGtk
    paragraphs

  * Handle cases where the default script returns an empty string for
    WebKitGtk content

  * Fix for Cthulhu skipping over WebKitGtk list items when scrolling in
    braille

  * Fix for bug 664557 - Cthulhu does not always reflect the caret location
    in braille for WebKitGtk content

  * Fix for bug 681441 - Cthulhu should present inline lists and sections
    from WebKitGtk on the same line in braille

  * Fix for bug 681387 - Cthulhu displays no braille when lists which are
    not listboxes claim focus in WebKitGtk content

  * Fix for bug 681363 - Do not display roles for non-widget lists, list
    items, and panels in WebKitGtk content

General

  * Fix for bug 681718 - Cannot enable laptop keyboard layout in Python 3

  * Fix for bug 681569 - Unable to bind double-click keybinding if there
    is a duplicate single-click keybinding

  * Use new documentation infrastructure

  * Fix for bug 626032 - substitutions from the pronunciation dictionary
    are not being applied when performing say all

  * Move Gecko list presentation code into general presentation code

New and updated translations (THANKS EVERYONE!!!):

    gl            Galician               Fran Diéguez
    hu            Hungarian              Attila Hammer
    sr            Serbian                Мирослав Николић
    sr@latin      Serbian                Miroslav Nikolić

=========

3.7.0.5 - 6 August 2012

WebKitGtk

  * Fix for bug 677320 - Cannot perform braille scrolling amongst
    objects in WebKitGtk content

  * Fix for bug 681294 - SayAll does not work as expected when focus
    is on a link in WebKitGtk content

  * Fix for traceback when determining whether a MouseButtonEvent
    should be ignored

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                             Dimitris Spingos
    hi            Hindi                             chandankumar
    nb            Norwegian bokmål                  Kjartan Maraas
    zh_HK         Traditional Chinese (Hong Kong)   Chao-Hsiung Liao
    zh_TW         Traditional Chinese (Taiwan)      Chao-Hsiung Liao

=========

3.7.0.4 - 16 July 2012

General

  * Structural navigation should not kick in when in editable WebKitGtk
    objects

  * Access object extents as a bounding box

  * Fix for bug 679514 - settings_test.py script fails because of some
    still remaining yaml files

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                  Tom Tryfonidis
    nb            Norwegian bokmål       Kjartan Maraas

=========

3.7.0.3 - 25 June 2012

General

  * Python 3 migration has been completed

  * Fix for bug 677748 - Launcher icon needs 256x256 variant

  * Fix for Cthulhu not presenting the 'Command not found' label in the
    gnome-shell run dialog

  * Work around for Cthulhu not presenting the gnome-shell run dialog text
    in braille

  * Handle text implementations which report a caret offset of -1 when
    at the end

  * Eliminate unneeded and/or problematic imports

  * Remove more old, no-longer-used/needed code

New and updated translations (THANKS EVERYONE!!!):

    el            Greek                  Tom Tryfonidis
    fr            French                 Bruno Brouard

=========

3.5.2 - 4 June 2012

For users:

  * Improve Cthulhu's presentation of gnome-shell/clutter dialog boxes

  * Handle traceback seen with embedded object chars in Yelp

  * Fix a bug in the state change notifiers

  * Don't ignore MouseButtonEvent instances due to timestamp

  * Fix for Cthulhu saying "Primary" for mnemonic Ctrl++

  * Fix for bug 659588, Cthulhu presents Ctrl+Plus and Ctrl+Minus
    accelerators partially-translated

  * Fix for speech keybindings failing when no speech settings have
    been saved

  * Remove the now-redundant 'cthulhu -q/--quit' and 'cthulhu -f/--forcequit'
    (pkill works reliably)

  * Ensure we eliminate replaced Cthulhu processes

  * Handle multiple and alternate installations better

  * Eliminate the Cthulhu shell script and cause Cthulhu to run as a single
    process rather than two

For translators (whom we love):

  * GNOME Goal: Remove markup in messages

  * Add translator notes; provide more detail for vague ones

  * Workaround for intltool not including translator notes for cthulhu.in

  * Fix for bug 675522 - incorrect comment for translators

Other:

  * Much work towards the Python 3 migration

  * Fix for bug 658834 - Use GDbus via gobject-introspection instead
    dbus-python

  * Revert "Interim fix for bug 672242"

  * Fix for bug 669813 - Remove pyxdg dependency

  * Get rid of the forced-qui-prefs when there are no settings.

  * Continued general code cleanup

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                  Marek Černocký
    es            Spanish                Daniel Mustieles
    fr            French                 Bruno Brouard
    gl            Galician               Fran Diéguez
    ja            Japanese               Jiro Matsuzawa
    sl            Slovenian              Matej Urbančič

=========

3.5.1 - 30 April 2012

General

  * Prevent gnome-shell notifications from being double-presented

  * Try to handle metacity timeouts more gracefully

  * Fix for bug 674237 - More unicode errors found with hungarian locale

  * Fix for bug 674693 - Modifier keys pressed alone should interrupt
    speech

  * Prevent Cthulhu from interrupting speech in Anaconda trees

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                  Marek Černocký
    gl            Galician               Fran Diéguez
    nb            Norwegian bokmål       Kjartan Maraas
    sl            Slovenian              Matej Urbančič
    te            Telugu                 Sasi Bhushan

=========

3.4.1 - 16 April 2012

GNOME 3

  * Present the name change of the suspend/power off menu item

  * Prevent nameless panels from delaying presentation of Top Bar button

  * Prevent focused objects in gnome-shell dialogs from preempting
    presentation of the dialog itself

  * Fix for Empathy active descendant presentation getting incorrectly
    interrupted

  * Minor adjustments to get Cthulhu working with Empathy 3.4

  * Fix for bug 672461 - Cthulhu now presents the full file list when the
    file chooser is opened

Unity

  * Fix for bug 673397 - Using flat review while in Unity Greeter makes
    Cthulhu stop presenting screen contents

  * Fix for bug 673157 - Unhandled exception when in Unity Greeter

  * Fix for bug 673648 - Cthulhu does not present Unity 2d indicators
    correctly in braille

Qt

  * Fix for Cthulhu incorrectly skipping certain menu item events in KMail

  * Fix for bug 673142 - Unhandled exceptions (GError: No such object
    path) when using Skype

WebKitGtk

  * Fix for bug 673540 - List and list item structural navigation
    sometimes fails

  * Prevent Cthulhu from double-presenting focused links with structural
    navigation in lists

  * Fix for bug 672464 - Cthulhu double presents headings which are links

  * Fix braille rolename presentation

  * Fix for bug 673757 - Pages with alt attribute present, but not
    actually set, results in traceback

  * Fix a UnicodeWarning

Gecko

  * Fix for bug 673715 - Cthulhu double-echoes keys pressed in Thunderbird
    address fields

  * Fix for bug 673567 - List in Firefox preferences dialog not presented

LibreOffice

  * Fix for bug 672787 - Unhandled exceptions from dead accessibles in
    Calc

  * Fix for bug 673530 - Cthulhu multi-presents the focused cell's contents
    when arrowing in Calc

  * Fix for bug 672953 - Cthulhu is presenting extra "input line frame"
    announcements in LibreOffice Calc

Cthulhu and AT-SPI

  * Handle the new AT-SPI2 timeout errors

  * Add additional debugging info to help track down hard-to-reproduce
    issues

  * Use os.makedirs instead of os.mkdir if the XDG data home directory
    doesn't exist

  * Disable braille monitor if the import fails

  * Ensure 'cthulhu -t' works even without a Desktop

  * Fix for bug 673336 - Problems (re)binding commands with Caps_Lock

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                Jordi Serratosa
    ca            Catalan (Valencian)    Carles Ferrando
    de            German                 Christian Kirbach
    hu            Hungarian              Attila Hammer, Gabor Kelemen
    lt            Lithuanian             Aurimas Černius

=========

3.4.0 - 26 March 2012

New and updated translations (THANKS EVERYONE!!!):

    it            Italian                Luca Ferretti
    pt            Portuguese             Rui Batista
    te            Telugu                 Krishna Babu K
    zh_CN         Simplified Chinese     YunQiang Su

=========

3.3.92 - 19 March 2012

General

  * Fix for bug 672276 - Tracebacks seen when interacting with
    Thunderbird's message filter rules dialog

  * Fix for bug 672242 - Cthulhu presents an extra panel on places&devices
    and documents search result 

  * Sanity check that we have a desktop to get before we attempt to get
    its apps

  * Fix for bug 659839 - Gecko combobox selection is no longer presented

  * Do not treat "busy indicator" progress bars as progress bars with
    values

  * Handle errors seen when restarting gnome-shell

  * Handle GErrors which prevent Cthulhu from speaking menu items in Skype

  * Attend to object:state-changed:expanded events for push buttons

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan                Gil Fcthulhuda
    ca            Catalan (Valencian)    Carles Ferrando
    en_GB         British English        Bruce Cowan
    eu            Basque                 Inaki Larranaga Murgoitio
    fi            Finnish                Timo Jyrinki
    gl            Galician               Fran Diéguez
    hu            Hungarian              Attila Hammer
    lv            Latvian                Rudolfs Mazurs
    pt_BR         Brazilian Portuguese   Antonio Fernandes C. Neto
    sr            Serbian                Мирослав Николић
    sr@latin      Serbian                Miroslav Nikolić
    te            Telugu                 Sasi bhushan Boddepalli
    uk            Ukrainian              Daniel Korostil

=========

3.3.91 - 5 March 2012

General

  * Check for (and where appropriate present) expandable and expanded
    states for toggle buttons and push buttons 

  * Present gnome-shell notifications (also requires fix for bug 648645)

  * Fix for bug 670547 - Module for notification messages should use
    SYSTEM_VOICE

  * Handle Earlybird (Thunderbird pre-release) as Thunderbird

  * Fix for bug 666424 - toolkits/gecko/script.py:updateBraille can
    cause traceback

  * Fix for several UnicodeEncodeError and UnicodeDecodeError bugs

  * Fix the presentation of mnemonics which are accented letters

  * Present the localized rolenames we get via pyatspi rather than use
    Cthulhu's pre-pyatspi rolename code for non-abbreviated rolenames

  * Fix for bug 670596 - Please don't present entry roles as text roles

  * Remove the old settings migration code from cthulhu.py

  * Fix for getListOfShortcuts() incorrectly eliminating commands

  * Add an cthulhu-customizations.py option to override the disabled main
    window

  * Fix for Cthulhu not using the specified debug-file when debug flag is
    not also provided

  * Fix man page errors

  * Avoid incorrectly detecting python modules which not installed

  * Fix for bug 670827 - Contraction Table: need translator comment

New and updated translations (THANKS EVERYONE!!!):

    be            Belarusian           Kasia Bondarava, Ihar Hrachyshka
    bg            Bulgarian            Alexander Shopov
    da            Danish               Kenneth Nielsen
    fr            French               Bruno Brouard
    gl            Galician             Fran Diéguez
    pl            Polish               Piotr Drąg
    ru            Russian              Yuri Myasoedov
    sr            Serbian              Мирослав Николић
    sr@latin      Serbian              Miroslav Nikolić
    ta            Tamil                Dr.T.Vasudevan

=========

3.3.90 - 20 February 2012

General

  * Only set the locusOfFocus when gnome-shell selection changes to
    selected

  * Clean up Cthulhu's locating and sorting of "unrelated" labels

  * Clean up Cthulhu's code for capturing of keys for rebinding

  * Delete an old setting we no longer use (from the pyatspi1 port)

  * Get rid of cthulhu_state.focusHistory: We no longer use it but we
    keep storing it

  * Move input event handlers out of cthulhu.py

  * Fix for bug 596359 - Should set the process name to "cthulhu"

  * Fix for bug 628473 - cthulhu.py should use argparse instead of getopts

  * Fix for bug 669632 - Cthulhu does not present correct mnemonic for menu
    items

  * Fix notify-osd script to listen for accessible-name/value signals
    only

  * Cthulhu needs to speak value changes for objects of ROLE_COLOR_CHOOSER

  * Use dbus rather than gsettings to check if accessibility support and
    screen reader are enabled

  * Remove forced terminal-setup; enable accessibility support instead

  * Fix a traceback which prevented certain keybindings from binding

New and updated translations (THANKS EVERYONE!!!):

    be            Belarusian             Kasia Bondarava
    cs            Czech                  Marek Černocký
    es            Spanish                Daniel Mustieles
    nb            Norwegian bokmål       Kjartan Maraas
    ru            Russian                Yuri Myasoedov
    sl            Slovenian              Matej Urbančič
    sv            Swedish                Daniel Nylander

=========

3.3.5 - 6 February 2012

General

  * Add handling for RuntimeError now that we get them from pyatspi2

  * Fix for bug 669216 - Cthulhu's console setup option to log out the
    user no longer works

  * Fix for bug 668880 - traceback in unity-panel-service

  * Fix for bug 668472 - LookupError causes messages in Thunderbird
    to not be readable

Keyboard and Keybindings

  * Fix for bug 666463 - Cthulhu needs to present the real modifier for
    'Primary'

  * Fix for Bug 667717 - Pressing the key combination for time/date after
    any other Cthulhu keyboard shortcut causes the date to be spoken.

  * Fix for the regressions from the keyboard-related refactoring from
    the last unstable release. (Many thanks to all the users who tested!)

New and updated translations (THANKS EVERYONE!!!):

    sv         Swedish                             Daniel Nylander
    te         Telugu                              Praveen Illa
    zh_HK      Traditional Chinese - HongKong      Chao-Hsiung Liao
    zh_TW      Traditional Chinese - Taiwan        Chao-Hsiung Liao

=========

3.3.4 - 16 January 2012

Stability and Performance

  * Explicitly handle dead accessible objects to prevent triggering
    crashes in GNOME Shell

  * Refactor InputEvent handling so that it is more performant and
    less convoluted

  * Get rid of the fake window:activate event as it is no longer
    required and may be triggering window manager warnings

  * Move wayward event management functionality to the Event Manager

  * Fix for the problem of updatePunctuationLevel() causing breakage
    for Emacspeak users

  * Fix for bug 666628 - gdk_keymap_translate_keyboard_state() expects
    Gdk.ModifierType; not int

  * Fix for bug 666594 - app-specific preferences cannot be saved for
    certain configurations

Keyboard and Keybindings

  * Speak state changes in locking keys independent of key echo

  * Make it possible to use the NumPad as expected in the Desktop Layout

  * Remove the redundant "alternative" keybinding functionality

New and updated translations (THANKS EVERYONE!!!):

    bg            Bulgarian              Alexander Shopov
    es            Spanish                Daniel Mustieles
    fr            French                 Bruno Brouard
    gl            Galician               Fran Diéguez
    hu            Hungarian              Attila Hammer
    ja            Japanese               Jiro MATSUZAWA
    mk            Macedonian             Jovan Naumovski
    nb            Norwegian bokmål       Kjartan Maraas
    sl            Slovenian              Matej Urbančič

=========

3.3.3 - 19 December 2011

General

  * Fix for bug 665769 - Preferences not saved or restored correctly
    due to comparing unicode and utf-8 strings

  * Several fixes to help Cthulhu better cope with dead and vanishing
    accessible objects

  * Fix for bug 666416 - Leading ellipsis cause incorrect speech output

  * Fix for bug 666060 - Cthulhu does not always speak guessed form field
    labels when structural navigation is used

  * Fix for bug 665288 - Cthulhu's script manager cannot adequately handle
    multiple "unknown" applications which embed content from other
    toolkits

  * Fix for bug 665191 - Cthulhu fails to use the correct toolkit script
    for "unknown" applications

Keybindings

  * Fix for bug 658122 - Caps_Lock should not be toggled when Cthulhu
    commands are used in laptop layout

  * Fix for bug 665804 - Problems binding and rebinding commands with
    Caps_Lock and Shift

Flat Review

  * Fix for bug 664466 - Cthulhu's flat review cannot access the top line
    of gnome-terminal console

  * Work around for bug 665522 - Flat Review broken in Gecko apps with
    AT-SPI2

WebKitGtk

  * Implement label inference (aka "label guess") functionality

  * Add support for speech presentation of embedded object characters

  * Fix for Bug 665586 - Cthulhu does not present the selected menu /
    menu item for Dojo widgets

  * Fix for bug 665614 - Cthulhu does not present selection changes
    in radio button groups when the arrow keys are used

  * Fix for bug 664396 - List containing links is not brailled properly

  * Add LIST_ITEM to the roles treated as widgets in onFocus()

  * Fix for Cthulhu speaking text table cell role and selection state

  * Adjust getObjectsFromEOCs to deal with unexpected accessible
    hyperlink indices

  * Fix for bug 665223 - WebKitGtk-based application scripts should be
    consolidated

Cruft Removal

  * Fix for bug 665216 - Remove Cthulhu's support for Gecko-based Yelp v2

  * Fix for bug 664651 - Remove the legacy magnification code

New and updated translations (THANKS EVERYONE!!!):

    de            German                 Gabor Karsay
    el            Greek                  Simos Xenitellis
                                         Vagelis Mamalakis
    es            Spanish                Daniel Mustieles
    fr            French                 Bruno Brouard
                                         Laurent Coudeur
                                         Julien Hardelin
    lv            Latvian                Peteris Krisjanis 
    nb            Norwegian bokmål       Kjartan Maraas
    sl            Slovenian              Matej Urbančič
    sv            Swedish                Daniel Nylander
    te            Telugu                 Praveen Illa

=========

3.3.2 - 21 November 2011

General

  * Fix for bug #664386 - Cthulhu does not always present image links in
    WebKitGtk content

  * Fix for bug #664384 - Need to move getLinkBasename() functionality
    out of Gecko script so all scripts can use it

  * Fix for bug #659023 - Cthulhu does not speak the desktop icon names in
    fallback mode if tutorial messages are enabled

  * Fix for bug #661893 - Viewing package list of a www.launchpad.net PPA
    causes Cthulhu to stop working on Firefox 7.0.1

  * Fix for bug #660099 - Cannot re-bind Cthulhu keybindings via Preferences
    dialog

New and updated translations (THANKS EVERYONE!!!):

    es            Spanish                Daniel Mustieles
    id            Indonesian             Andika Triwidada
    nb            Norwegian bokmål       Kjartan Maraas
    te            Telugu                 A Mohan Vamsee
    tr            Turkish                Muhammet Kara

=========

3.3.1 - 24 October 2011

General

  * Fix for bug 661706 - Sanity check needed in Gecko script's
    getBottomOfFile() to ensure we have a "last object"

  * Fix for bug 659122 - UnicodeDecodeError and UnicodeEncodeError keep
    cropping up since introspection

  * Fix for bug 659122 - Traceback presenting time and date

  * Fix for bug 660163 - Traceback when try to edit a keybinding

New and updated translations (THANKS EVERYONE!!!):

    id            Indonesian             Andika Triwidada
    uk            Ukrainian              Daniel Korostil
    zh_CN         Simplified Chinese     YunQiang Su

=========

3.1.92 - 19 September 2011

General:

  * Fix for bug 659054 - Cthulhu fails to present decimal values of
    GtkScale widgets in Gtk+ 3

  * Fix for bug 659379 - Cthulhu is not presenting panel menus and menu
    items in fallback mode

  * Fix for bug 659264 - Return in onFocus if the object is not focused

  * Fix for bug 659122 - Unicode decode error traceback with speech
    generation if I using hungarian locale

  * Fix for bug 617833 - Cthulhu should indicate state of NumLock key

  * Fix for bug 652485 - Gtk+ Deprecations (Remainder of the work)

  * Fix for bug 659015 - The mnemonic widget property on the voice page
    is absent for several widgets

  * Fix for bug 658134 - Lines with unexpected characters are not always
    displayed in braille by Cthulhu

  * Fix for bug 658781 - Some text not spoken at all since gobject
    introspection changes in cthulhu 3.1.9x.

  * Fix for bug 658993 - Two GtkGrid spacing issues

Build:

  * Fix for bug 659092 - Do not reference non-existing doc figures

New and updated translations (THANKS EVERYONE!!!):

    ast        Asturian                        Xandru Armesto
    bg         Bulgarian                       Alexander Shopov
    ca         Catalan                         Pau Iranzo
    cs         Czech                           Marek Černocký
    da         Danish                          Kenneth Nielsen
    de         German                          Christian Kirbach
    en_GB      British English                 Bruce Cowan
    es         Spanish                         Jorge González,
                                               Daniel Mustieles
    fi         Finnish                         Timo Jyrinki
    fr         French                          Bruno Brouard
    gl         Galician                        Fran Diéguez
    hu         Hungarian                       Attila Hammer
    it         Italian                         Luca Ferretti
    lt         Lithuanian                      Aurimas Černius
    lv         Latvian                         Rudolfs Mazurs
    pa         Punjabi                         Amanpreet Singh Alam
    pl         Polish                          Piotr Drąg
    pt         Portuguese                      Rui Batista
    ru         Russian                         Yuri Myasoedov
    sl         Slovenian                       Matej Urbančič
    sv         Swedish                         Daniel Nylander
    ta         Tamil                           Dr.T.Vasudevan
    zh_CN      Simplified Chinese              Yinghua Wang
    zh_HK      Traditional Chinese - HongKong  Chao-Hsiung Liao
    zh_TW      Traditional Chinese - Taiwan    Chao-Hsiung Liao

=========

3.1.91 - 5 September 2011

General

  * Fix for bug 658141 - Need to add support for the 'placeholder-text'
    object attribute

  * Fix for bug 658133 - Firefox lines which begin with bullets are not
    always presented by Cthulhu

  * Fix for bug 657732 - stopSpeechOnActiveDescendant shouldn't cut off
    the presentation of a name-change

  * Fix for bug 657902 - Remove static binding cruft from configure.ac
    and acinclude.m4

Documentation

  * Began update of the Cthulhu 3.2 documentation

  * Fix for bug 655642 - Problems in the docs

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                Marek Černocký
    es            Spanish              Jorge González
    gl            Galician             Fran Diéguez
    hu            Hungarian            Attila Hammer, Gabor Kelemen
    lt            Lithuanian           Aurimas Černius
    ru            Russian              Anatol Kamynin, Yuri Myasoedov
    sv            Swedish              Daniel Nylander
    ta            Tamil                Dr.T.Vasudevan

=========

3.1.90 - 29 August 2011

General

  * Fix for bug 626254 - Migrate from PyGTK to PyGObject introspection-
    based bindings

  * Fix for bug 652485 - Remove deprecated (or soon-to-be deprecated)
    GtkBox, GtkTable, etc. and use GtkGrid instead.

  * Fix for bug 657646 - Default stopSpeechOnActiveDescendantChanged()
    should not be so restrictive

  * Fix for bug 657579 - Cthulhu should not present tooltips shown as a
    result of mouse hovering unless the 'present tooltips' setting is
    enabled

Gecko

  * Fix for bug 599361 - Significant delay building up the contents
    of certain lines in Firefox

  * Fix for bug 650904 - Work around AT-SPI2 caching issues with
    Thunderbird

New and updated translations (THANKS EVERYONE!!!):

    ca            Catalan              Gil Fcthulhuda 
    de            German               Mario Blättermann
    es            Spanish              Gonzalo Sanhueza, Jorge González
    id            Indonesian           Andika Triwidada
    nb            Norwegian bokmål     Kjartan Maraas
    sr            Serbian              Miroslav Nikolić
    ug            Uyghur               Abduxukur Abdurixit, Sahran

=========

3.1.5 - 15 August 2011

General

  * Fix for bug 639535 - KeyError: 'profile' traceback; Cthulhu won't
    launch

  * Fix for bug 654923 - Add Unity to OnlyShowIn value for autostart
    desktop file

  * Fix for bug 656305 - Improve autotools config

  * Fix for bug 654114 - Map "clutter" to "CALLY" toolkit script

  * Enhanced Cthulhu's traceit tool.

New and updated translations (THANKS EVERYONE!!!):

    bg            Bulgarian            Alexander Shopov
    es            Spanish              Daniel Mustieles
    fr            French               Bruno Brouard
    gl            Galician             Fran Diéguez
    hu            Hungarian            Attila Hammer, Gabor Kelemen
    pl            Polish               Piotr Drąg
    sv            Swedish              Daniel Nylander

=========

3.1.4 - 25-July-2011

General

  * Fix for bug #654111 - Need to map 'gtk' to GAIL toolkit script

  * Fix for bug #634460 - Could cthulhu provide date/time information
    within the debug files?

  * Fix for bug #654210 - Cthulhu sometimes fails to present the default
    button in a dialog

  * Fix for bug #654321 - Cthulhu's debug utility reports the toolkit
    version as 'unknown'

  * Fix for bug #654426 - The speech generator's _generateAncestors()
    method needs to handle page tabs which do not implement AtkText

  * Fix for bug #654789 - Cthulhu is not localizing key sequences when
    presenting them to the user

  * Fix for bug #654795 - Need to improve Cthulhu's speech presentation
    of WebKitGtk access keys

  * Fix for bug #654796 - Cthulhu is not respecting the 'only speak displayed
    text' setting with rolename presentation in WebKitGtk content

Tests

  * Updating gtk-demo regression and general tests

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                Marek Černocký
    es            Spanish              Jorge González
    lt            Lithuanian           Aurimas Černius
    sl            Slovenian            Matej Urbančič
    ug            Uyghur               Sahran

==========

3.1.3 - 4-July-2011

General

  * Fix for bug 653642 - Alt+F4 followed by Escape leaves the Cthulhu window
    closed - but Cthulhu still running

  * Fix for bug 653628 - List shortcuts mode: shortcut is spelled out as
    "shift T A B" instead of saying "shift tab"

  * Fix for bug 653634 - Cthulhu welcome message is cut off

  * Fix for bug 653624 - bash-ism causes error in cthulhu startup script

  * Fix for bug 653514 - The ONLY magnification work Cthulhu should be doing
    is handling caret and focus tracking

  * Fix for bug 652500 - DBusException seen when Cthulhu is running with
    gnome-shell mag

New and updated translations (THANKS EVERYONE!!!):

    de            German               Christian Kirbach
    es            Spanish              Daniel Mustieles
    gl            Galician             Fran Diéguez
    hu            Hungarian            Attila Hammer
    sl            Slovenian            Matej Urbančič
    sv            Swedish              Daniel Nylander
    tr            Turkish              Muhammet Kara

==========

3.1.2 - 13-June-2011
The long-overdue "spring cleaning" release

General

  * Fix for bug 622764 - Remove the gconf dependency

  * Fix for Bug 652408 - Remove last remnants of bonobo and friends

  * Fix for bug 652415 - gksu grab can be disabled via gksu-properties;
    Cthulhu doesn't need this option in its GUI

  * Fix for bug 652413 - Cthulhu's enableAutostart setting and GUI widget
    are redundant in GNOME 3 and should be removed

  * Fix for bug 646288 - Cthulhu needs to respond to the appropriate
    gsettings keys

  * Fix for bug 650136 - Fall back on combobox name to get the displayed
    item

  * Removal of outdated docs and other unused, cruftastic files

Speech

  * Fix for bug 652246 - Cthulhu starts speaking really slowly after the
    Quit dialog appears

  * Fix for bug 652043 - In Libreoffice, Cthulhu doesn't present the title
    bar

  * Fix for bug 652237 - Remove gnome-speech support from the master/
    3.1.x branch

  * Fix for bug 647037 - Pronunciation rules not being applied until
    user settings are reloaded

Magnification

  * Fix for bug 629321 - gsmag.py should use GSettings rather than GConf

  * Fix for Bug 652241 - Magnification settings should be controlled by
    gnome-shell mag/Universal Access tools; not by Cthulhu

  * Fix for Bug 652407 - Cthulhu's enableMagnifier setting should be based
    on the value of screen-magnifier-enabled

  * Fix for bug 652373 - Cthulhu's magnification keybindings are no longer
    needed in GNOME 3 and should therefore be removed

  * Fix for bug 652238 - Remove gnome-mag support from the master/3.1.x
    branch

New and updated translations (THANKS EVERYONE!!!):

    ca@valencia   Catalan (Valencian)  Carles Ferrando
    cs            Czech                Marek Černocký
    es            Spanish              Daniel Mustieles
                                       Francisco Javier Dorado Martínez
    gl            Galician             Fran Diéguez
    hu            Hungarian            Attila Hammer

==========

3.1.1 - 9-May-2011

General:

  * Fix for bug #647522 - Cthulhu should not speak page loading messages
    if 'only speak displayed text' is enabled

  * Fix for bug 638883 - Cthulhu should present text which auto-inserted
    into editable, non-terminal widgets

  * Fix for bug #431030 - GtkStatusIcon objects don't have accessible
    names

  * Fix for bug #647982 - Cthulhu sometimes presents application events
    in GNOME 3; other times it fails to do so.

  * Fix for bug #647547 - The braille monitor should be movable

  * Fix for bug #647117 - cthulhu autostarted in kde

  * Fix for bug #646475 - Traceback seen with gnome-speech

  * Fix for bug #646547 - Two typos in prefs string

  * Fix for bug #640134 - Catch pyatspi2's RuntimeErrors

  * Fix for the problem of punctuation settings not getting properly
    loaded or unloaded when the application script changes.

  * Fix for the problem of voice settings not getting properly loaded
    or unloaded when the application script changes.

  * Voice settings need to be ACSSs; not dicts.

New and updated translations (THANKS EVERYONE!!!):

    bg        Bulgarian              Krasimir Chonov
    ca        Catalan                Jordi Serratosa
    cs        Czech                  Marek Černocký
    da        Danish                 Kenneth Nielsen
    de        German                 Simon Bienlein
    eo        Esperanto              Kristjan Schmidt
    es        Spanish                Jorge González and Daniel Mustieles
    hu        Hungarian              Attila Hammer, Gabor Kelemen
    ja        Japanese               Jiro MATSUZAWA and Takayuki KUSANO
    nb        Norwegian bokmål       Kjartan Maraas
    pt        Portuguese             Rui Batista
    pt_BR     Brazilian Portuguese   Antonio Fernandes C. Neto
    sl        Slovenian              Matej Urbančič
    ta        Tamil                  Dr.T.Vasudevan
    ug        Uyghur                 Abduxukur Abdurixit
    uk        Ukrainian              Daniel Korostil

==========

2.91.92 - 21-March-2011

General:

  * Provide 'text' title type in the help content so that
    the logo alt text doesn't wind up being displayed where
    it should not be.

  * Fix for bug #Bug 645241 - Attempting to manually run
    certain app-settings files results in a traceback

  * Fix for bug #645256 - Unhandled LookupError when
    an application is quit

  * Fix for bug #643304 - Specific apps settings are applied
    globally

  * Fix for bug #645278 - Cthulhu is writing out application
    prefences it should not

  * Fix for bug #643969 - When switching from desktop to
    laptop mode, new keybindings don't take effect
    until restart

  * Fix for bug #645364 - Need to check for "mapped" scripts
    before object toolkit scripts when creating a new script

  * Fix for bug #645362 - Cthulhu is ignoring --disable main-window

  * Fix for the problem with script loading of version 2
    and 3 of Yelp.

Gecko/Yelp 2:

  * Fix for bug #645117 - Traceback when using Cthulhu with
    Gecko-based Yelp

WebKitGtk/Yelp 3:

  * Fix for bug #645286 - Cthulhu should announce when WebKitGtk
    content has started or finished loading

  * Fix for bug #645290 - Cthulhu does not present links in
    Yelp 3 when those links are made up of multiple objects

  * Fix for bug #645359 - Cthulhu is not able to set the caret
    position within a WebKitGtk list item when using
    structural navigation

  * Fix for bug #645366 - Cthulhu needs to work around the initial
    lack of caret in a newly-loaded WebKitGtk page

  * Fix for bug #645465 Say All needs to be implemented for
    WebKitGtk-based apps

  * Fix for bug #645474 - Cthulhu should provide the option of
    performing a Say All when WebKitGtk content is loaded

Clutter/Cally:

  * By default, any selection change on CALLY means a change
    on locusOfFocus

New and updated translations (THANKS EVERYONE!!!):

    en_GB     British English          Bruce Cowan
    es        Spanish                  Jorge González
    de        German                   Mario Blättermann
    it        Italian                  Luca Ferretti
    pl        Polish                   Piotr Drąg
    po        Dutch                    Hannie Dumoleyn
                                       Wouter Bolsterlee
    ro        Romanian                 Lucian Adrian Grijincu
    ru        Russian                  Anatol Kamynin

==========

2.91.91 - 07-March-2011

General:

  * Fix for bug #643195 - Cthulhu hangs after a traceback

  * Fix for bug #637780 - Cannot permanently update settings for the gdm
    user login session

  * Fix for bug #643378 - Cthulhu does not present the XFCE window switcher

  * Fix for bug #643306 - Cthulhu is not correctly failing back on the
    default script for unknown toolkit

  * Fix for bug #643067 - Have GS magnifyAccessible check that
    magnification is enabled

Gecko:

  * Fix for bug #634642 - Cthulhu can be very slow to find a position in a
    Gecko list

New and updated translations (THANKS EVERYONE!!!):


    ca        Catalan                  Gil Fcthulhuda
    es        Spanish                  Francisco Javier Dorado
    nb        Norwegian bokmål         Kjartan Maraas
    ug        Uyghur                   Abduxukur Abdurixit
    zh_CN     Chinese (Simplified)     Wei Li

==========

2.91.90 - 21-February-2011

General:

  * Fix for bug #642212 - Delay setting autostart until console UI is
    finished

  * Fix for bug #642592 - Autostart cthulhu if the screen-reader is enabled

  * Fix for bug #642285 - Cannot launch Cthulhu after performing a text
    setup

  * Fix for bug #641017 - Use json instead of yaml parser

OpenOffice/LibreOffice:

  * Fix for bug #640372 - OOo seems far less likely to crash frequently
    if we process its events synchronously

New and updated translations (THANKS EVERYONE!!!):

    es        Spanish              Francisco Javier Dorado
                                   Jorge González
                                   Daniel Mustieles
    fr        French               Claude Paroz
    gl        Galician             Fran Diéguez
    hu        Hungarian            Attila Hammer
    nb        Norwegian bokmål     Kjartan Maraas
    uk        Ukrainian            Daniel Korostil 

==========

2.91.6 - 31-January-2011

General:

  * Fix for bug #641033 - Sanity check needed before sending language
    to speech dispatcher

  * Fix for bug #640894 - always clear _gidleId when finished calling
    _dequeue

  * Fix for bug #640218 - Handle pyatspi LookupError exceptions better

  * Fix for bug #640342 - Only defer to the toolkit script for an object
    if the app script is associated with a different toolkit

  * Fix for bug #639876 - sometimes I cannot hear the name of the window
    when I press alt+tab

  * Fix for bug #640194 - Post-event-manager-refactor sanity checks
    needed

  * Fix for bug #640135 - Generator Cache can get cleared in the midst
    of getting the mnemonic, shortcut, and accelerator

  * Fix for bug #640072 - Cthulhu crashes receiving a message from Pidgin

  * Fix for bug #640132 - Cthulhu sometimes becomes non-responsive after
    an app is quit

  * Fix for bug #639992 - gdm-simple-greeter script did not have its
    import modified in recent refactor

  * Fix for bug 639974 - Cthulhu crashes announcing progress bar updates
    while pressing alt + tab
    
  * Fix for bug #639668 - [Refactor] Eliminate the presentation manager
    and focus tracking presenter; create an event manager and script
    manager
    
  * Fix for bug #639669 - [Refactor] Remove script mapping from
    settings.py and clean up that code

  * Fix for bug #639670 - [Refactor] Move default.py into the scripts
    module
    
  * Fix for bug #639671 - [Refactor] Remove event recount and
    COMM_FAILURE handling
    
  * Fix for bug #639673 - Cthulhu should support the creation and use of
    version-specific scripts for applications

  * Work on bug #638970 - Loading a new profile takes longer than ideal

  * Fix for bug #639418, not marked for translation the text-spelling
    attribute name

  * Fix for bug #638672 - Can't open the preferences dialog

WebKitGtk/Yelp 3:

  * Fix for bug #640609 - Structural navigation should not kick in when
    the user is performing a search of WebKitGtk content

  * Fix for bug #640591 - The 'system' voice is incorrectly used after
    structural navigation wraps in WebKitGtk content

  * Fix for bug 640500 - Cthulhu presents too much info for some links;
    not enough info for others in WebKitGtk

  * Fix for bug #640383 - Cthulhu is not indicating caret position or
    selection for Headings in WebKitGtk
    
  * Fix for bug #640451 - Focused WebKitGtk links are not underlined
    in braille

  * Fix for bug #640383 - Cthulhu is not indicating caret position or
    selection for Headings in WebKitGtk

  * Fix for bug #640381 - Cthulhu is using the default voice for WebKitGtk
    roles when it should use the system voice

  * Fix for bug #640379 - Cthulhu says 'read only' for paragraphs in
    WebKitGtk content

  * Fix for bug #640377 - Structural navigation sometimes fails to work
    with WebKitGtk content

  * Fix for bug #607854 - Yelp+WebKit not working well

New and updated translations (THANKS EVERYONE!!!):

    cs            Czech                Marek Cernocky
    el            Greek                Marios Zindilis
    es            Spanish              Francisco Javier Dorado
    gl            Galician             Fran Diéguez
    hu            Hungarian            Attila Hammer
    sl            Slovenian            Matej Urbančič
    sv            Swedish              Daniel Nylander
    uk            Ukrainian            Maxim V. Dziumanenko
    zh_HK         Chinese (Hong Kong)  Chao-Hsiung Liao, Wei-Lun Chao
    zh_TW         Chinese (Taiwan)     Chao-Hsiung Liao, Wei-Lun Chao

==========

2.91.5 - 10-January-2011

General:

  * Finished bug #631123 - Cthulhu documentation needs to be updated,
    converted to Mallard, augmented, and moved to the Cthulhu module

  * Fix for bug #636841 - Cthulhu does not speak user which gets selected
    when the user first presses down cursor in gdm login screen

  * Fix for bug #638623 - The application preferences dialogs are not
    always correctly populated

  * Fix for bug 638285 - debug.getAccessibleDetails() is called by the
    generator and scripts regardless of the debug level

  * Fix for bug #638318 - Different "None" strings for gender correct
    translation

  * Fix for bug #637667 - Profiles are not always loaded correctly

  * Fix for bug 637865 - Cthulhu stops speaking if Escape is pressed after
    changing synthesizers

Gecko:

  * Fix for bug #638063 - SayAll fails with certain pages in Firefox

  * Fix for bug #638053 - Cthulhu says "blank" in Gecko using the default
    voice when it should use the system voice

  * Fix for bug #638048 - Cthulhu is breaking up utterances in Gecko when
    it should not be

  * Fix for bug #628837 - System Voice does not work correctly for Gecko

New and updated translations (THANKS EVERYONE!!!):

    cs      Czech                Marek Cernocky
    es      Spanish              Francisco Javier Dorado
    gl      Galician             Fran Diéguez
    hu      Hungarian            Attila Hammer
    sl      Slovenian            Andrej Žnidaršič
    sv      Swedish              Daniel Nylander
    ug      Uyghur               Gheyret T.Kenji
    vi      Vietnamese           Truong Anh Tuan and Nguyễn Thái Ngọc Duy
    zh_CN   Chinese (Simplified) Aron Xu

==========

2.91.4 - 21-December-2010

  "The Settings Manager and Profile Release: Now With More Ducks" 

General:

  * Fix for bug #637667 - Speech Settings in a profile are not always
    loaded.

  * Fix for bug #637653 - In a new setup, the Cthulhu Preferences window
    no longer gets focus.

  * Fix for bug #637661 - We should be careful when using run() in Cthulhu
    dialogs because we can become unresponsive.

  * Fix for bug #637670 - Speech is getting broken up into separate
    utterances when it should not be.

  * Fix for bug #637662 - The label serving as static text in the
    Save Profile As dialog should be removed.

  * Fix for bug #637665 - The 'Active Profile' label in the Preferences
    dialog should have a shortcut.

  * Fix for bug #637654 - Several changes need to be made to the
    Save Profile As widgets.

  * Fix for bug #637637 - The Save Profile As dialog should not be
    setting accessible names for non-visible children.

  * Fix for bug #570650 - Profiles and new settings manager.

  * Fix for bug #637551 - Pressing help in the Cthulhu Preferences dialog
    should put you in the Preferences help.

  * Work on bug #631123 - Cthulhu documentation needs to be updated, converted
    to Mallard, augmented, and moved to the Cthulhu module.

  * Fix for bug #637115 - Cthulhu needs to have Miramar added to the list of
    names for thunderbird scripts.

  * Fix for bug #637422 - bookmarkCurrentWhereAmI() is not presenting roles
    correctly.

  * Fix for bug #636824 - Cthulhu is at the mercy of speech-dispatcher's default
    priority


New and updated translations (THANKS EVERYONE!!!):

    es     Spanish       Jorge González
    hu     Hungarian     Attila Hammer
    et     Estonian      Ivar Smolin

==========

2.91.3 - 29-November-2010

General:

  * Work on Bug 633104 - I see three performance related problem
    with Mozilla Thunderbird and Cthulhu

  * Fix for bug #630591 - Cthulhu's _generateDisplayedText should return
    an empty list when there is no text

  * Fix for bug #634862 - Cthulhu doesn't speak the heading or level when
    using caret navigation in WebKitGtk content

  * Fix for bug #634469 - Remove unneeded accessible-value change hack
    from Gecko script.

New and updated translations (THANKS EVERYONE!!!):

    es     Spanish       Francisco Javier Dorado Martinez
    ro     Romanian      Lucian Adrian Grijincu, Morie Daniel Alexandru
    ug     Uyghur        Gheyret T.Kenji

==========

2.91.2 - 8-November-2010

General:

  * Fix for bug #634248 - Cthulhu should ignore object:state-changed:focused
    events triggered by WebKitGtk caret navigation

  * Fix for bug #626266 - Discontinue support for OpenTTS system

  * Fix for bug #628842 - Cthulhu speaks newly-focused panels in gnome-panel
    using the default voice rather than the system voice

  * Fix for bug #629586 - When Cthulhu is in learn mode and the user switches
    to another application, Cthulhu stops presenting the locusOfFocus

New and updated translations (THANKS EVERYONE!!!):

    ast          Asturian            Xandru Armesto
    ca@valencia  Catalan             Carles Ferrando
    gl           Galician            Fran Diéguez
    ja           Japanese            Takayuki KUSANO

==========

2.91.1 - 18-October-2010

General:

  * Fix for bug #631544 - Cthulhu crashes at GDM login screen if GDM's 
    .local/share/cthulhu directory does not exist

  * Fix for bug #628276 - Cthulhu: Icons in Nautilus aren't using 
    localized role names

  * Upgrade from LGPLv2 to LGPLv2.1.

New and updated translations (THANKS EVERYONE!!!):

    ca       Catalan                 Gil Fcthulhuda
    cs       Czech                   Marek Černocký
    de       German                  Christian Kirbach
    et       Estonian                Ivar Smolin

==========

2.91.0 - 03-October-2010

General:

  * Fix for bug #630274 - Use system voice for the "starting Cthulhu prefs
    for x application" message

  * Fix for bug #630644 - Modified gsmag.py to pass RectBounds arrays as
    [left, top, right, bottom] (instead of [left, top, width, height])
    when invoking GNOME Shell magnifier via DBus

  * Fix for bug #631120 - Check for pyxdg

  * Fix for bug #630142 - Two incorrectly named chat settings in
    userCustomizableSettings

  * Aditional fix for bug #609900 - Speech page speechdispatcher
    defaults to zh

OpenOffice:

  * Fix for bug #630584 - Cthulhu should announce the newly-focused sheet
    when the user navigates amongst sheets in Calc

WebKitGtk:

  * Fix for bug #630328 - Cthulhu provides no access to WebKitGtk content
    whatsoever

New and updated translations (THANKS EVERYONE!!!):

    bg       Bulgarian               Damyan Ivanov
    cs       Czech                   Marek Černocký
    da       Danish                  Daniel K. Gartmann, Kenneth Nielsen
    el       Greek                   Simos Xenitellis
    it       Italian                 Luca Ferretti
    ja       Japanese                Takayuki KUSANO
    pl       Polish                  Piotr Drąg, Tomasz Dominikowski
    pt_BR    Brazilian Portuguese    Djavan Fagundes
    pt       Portuguese              Rui Batista

==========

2.31.92 - 13-September-2010

General:

  * Fix for bug #609900 - Speech page speechdispatcher defaults to zh

  * Fix for bug #628367 - When Cthulhu enters notification mode and the
    user switches to another application, Cthulhu stops presenting the
    locusOfFocus

  * Fix for bug #628569 - Cthulhu preferences are not getting saved
    permanently if a $HOME/.cthulhu exists

  * Fix for bug #628589 - Notification message list message is too long

  * Additional work on bug #543157 - It is not always possible to
    distinguish on-screen text from Cthulhu's "system" messages

  * Fix for bug #628410 - Add support for object toolkits

  * Fix for bug #628568 - Cthulhu won't die, cannot be replaced if the
    at-spi registry daemon dies

New and updated translations (THANKS EVERYONE!!!):

    cs          Czeck                   Marek Černocký
    de          German                  Simon Bienlein
    el          Greek                   Michael Kotsarinis
    es          Spanish                 Francisco Javier Dorado Martínez
    fr          French                  Laurent Coudeur
    gb          British English         Bruce Cowan and Philip Withnall
    gl          Galician                Fran Diéguez
    hu          Hungarian               Attila Hammer
    nb          Norwegian bokmål        Kjartan Maraas
    pt          Portuguese              Rui Batista
    sl          Slovenian               Matej Urbančič
    sv          Swedish                 Daniel Nylander
    ta          Tamil                   Dr.Tirumurti Vasudevan
    zh          Traditional Chinese     Chao-Hsiung Liao
                (Hong Kong and Taiwan)
==========

2.31.91 - 30-August-2010

General:

  * Fix for bug #625422 - Remove XDG location 'migration' option

  * Fix for bug #627451 - Cthulhu needs a way to repeat the latest
    notification messages.

  * Fix for bug #628275 - Cthulhu should be more forgiving when invalid
    options and arguments are specified

  * Fix for bug #628256 - cthulhu.die() should call sys.exit() rather than
    os._exit()

  * Fix for bug #628300 - Write the errors to the sdterr instead of
    sdtout

  * Additional fix for bug 626272 - Plural forms needed for correct
    localization

  * Fix for bug #627052 - Cthulhu shouldn't ignore of object:text-caret-
    moved events which immediately follow a window:activate event

  * Fix for bug #627477 - Cthulhu splash screen shouldn't be displayed in
    GDM

  * Fix for bug #627216 - Cthulhu not brailling messages received via
    notify-osd

Speech:

  * Fix for bug #520595 - Cthulhu is far too "chatty" for persons with
    learning disabilities

Gecko:

  * Fix for bug #627769 - 2.31.91pre say all stops at links and headers
    in firefox and thunderbird

  * Fix for bug #627691 - When I say all a webpage content and Cthulhu
    attempts to speak an image description, the say all operation is
    terminated

OOo:

  * Fix for bug #627498 - Cthulhu should explicitly present the insertion
    and deletion of the last row in an OOo Writer table

New and updated translations (THANKS EVERYONE!!!):

    cs          Czeck                   Marek Černocký
    es          Spanish                 Francisco Javier Dorado Martínez
    gb          British English         Philip Withnall
    gl          Galician                Fran Diéguez
    hu          Hungarian               Gabor Kelemen
    ja          Japanese                Jiro MATSUZAWA
    sl          Slovenian               Matej Urbančič
    zh          Traditional Chinese     Chao-Hsiung Liao
                (Hong Kong and Taiwan)
==========

2.31.90 - 16-August-2010

General:

  * Fix for bug #577705 - When Cthulhu starts doesn't get to the component
    with focus

  * Fix for bug #623571 - Use %-d format directive, not %d, for non-
    numeric date format strings

  * Fix for bug #626967 - Cthulhu's shellscript shouldn't use 'exec' for
    calling the Python script

  * Fix for bug #626272 - Plural forms needed for correct localization

  * Fix for bug #626640 - The Solaris user's PATH is hardcoded

  * Fix for bug #626498 - Traceback seen in cthulhu_gui_prefs.py when
    trying to bind an unbound command

  * Fix for bug #626200 -  Modules should use script methods for
    presenting messages

  * Fix for bug #626075 - Speak unicode value of current character has
    been omitted from the laptop layout

Speech:

  * Fix for bug #543157 - It is not always possible to distinguish on-
    screen text from Cthulhu's "system" messages

  * Fix for bug #626713 - Cthulhu fails to speak superscript symbols in the
    correct language when Up/Down Arrow is used

  * Fix for bug #626197 - Cthulhu often fails to associate the correct
    voice with the correct string when multiple voices are present in
    an utterance

  * Fix for bug #626072 - Speech Dispatcher can get stuck in a language
    if the default voice has no language defined

New and updated translations (THANKS EVERYONE!!!):

    gl          Galician                 Fran Diéguez
    sl          Slovenian                Matej Urbančič
    sv          Swedish                  Daniel Nylander
    ta          Tamil                    Dr.T.Vasudevan
    zh          Chinese (Simplified)     Ray Wang

==========

2.31.6 - 02-August-2010

General:

  * Fix for bgo#625737 - Cthulhu should attempt to clump superscripted and
    subscripted numbers together

  * Fix for bgo#625719 - "Right-pointing arrow" string is associated
    with the incorrect Unicode character

  * Fix for bgo#596108 - Use XDG locations for storing configuration
    files

  * Fix for bgo#624640 - Traceback in script_utilities.selectedText()


Gecko:

  * Fix for bgo#616650 - The default value of grabFocusOnAncestor for
    Yelp 2.x should (now) be False

  * Fix for bgo#625458 - Cthulhu is not presenting the new location when
    Tabbing amongst content in Gecko-based Yelp

  * Fix for bgo#624979 - Push buttons no longer showing up in braille
    for Firefox 4.0

OpenOffice.org:

  * Fix for bgo#620109 - Speech Dispatcher (and OpenTTS?) do not present
    bullets from OOo Writer

  * Fix for bgo#624641 - Cthulhu says "grayed" when focus is initially
    given to the table in OOo Calc

  * Fix for bgo#624628 - Cthulhu does not announce the state of formatting
    toggle buttons in OOo 3.3 dev

GCalctool:

  * Fix for bgo#625729 - Cthulhu does not present superscripted and
    subscripted numbers in gcalctool

Eclipse:

  * Fix for bgo#624243 - When editing in Eclipse by pressing the Tab key
    Cthulhu sometimes reads the contents of the line


New and updated translations (THANKS EVERYONE!!!):

    de          German                Mario Blättermann
    es          Spanish               Francisco Javier Dorado Martínez
    gl          Galician              Fran Diéguez
    hu          Hungarian             Attila Hammer
    zh          Chinese (Simplified)  Ray Wang

==========

2.31.5 - 12-July-2010

General:

  * Fix for bgo#624153 - I see performance slowing with Cthulhu after bug
    373387 fix

  * Fix for bgo#373387 - Users should be able to lock/unlock the "Lock"
    modifier even if Caps Lock is the Cthulhu modifier

  * Fix for bgo#616585 - Numpad 0 can't work after launch and quit cthulhu

  * Fix for bgo#536827 - Provide configuration GUI option to set the
    Cthulhu key/modifier

  * Fix for bgo#623099 - Present date needs a few more formatting strings

  * Fix for bgo#621535 - User should be able to select date and time
    format from gui

  * Fix for bgo#623414 - Cthulhu's date format strings contain an extraneous
    comma

  * Fix for bgo#622739 - Make bonobo optional

Magnification:

  * Fix for bgo#621330 - Setting screen position of magnifier reverts to
   "Full Screen" upon closing prefs dialog (gs-mag)

Gecko:

  * Fix for bgo#623825 - Regression: Cthulhu speaks unselected XUL radio
    buttons in Gecko dialog boxes

  * Fix for bgo#623561 - Thunderbird script needs to be associated with
    Lanikai

gnome-terminal:

  * Fix for bgo#623897 - uppercase accented deleted in the terminal are
    not spoken with the correct voice

New and updated translations (THANKS EVERYONE!!!):

    es          Spanish             Jorge González
    gl          Galician            Fran Diéguez

==========

2.31.4 - 28-June-2010

General:

  * Fix for bgo#622755 - Traceback when the Preferences dialog box is
    opened but espeak is not installed

  * Fix for bgo#622752 - espeechfactory should be the last factory
    tried when the default factory is unavailable

  * Fix for bgo#606978 - Detect working speech factory upon failure to
    initialize the preferred factory

  * Fix for bgo#606975 - Move to SpeechDispatcher for GNOME 3

  * Fix for bgo#622042 - Misordered dependencies in configure.in

  * Fix for bgo#622120 - Insert comments on "echo option" for clarify
    translations

  * Fix for bgo#621800 - GUI: should not be possible to set the right
    coordinate of zoomer position to less than left (ditto for bottom
    less than top)

  * Fix for bgo#619809 - Cthulhu freezes when building the flat review
    context of the Keybindings table

  * Fix for bgo#621675 - Custom zoomer size has zero width (GnomeShell
    magnifier)

  * Fix for bgo#611576 - Present date/time

  * Fix for bgo#621000 - GtkCheckbuttons that simply change prefsDict
    can be handled by one handler

  * Fix for bgo#621325 - Dbus call to gs-mag to show crosshairs fails
    in some cases

  * Fix for bgo#621020 - Fix DBus interface to GNOME Shell Magnifier
    (GNOME Shell 2.31.2)

  * Fix for bgo#591925 - Give scripts a means by which to filter out
    events which are no longer relevant

Gecko:

  * Fix for bgo#622812 - Firefox: Combo boxes cannot be activated via
    cursor routing keys

  * Fix for bgo#622811 - Firefox: Braille not updated when checking a
    radio button

  * Fix for bgo#622821 - Structural navigation should not move to
    empty sections

  * Fix for bgo#618484 - Heuristic method of handling Thunderbird's
    flooded text insertions

  * Fix for bgo#620299 - Cthulhu does not treat editable document frames
    as entries

  * Fix for bgo#621158 - Thunderbird combo box content does not show
    in Braille when combo has focus

Eclipse:

  * Fix for bgo#620018 - By reformatting a text or comment in eclipse,
    Cthulhu speaks all the file contents

  * Fix for bgo#621873 - custom script for Eclipse may be refactored

Chat:

  * Fix for bgo#615489 - Migrate Pidgin script to new chat.py

  * Fix for bgo#621469 - The chat-only-if-focused options aren't
    respected when another script is active

New and updated translations (THANKS EVERYONE!!!):

    gl          Galician            Fran Diéguez
    nb          Norwegian bokmål    Kjartan Maraas

==========

2.31.3 - 06-June-2010

General:

  * Fix for bgo#615968 - Catch some exceptions

  * Fix for bgo#620671 - Timing problem with generator cache

  * Fix for bgo#619306 - Indentation and justification is not always
    spoken

  * Fix for bgo#620320 - Speaking of indentation should be handled by
    the speech generator

  * Fix for bgo#620163 - There should be a script utility to get the
    last key and modifiers

  * Fix for bgo#618927 - Need to add Open TTS to speech servers

  * Fix for bgo#619332 - Generators should filter out '\r' line endings

OpenOffice:

  * Fix for bgo#620205 - Cthulhu doesn't speak changes in bullets and
    numbers resulting from Tab, Shift+Tab, or BackSpace being pressed

  * Fix for bgo#619648 - Cthulhu doesn't speak list bullets and numbers
    when they are automatically inserted by OOo Writer

  * Fix for bgo#620156 - Caret-moved events not presented in OOo Writer
    3.2's Hyperlink dialog

  * Fix for bgo#619574 - Cthulhu fails to speak links in OOo Writer when
    the localized form of 'link' contains an accented character

  * Fix for bgo#620098 - When a line in an OOo Writer document ends
    with a link which began on an earlier line, Cthulhu doesn't speak
    'link'

  * Fix for bgo#620097 - When a line in an OOo Writer document ends
    with a link, the final character is spoken as if it were not part
    of the link

  * Fix for bgo#620055 - Cthulhu insists vehemently that you be told about
    margin-related text attributes in OOo

  * Fix for bgo#620045 - Left and Right are missing from the list of
    keys the OOo script uses to determine when to speak toggle button
    state changes

  * Fix for bgo#619949 - Atrributes in oowriter are not being presented

  * Fix for bgo#613299 - Cthulhu should not present changes in the active
    descendant for unfocused widgets in OOo

Eclipse:

  * Fix for bgo#619486 - Cthulhu does not give feedback when performing an
    incremental find in Eclipse

Pidgin:

  * Fix for bgo#619473 - Cthulhu is not presenting incoming chatroom
    messages with Pidgin 2.7.0

New and updated translations (THANKS EVERYONE!!!):

    gl          Galician            Fran Diéguez
    hu          Hungarian           Attila Hammer and Gabor Keleman
    nb          Norwegian bokmål    Kjartan Maraas

==========

2.31.2 - 23-May-2010

General:

  * Fix for bgo#619046 - Opentts/sd does not accept '\r\n', prevent
    cthulhu from sending this sequence.

  * Fix for bgo#619047 - I can not run cthulhu with --debug-file flag

  * Fix for bgo#591034 - Caps_lock does not get re-enabled after cthulhu
    shutdown and when switching from laptop to desktop layout.

  * Fix for bgo#618285 - Cthulhu -q and --replace should quit gracefully
    using kill.

  * Fix for bgo3#618334 - SD python bindings crashes when receiving
    newline followed by full stop.

  * Fix for bgo#618464 - Convert scripts/apps/{evolution,soffice}/
    script.py to be more legible.

  * Fix for bgo#618381 - Remove verbose keybinding code from default.py

  * Fix for bgo#618311 - cthulhu.in should use spaces rather than tabs.

  * Fix for bgo#618192 - All application scripts should have their own
    directory

  * Fix for bgo#609175 - The sets module is deprecated in python 2.6

  * Fix for bgo#618165 - Create a Utilities class for scripts

  * Fix for bgo#618166 - Cthulhu's method names are inconsistent and
    sometimes confusing

New Commands:

  * Fix for bgo#619383 - Need unbound keybinding for cycling through
    key echo options.

  * Fix for bgo#616820 - There is no command to present the list of
    available Cthulhu keyboard shortcuts.

  * Fix for bgo#617420 - Need unbound keybinding for rotating through
    punctuation levels.

Braille:

  * Fix for bgo#618728 - Cthulhu should have short and detailed messages
    in both speech and braille

  * Fix for bgo#618337 - Cthulhu fails to present command-related
    confirmation messages in braille

  * Fix for bgo#618291 - Cthulhu fails to present title bar, status bar,
    and default button in braille

  * Fix for bgo618288 - Cthulhu fails to present the "no more found"
    structural navigation messages in braille

  * Fix for bgo#533660 - Cthulhu does not display labels for unlabeled
    XUL entries

  * Fix for bgo#618800 - Some items spoken but not brailled in the OOo
    Writer Templates and Documents dialog

  * Fix for bgo#617976 - OO spreadsheet should present the equation on
    the braille display when pressing cthulhu+a

Gecko:

  * Fix for bgo#618981 - Cthulhu sometimes speaks the entire line of a
    Thunderbird message when Home or End are pressed

  * Fix for bgo#619139 - Traceback in guessLabelFromOtherLines()

  * Fix for bgo#618863 - Table structural navigation not working with
    th element in Firefox 3.6

  * Fix for bgo#618806 - WhereAmI in Thunderbird presents the full
    message text when a message is editable

  * Fix for bgo#618827 - The generatorCache is not getting dumped when
    using Gecko's caret or structural navigation due to lack of AT-SPI
    events

  * Fix for bgo#618801 - Traceback in Thunderbird

  * Fix for bgo#618633 - Remove keybindings code from Gecko script.

OpenOffice:

  * Fix for bgo#619101 - Duplicate caret-moved events in OOo Writer
    are causing Cthulhu to double-speak lines of text

  * Fix for bgo#538050 - Cthulhu should announce the slide title, number,
    and count when Page Up/Page Down is pressed in Impress

  * Fix for bgo#618790 - The active descendant in OOo Writer 3.2's
    Templates and Documents dialog are not presented

  * Fix for bgo#618794 - Cthulhu speaks "end of table" when the selection
    changes in OOo Writer's Templates and Documents dialog

  * Fix for bgo#617603 - OO Cell numbers not spoken in Ubuntu.

Eclipse:

  * Fix for bgo#618589 - when debugging in eclipse, sometimes cthulhu
    reads the same line twice

  * Fix for bgo#618303 - cthulhu needs a custom script for eclipse

Rhythmbox:

  * Fix for bgo#618774 - Active descendant in Rhythmbox sidebar not
    presented

Clutter/Cally:

  * Fix for bgo#616206 - Add new specific toolkit script CALLY

New and updated translations (THANKS EVERYONE!!!):

    ar          Arabic              Fatma Mehanna
    gl          Galician            Fran Diéguez
    hu          Hungarian           Gabor Keleman

==========

2.31.1 - 02-May-2010

General:

  * Fix for bgo#616848 - Application and toolkit scripts should not
    call methods in braille.py

  * Fix for bgo#617345 - getChildNodes() is returning a list of
    integers rather than accessibles if NODE_PARENT_OF relationship
    is present
    
  * Fix for bgo#617204 - Name changed on comboboxes that have focus
    should not be announced
 
  * Fix for bgo#617113 - Need unbound keybinding for toggling speaking
    of indentation and justification
 
  * Fix for bgo#617118 - Speak table cell preference is not getting
    saved

  * Fix for bgo#615969 - Do not query toolkitName when queueing events

  * Fix for bgo#616459 - Add needed fields to Cthulhu's keyboardEvent and
    the ability to validate keyboardEvent data

  * Fix for bgo#615966 - Ignore the desktop when generating braille

  * Fix for bgo#614844 - Cthulhu's debug output for events should include
    the any_data

  * Fix for bgo#614826 - Cthulhu is redefining the built-in function
    'next' in speech_generator.py

  * Fix for bgo#594152 - positionInGroup includes non-showing objects

  * Fix for bgo#614218 - In cthulhu.desktop.in file the --replace
    parameter is not present in the exec line

Chat:

  * Fix for bgo#557009 - Cthulhu should provide access to Empathy

  * Fix for bgo#615485 - Cthulhu should support the Instantbird chat
    client

  * Fix for bgo#607663 - Create a script for Gajim

  * Fix for bgo#589925 - Need to generalize chat support

Firefox:

  * Fix for bgo#616945 - Unbound structural navigation keys should
    be bound

  * Fix for bgo#615304 - Sanity check needed in the Gecko script's
    updateBraille

Java:

  * Fix for bgo#616691 - Cthulhu is too "chatty" in certain Java widgets
    due to extraneous events

  * Fix for bgo#483222 - (Java) Where am i in JTree nodes gives little
    info

  * Fix for bgo#616637 - Cthulhu is double-presenting state changes for
    radio buttons and checkboxes in Java

  * Fix for bgo#616618 - Node level and number of children not
    presented for Java trees

  * Fix for bgo#616587 - Cthulhu does not present Java trees correctly

  * Fix for bgo#483212 - (Java) Missing significant information when
    performing where am i on combo box items

  * Fix for bgo#616464 - Correct the issues with Java keyboardEvents

OpenOffice:

  * Fix for bgo#364772 - Cthulhu cannot detect misspelled words on the
    fly in Openoffice

New and updated translations (THANKS EVERYONE!!!):

    ca          Catalan              Carles Ferrando and Jordi Serratosa
    gl          Galician             Francisco Diéguez
    hu          Hungarian            Attila Hammer and Gabor Kelemen
    ms          Malay                Ahmed Noor Kader Mustajir Md Eusoff 
    uk          Ukrainian            Sergiy Gavrylov

==========

2.30.0 - 28-Mar-2010

General:

* Fix for bgo#612558 - Need to map gnome-calculator to the gcalctool
  script Note that gnome-calculator is symbolic link to gcalctool.

New and updated translations (THANKS EVERYONE!!!):

    bg          Bulgarian            Alexander Shopov
    bn          Bengali              Sadia Afroz and Jamil Ahmed
    ca          Catalan              Gil Fcthulhuda
    cs          Czech                Marek Černocký and Petr Kovar
    da          Danish               Kenneth Nielsen
    el          Greek                Nikos Bakaoukas
    eu          Basque               Inaki Larranaga Murgoitio
    fi          Finnish              Tommi Vainikainen
    it          Italian              Luca Ferretti
    lt          Lithuanian           Romas Mažeika and Gintautas Miliauskas
    pt          Portuguese           Duarte Loreto
    ro          Romanian             Adi Roiban
    sv          Swedish              Daniel Nylander
    uk          Ukrainian            Maxim V. Dziumanenko
    vi          Vietnamese           Clytie Siddall
    zh_HK       Traditional Chinese  Chao-Hsiung Liao
    zh_TW       Traditional Chinese  Chao-Hsiung Liao

==========

2.29.92 - 07-Mar-2010

General:

* Fix for bgo#611321 - keybindings.getInputHandler returns unbound
  commands as potential keybinding candidates

New and updated translations (THANKS EVERYONE!!!):

    bg          Bulgarian            Alexander Shopov
    de          German               Simon Bienlein and
                                     Mario Blättermann
    en_GB       British English      Bruce Cowan
    es          Spanish              Francisco Javier Dorado Martínez
                                     and Jorge González
    fr          French               Claude Paroz
    gl          Galician             Fran Diéguez and Antón Méixome
    pl          Polish               Piotr Drąg
    pt          Portuguese           Rui Batista
    pt_BR       Brazilian Portuguese Felipe Vieira Borges
    ru          Russian              Юрий Козлов and Leonid Kanter
    ta          Tamil                Vasudeven

==========

2.29.91 - 20-Feb-2010

General:

* Work on getting the regression tests working on Ubuntu.

* Update the gsmag.py experimental module to work with the emerging
  magnifier D-Bus API.  This is throwaway code and the support is not
  fully working.

* Fix for bgo#593666 - Add structural navigation key for separators

* More work related to bgo#608149 - Cthulhu's caret navigation for
  Firefox is broken effective the 30th Sept build of FF 3.6.  This
  adds a new per-script settings for yelp and thunderbird because they
  may use different versions of Gecko than firefox.

* Fix for bgo#609633 - Cthulhu can lock up the desktop when exiting apps
  if in flat review

* Fix for bgo#610134 - Missing liblouis information can cause Cthulhu to
  stop presenting

* Fix for bgo#610472 - Cthulhu is redefining the built-in function
  'next' in structural_navigation.py

Firefox:

* Fix for bgo#608150 - Firefox 3.6's changes to the hierarchy of
  tables needs to be handled by Cthulhu

New and updated translations (THANKS EVERYONE!!!):

    es          Spanish              Francisco Javier Dorado Martinez and
                                     Jorge Gonzalez
    gl          Galician             Fran Diéguez
    hu          Hungarian            Attila Hammer and Gabor Kelemen
    ro          Romanian             Lucian Adrian Grijincu
    sl          Slovenian            Matej Urbančič
    ta          Tamil                Vasudeven
    zh_CN       Simplified Chinese   YunQiang Su

==========

2.29.90 - 08-Feb-2010

General:

* Fix for bgo#608186 - Man page needs live region keybinds
  (thanks Arky!)

* Sanity check to address the traceback reported in bgo#608319.

* Fix for bgo#608680 - Please make cthulhu's name translatable in the
  about dialog (thanks Gabor Kelemen!)

Firefox:

* Updated regression tests to use local stylesheets

* Work on bgo #608149 - Cthulhu's caret navigation for Firefox is broken
  effective the 30th Sept build of FF 3.6

New and updated translations (THANKS EVERYONE!!!):

    bg          Bulgarian            Alexander Shopov
    bn          Bengali              Maruf Ovee and Jamil Ahmed
    es          Spanish              Francisco Javier Dorado Martinez and
                                     Jorge Gonzalez
    et          Estonian             Mattias Põldaru
    hu          Hungarian            Attila Hammer and Gabor Kelemen
    sl          Slovenian            Matej Urbančič

==========

2.29.6 - 25-Jan-2010

General:

* Removed some references to the string "CVS" in docs.  Many apologies
  for the people this confused and the time it may have taken them to
  realize we didn't go back to CVS, but instead moved forward to "git"
  a long time ago.

* Partial fix for bgo#431531 - Cthulhu now speaks the unicode value of a
  character when you press the "review current character" key (e.g.,
  KP_2) 3X.

* Fix for bgo#606962 - availability of gnome-speech (or lack thereof)
  not handled well

* Fix for bgo#607042 - Cthulhu does not always present sufficient context
  in Where Am I

* Fix for bgo#607414 - When I try writing a message with Thunderbird
  3.0, sometime the message edit box is not spokened after I pressing
  a tab key after with the subject edit box

* Fix for bgo#607470 - Update script for Package Manager to include
  sibling of status bar when presenting status bar contents

* Detection code for bgo#607847.  This attempts to find problems with
  Cthulhu keybindings conflicting or not working with the X Server
  keymap.  You need to enable settings.validateKeyBindings in order
  for this to kick in.

* Fix for bgo#607901 - Sanity check needed in speakTextSelectionState

* Fix for bgo#607990 - Cthulhu should present the appearance of the icon
  for logged errors in packagemanager

* Fix for bgo#607988 - The messages spoken during a packagemanager
  search should also be 'flashed' in braille

New and updated translations (THANKS EVERYONE!!!):

    es          Spanish              Francisco Javier Dorado Martinez and
                                     Jorge Gonzalez
    sv          Swedish              Daniel Nylander

==========

2.29.5 - 11-Jan-2010

General:

* Fix for bgo#586445 - Provide an 'About' dialog

* Fix for bgo#592424 - Progress bar options in the Preferences dialog
  cannot be translated properly for all locales

* Fix for bgo#593203 - Cthulhu preferences does not fit in 1024x600 screen
  resolution

New and updated translations (THANKS EVERYONE!!!):

    hu          Hungarian            Attila Hammer and Gabor Kelemen
    sv          Swedish              Daniel Nylander
    uk          Ukrainian            Maxim V. Dziumanenko

==========

2.29.4 - 21-Dec-2009

NOTE - There was no 2.29.3 release due to no changes having been made
       during the 2.29.3 release time frame.

General:

* Fix for b.g.o.#601657 and d.o.o.#12629 - Preferences cannot be saved.

* Fix for bgo#603520 - Need to add script mapping to check for Pidgin
  with a capital "P"

* Fix for bgo#604492 - Cthulhu doesn't work well with Packagemanager's
  new Recent Searches feature

* Fix for bgo#604956 - Certain speech settings get improperly restored
  to default when setting up Cthulhu initially

* Fix for bgo#604964 -  Cthulhu doesn't present the section headings in
  PackageManager's new "Featured Packages" start page

New and updated translations (THANKS EVERYONE!!!):

    zh_HK       Traditional Chinese  Chao-Hsiung Liao
    zh_TW       Traditional Chinese  Chao-Hsiung Liao

==========

2.29.2 - 16-Nov-2009

NOTE - as a result of work on bgo#598917, you must now use
"cthulhu --replace" if you want the new Cthulhu process to kill any existing
processes.  Prior to this, merely running "cthulhu" would automatically
kill any existing processes.  The new behavior is more consistent with
the way singleton instances are handled by many other applications.

General:

* Provisional support for the GNOME Shell Magnifier (a work in
  progress)

* Fix for bgo#554688 - Navigation in gconf-editor doesn't work

* Fix for bgo#597159 - Cthulhu does not provide access to the contents of
  Packagemanager's HTML container

* Fix for bgo#597170 - Add support for Banshee script (thanks Eitan!)

* Fix for bgo#598917 -  Cthulhu Multiple Instances

  NOTE: you must now use "cthulhu --replace" if you want the new Cthulhu
  process to kill any existing Cthulhu process. Prior to this, merely
  running "cthulhu" would automatically kill any existing processes.  The
  new behavior is more consistent with the way singleton instances are
  handled by many other applications.

* Fix for bgo#600372 - Cthulhu handles text configuration input
  incorrectly

* Fix for bgo#600539 - Man page improvements (thanks Arky!)

New and updated translations (THANKS EVERYONE!!!):

    ca          Catalan              Gil Fcthulhuda
    hu          Hungarian            Attila Hammer and Gabor Kelemen
    nb          Norwegian bokmål     Kjartan Marass
    sl          Slovenian            Matej Urbančič

==========

2.29.1 - 26-Sep-2009

General:

* Fix for bgo#594022 - cannot launch cthulhu preferences - GError:
  Duplicate object id 'renderer3'

* Fix for bgo#595117 - Need to customize the presentation of the
  Packagemanager package list toggle

* Fix for bgo#596257 - Generator arguments are not passed along with
  _generateImage()

* Fix for bgo#596340 - Exception if no selection is given when
  choosing a language

* Fix for bgo#596364 - Create a script for the OpenSolaris Device
  Driver Utility

* Fix for bgo#596384 - Cthulhu sometimes fails to speak a newly-focused
  table in certain OpenSolaris utilities

* Fix for bgo#596635 - gcalctool script will need to be updated for
  2.29/2.30/3.0

* Fix for bgo#598797 - Gnome-Terminal and VTE dump core when using
  Cthulhu

OpenOffice:

* Fix for bgo#592917 - Cthulhu doesn't present OOo Writer's Style combo
  box correctly

Firefox:

* Added script mapping for the latest Firefox.

* Fix for bgo#592634 - The Gecko script's handling of caret navigation
  interferes when navigating editable messages in Thunderbird

* Fix for bgo#593520 - The Gecko script's getBottomOfFile needs to be
  more efficient

* Fix for bgo#593594 - Cthulhu says "blank" when Firefox returns a bogus
  value for getTextAtOffset

* Fix for bgo#593596 - When the user Up Arrows to a line in Firefox
  which begins with a nested paragraph, Cthulhu fails to present that
  line

New and updated translations (THANKS EVERYONE!!!):

    bg          Bulgarian            Alexander Shopov
    ca          Catalan              Gil Fcthulhuda
    ca@valencia Catalan (Valencian)  Carles Ferrando
    cs          Czech                Lucas Lommer and Petr Kovar
    da          Danish               Kenneth Nielsen
    de          German               Simon Bienlein and
                                     Mario Blättermann
    el          Greek                Kostas Papadimas and Jennie Petoumenou
    en_GB       British English      Bruce Cowan
    es          Spanish              Francisco Javier Dorado Martinez
    eu          Basque               Inaki Larranaga
    fi          Finnish              Ilkka Tuohela
    gl          Galician             Antón Méixome
    it          Italian              Luca Ferretti
    nb          Norwegian bokmål     Kjartan Marass
    pl          Polish               Piotr Leszczyński
    pt          Portuguese           Duarte Loreto
    pt_BR       Brazilian Portuguese Og B. Maciel and Marco de Freitas
    ro          Romanian             Adi Roiban
    ta          Tamil                drtvasudevan
    sl          Slovenian            Matej Urbančič
    uk          Ukrainian            Maxim V. Dziumanenko
    zh_HK       Traditional Chinese  Chao-Hsiung Liao
    zh_TW       Traditional Chinese  Chao-Hsiung Liao

==========

2.27.91 - 24-Aug-2009

General:

* Fix for bgo#591282 - add a switch to activate debug when executing
  cthulhu

* Fix for bgo#591289 - Need to remove duplicate speechTabLabel from
  cthulhu-setup.ui

* Fix for bgo#591382 - Need to add "word_char" to
  text_attribute_names.py for localization

* Fix for bgo#591729 - Using cursor routing keys when the caret
  is panned off the display can cause cursor to jump

* Fix for bgo#591734 - "No break space" character not spoken

* Fix for bgo#591805 - Cthulhu speaks the "restrict progress bar update
  to" label when the app preferences dialog loads

* Fix for bgo#591907 - "All" hard to translate

* Fix for bgo#592517 - Cursor position based upon uncontracted text
  when typing text and contracted braille is enabled

* Fix for bgo#592741 - Fix .desktop file to meet GNOME goal

OpenOffice/StarOffice:

* Fix for bgo#356060 - Provide access to tree item level and state in
  OOo Navigator

* Fix for bgo#590682 - Cthulhu does not always speak the Paths table of
  the OOo Options dialog correctly

* Fix for bgo#592138 - Cthulhu speaks the next character rather than the
  next word when a paragraph boundary is crossed in Writer

Evolution:

* Fix for bgo#592708 - Cthulhu should attempt to recognize Evo's Setup
  Assistant and present the (non-focused) prompts

Firefox/Thunderbird:

* Fix for bgo#577899 - Strange cursor movements in Firefox

* Fix for bgo#584103 - Cursor problems when I compose a new message
  with Thunderbird 3.0B3 pre

* Fix for bgo#591336 - Need a sanity check in Gecko's
  searchForCaretLocation

* Fix for bgo#591351 - SayAll document function doesn't work correctly
  on some webpages

* Fix for bgo#591592 - Cthulhu does not speak and braille the appropriate
  information when moving by headings on all sites

* Fix for bgo#591807 - Cthulhu sometimes presents the previous line when
  Home/End is pressed in Gecko

* Fix for bgo#591860 - Cthulhu grinds to a halt when Ctrl+End is pressed
  in a really long message in Thunderbird

* Fix for bgo#592383 - Cthulhu gets stuck when it encounters a paragraph
  in Firefox which begins with a multi-line-high character

New and updated translations (THANKS EVERYONE!!!):

    bg       Bulgarian            Alexander Shopov
    de       German               Christian Kirbach and Simon Bienlein
    es       Spanish              Francisco Javier Dorado Martinez
    fr       French               Claude Paroz
    ga       Irish                Seán de Búrca
    gl       Galician             Antón Méixome
    gu       Gujarati             Ankit Patel and Sweta Kothari
    he       Hebrew               Mark Krapivner
    hu       Hungarian            Attila Hammer and Gabor Kelemen
    pt       Portuguese           Rui Batista
    pt_BR    Brazilian Portuguese Leonardo Ferreira Fontenelle
    sv       Swedish              Daniel Nylander

==========

2.27.90 - 09-Aug-2009

General:

* Fix for bgo#480883 - User can pan right in braille indefinitely at
  the end of a web page

* Fix for bgo#523693 - Positioning of the cursor when editing text

  This fixes a 'jumping cursor' problem when deleting text in the
  middle of a long text area and also adds a _realignViewport method
  to braille.py.  The method works off new settings (you need to
  hand-edit your ~/.cthulhu/user-settings.py or ~/.cthulhu/cthulhu-customizations.py
  file for now):

    ALIGN_BRAILLE_BY_EDGE   = 0
    ALIGN_BRAILLE_BY_MARGIN = 1
    ALIGN_BRAILLE_BY_WORD   = 2
    brailleAlignmentMargin  = 3
    brailleMaximumJump      = 8
    brailleAlignmentStyle   = ALIGN_BRAILLE_BY_EDGE

  The default alignment style matches what we have today.

  The ALIGN_BRAILLE_BY_MARGIN style uses brailleAlignmentMargin and is
  effectively a "push" model - when you get to the edge of the
  display, the viewport is pushed to keep the cursor cell at the
  margin (until you reach the edge of the text).

  The ALIGN_BRAILLE_BY_WORD style uses brailleAlignmentMargin in the
  same push model above, but when it pushes the viewport, it pushes it
  so the edge lands on a word boundary.  In the event we hit a really
  long word, the brailleMaximumJump setting limits how far we jump.

* Fix for bgo#570070 - Remove 'item' from spoken string that
  represents position/index information

* Fix for bgo#574344 - Support for different progress bar "verbosity
  levels" should be implemented

* Fix for bgo#576847 - Add ability to 'flash' braille messages

  This adds a 'flashTime' parameter to the braille.displayMessage and
  braille.displayRegions methods.  If it is 0, the message will not be
  flashed.  If it is greater than 0, the current message on the display
  will be saved and the new message will be flashed for flashTime
  milliseconds.  If it is less than 0, the current message on the display
  will be saved and the new message will be shown until some other action,
  such as a keypress or cursor routing key press, causes the display to
  revert back to the original message.

* Fix for bgo#578832 - Flash locking modifier key state in braille

  This flashes a message for the Caps Lock modifier if the "Enable
  locking keys" checkbox is checked on the "Key Echo" tab in the Cthulhu
  preferences UI. The flash time is settable via the
  'brailleFlashTime' setting which represents the number of
  milliseconds to flash a message.

* Fix for bgo#582318 - Pressing panning buttons on the braille display
  should not interrupt speech

* Fix for bgo#582491 - Strange message table behavior with Evolution

* Fix for bgo#589610 - isupper should be used on unicode and not UTF-8
  strings

* Fix for bgo#590219 - Incorrect text displayed with Cthulhu quit
  confirmation dialog when the user using non english locale

* Fix for bgo#590378 - configure.in and cthulhu.spec.in need updating for
  compile and runtime dependencies.

* Fix for bgo#590382 - Cthulhu should have a script for packagemanager

OpenOffice/StarOffice:

* Fix for bgo#363820 - Cthulhu should inform the user when text in given
  cell in Calc is too wide for that column

Thunderbird:

* Fix for bgo#590267 - Thunderbird's rendering of smileys as named
  paragraphs without accessible text causes Cthulhu to speak the tutorial
  message inappropriately

New and updated translations (THANKS EVERYONE!!!):

    bn       Bengali              Maruf Ovee and Jamil Ahmed
    es       Spanish              Francisco Javier Dorado Martínez
    hu       Hungarian            Attila Hammer and Gabor Kelemen

==========

2.27.5 - 27-Jul-2009

General:

* Migrated to GtkBuilder (bgo#582506 and bgo#589362)

* Fix for bgo#434600 – cursor routing keys cannot be used to position
  caret at end of line

* Re-fix for bgo#568696 - locus of focus changes when updating list of
  files in nautilus

* Work on bgo#575784 - accented characters are not echoed correctly.
  Cthulhu now has two new checkboxes on the "Key Echo" tab of the
  preferences UI.  The first, "Enable non-spacing diacritical keys",
  specifies whether dead keys are echoed or not.  The second, "Enable
  echo by character", specifies if the exact character typed in an
  editable text area is to be spoken.  This differs from the "Enable
  alphanumeric and punctuation keys" setting in that it echos the
  characters that are typed vs. the keys that were pressed.  If both
  are enabled, preference is given to character echo where it applies.

* Fix for bgo#578106 - Gtk Warning on starting Cthulhu Preferences GUI

* Fix for bgo#585049 - When I select paragraphs with Ctrl+Shift+Down
  key combination, Cthulhu says incorrect information message

* Fix for bgo#585417 - Allow pauses to be inserted in speech output

* Fix for bgo#585948 - Automatic position index spoken request.  Cthulhu
  now has a "Speak child position" on the "Speech" tab in the
  preferences UI.  When selected, Cthulhu will speak the child position
  (e.g., 'item 6 of 7') of various objects.

* Fix for bgo#588471 - Cthulhu's clicking functionality should click on
  the locusOfFocus when not in flat review

* Fix for bgo#588774 - Tooltips aren't always presented

* Fix for bgo#589244 - Remove libgail-gnome usage, use gail in gtk+
  instead

* Fix for bgo#589497 - cthulhu shouldn't speak entering / leaving flat
  review mode when verbosity is set to brief

* Fix for bgo#589504 - Cthulhu double speaks typed characters when input
  method is enabled

Firefox:

* Fix for bgo#480883 - Braille navigation on Webpages. The pan left
  and pan right buttons on the braille display should now allow you to
  scroll through the page content in linear order.

* Fix for bgo#586399 - Cthulhu should provide support/access to "Mouse
  Overs" in web content.  See the following message for a complete
  description:
  http://mail.gnome.org/archives/cthulhu-list/2009-July/msg00186.html.

* Fix for bgo#588910 - Cthulhu should support the spellcheck as you go in
  mozilla applications

* Fix for bgo#589455 - Can not activate links with structural
  navigation keys

New and updated translations (THANKS EVERYONE!!!):

    es       Spanish              Francisco Javier Dorado Martinez
    fr       French               Claude Paroz

==========

2.27.4 - 13-Jul-2009

General:

* Fix for doo#9676 - Cthulhu fails to launch.  Make sure setting the PATH
  follows sh syntax and not bash.

* Latent work for bgo#400729 - Cthulhu should provide support for general
  audio.  This adds some latent support for audio that gives people
  something to experiment with as soon as bgo#570658 is done.

* Fix for bgo#561452 - Factor out included "louis" C extension.  This
  now requires liblouis 1.6.2 and the liblouis 1.6.2 "louis" python
  module in order for contracted braille to work with Cthulhu.  See
  http://live.gnome.org/Cthulhu/Braille for more information.

* Fix for bgo#568696 - locus of focus changes when updating list of
  files in nautilus.

* Much more work on bgo#570658 - Refactor the speech and braille
  generators. This refactor is almost complete. After a pass to
  simplify and consolidate the formatting strings, we should be ready
  to document how you can customize Cthulhu presentation for yourself.

* More work on bgo#575614 - Please add speakable characters: → and ←.

* Fix for bgo#583199 - cthulhu should not hang itself, or the desktop
  when brltty is killed. This fix allows BrlTTY to be killed,
  restarted, started before Cthulhu, started after Cthulhu, etc.  This
  requires a fix in BrlTTY that will appear in a to-be-released
  version of BrlTTY (i.e., the fix is not in BrlTTY 4.0).  Note that
  this change has caused us to change the default value of
  settings.enableBraille to False to prevent speech-only users from
  incurring unnecessary overhead.

* Fix for bgo#584796 - Invoking the application specific preferences
  for Cthulhu when in the Cthulhu Quit dialog freezes speech.

* Fix for bgo#585103 - Inconsistent behavior of flat review.

* Provisional work on bgo#585417 - Allow pauses to be inserted in
  speech output.  This provides code that will modify the speech
  formatting strings if cthulhu.settings.useExperimentalSpeechProsody is
  True (the default value is True for this release).  This allows
  users to experiment with the prosody work Hammer Attila has done
  before we finally commit to it.

  NOTE: to indicate things are still experimental, informational
  messages will be included on the command line where you run Cthulhu.
  These informational messages say that pauses have been added to the
  formatting strings.  When the integration is done, these messages
  will be removed.

* Fix for bgo#585897 - Pronunciation substitution can miss words due
  to word delimiters

* Fix for bgo#586385 - When I using where am I function with
  Openoffice.org Calc, the spoken row and column information are not
  marked for translation.

* Fix for bgo#586580 - Cthulhu repeats the coordinates of Calc cells.

* Fix for bgo#588403 - Implement ability to route the mouse pointer
  without clicking. This implements support for routing the pointer to
  the current location (either the area under flat review or the
  locusOfFocus).

* Fix for crash (no bug number) - Prevent stack trace when contracted
  braille is being used. The trace would also kill speech.

OpenOffice/StarOffice:

* Fix for bug #583811 - Doing a select all in OOo Writer causes Cthulhu
  to say "selected" for each paragraph.

Thunderbird:

* Fix for bgo#584263 - When I compose or reply to a message with
  Thunderbird, the Ctrl+End key combination does not work.

* Fix for bgo#584837 - Find dialog fails to move caret to desired
  location in Thunderbird.

* Fix for bgo#568658 - Sometimes Cthulhu announces the wrong subject in
  Thunderbird.

Firefox:

* Fix for bgo#584540 - Cthulhu should not duplicate images and lines of
  text on facebook

* Fix for bgo#585871 - WhereAmI info in FF doesn't include link
  text.

* Fix for bgo#587794 - In some pages I cannot read using the Down
  Arrow key.

* Fix for bgo#588344 - Missed text on a page in Firefox.

New and updated translations (THANKS EVERYONE!!!):

    cs       Czech                Lucas Lommer
    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    hu       Hungarian            Attila Hammer and Gabor Kelemen
    uk       Ukrainian            Maxim Dziumanenko

==========

2.27.3 - 15-Jun-2009

General:

* We no longer manually update the ChangeLog each time we commit a
  change.  Instead, the ChangeLog will be automatically generated from
  the git logs when we create a new release.  If you pull from git,
  you can use 'git log' for a detailed list of changes.

* Much work on bgo#570658 - Refactor the speech and braille
  generators.  This represents a HUGE REFACTOR for Cthulhu.  The speech
  generators have been completely rewritten to use formatting strings,
  and they are now used by the focus tracking and where am I code.
  This has simplified the code base a lot, increased performance in
  some areas, and has fixed a number of latent bugs.  It also enables
  finer granularity for switching voices and helps set us up for
  incorporating audio cues.  Please help us by testing with the latest
  code and by reporting issues and suggestions at cthulhu-list@gnome.org.

* Fix for bgo#583274 - portability for cthulhu script (Thomas Klausner)

* Fix for bgo#585017 - Cthulhu should speak the toggled state of flat
  review mode

* Fix for bgo#585792 - i18n strings should use parameterized forms

OpenOffice:

* Significant progress on bgo#574720 - Table Navigation Keys for
  OpenOffice Writer. Structural navigation can be enabled/disabled in
  OOo with Cthulhu+Z. It is disabled by default in OOo because, unlike in
  Gecko, odds are that you'll want to type. :-) Mind you right now we
  don't have structural navigation by headings, etc. in Writer. But
  one day we will. Alt + the arrows move by cell, Alt + Home/End move
  to the beginning/ending of the table respectively.

* Fix for bug #583414 - Cthulhu should announce when is at last cell on
  a table in OOo.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    es       Spanish              Francisco Javier Dorado Martinez
    sv       Swedish              Daniel Nylander
    ta       Tamil                drtvasudevan

==========

2.27.2 - 25-May-2009

General:

* Work on bug #354471 - Text selection from braille input device.
  This is the first step of implementing this feature.  Here's the
  behavior:

  KEY_CMD_CUTBEGIN (Dot 1 + cursor routing key on my display) -
  this will specify the start of a selection.  Cthulhu will merely
  move the caret to the given spot and will clear any existing
  selection.

  KEY_CMD_CUTLINE (Dot 4 + cursor routing key on my display) -
  this will specify the end of a selection and the selected text
  is automatically copied to the system clipboard.  If a selection
  doesn't exist, Cthulhu creates a new one where the other endpoint
  of the selection is where the caret is.  If a selection exists
  and the selection point is outside the existing selection, Cthulhu
  extends the existing one.  If a selection exists and the
  selection point is inside the existing selection, Cthulhu trims the
  selection from the right (i.e., the selected text that's after
  the selection point becomes unselected).

  Known issues that need to be resolved:

  1) This only works in text areas.  It doesn't work across things
     such as paragraphs in OpenOffice.

  2) There's some strangeness with speech feedback: it sometimes
     says "unselected" when the text is selected.  This should be
     fixable, but there also probably shouldn't be any speech
     feedback when doing this from the braille display.

* Fix for bug #466841 - Cthulhu doesn't announce items when Alt+Tabbing
  if Compiz is enabled. This fix is designed to improve Cthulhu's access
  to the basic window switcher in Compiz. There are still bugs in
  Compiz which make providing compelling access difficult, but this
  should at least make switching windows accessible.

* Fix for bug #511468 - Ekiga chat window accessibility problem.

* Fix for bug #574221 - left-pane in Ekiga's preference box can't be
  read at start-up.

* Fix for bug #575614 - Please add speakable characters: → and ←.

* Fix for bug #577977 - provide speech feedback for "repeat last find"
  in Gedit.

* Fix for bug #581372 - Move cursor routing and six dot key handling
  from braille.py to script.  With the cleanup from bug #581532 to
  remove the custom brl module and move directly to the brlapi module
  provided by BrlTTY/BrlAPI, we are now able to handle BrlAPI commands
  much better.  This patch 'uncovers' the handling the cursor routing
  keys and the six dot keys; they are no longer swallowed/handled by
  the braille.py module alone.  Instead, they go to the script like
  any other event.  By default, the script just turns around and calls
  braille.py methods, but it can also feel free to override them.  For
  example, it might look at keyboard modifiers along with a cursor
  routing key to see if it wants to select text or not.

  As a note, the BrlAPI events come to us as a dictionary containing a
  bunch of information about the event.  For example, the cursor
  routing command contains information about which routing key was
  pressed.  The six dots command, which is used to turn contracted
  braille on or off, contains information about whether the user wants
  to turn contracted braille on (dots 2-3-5 on my Baum display) or off
  (dots 2-3-6 on my Baum display).  Right now, expressing interest in
  braille events is still done by the command (e.g.,
  brlapi.KEY_CMD_HOME, brlapi.KEY_CMD_ROUTE, brlapi.KEY_CMD_SIXDOTS)
  and it is up to the event handler to determine how to handle the
  arguments.

* Fix for bug #581532 - Remove brl module.  Cthulhu now uses the BrlAPI
  python bindings.

* Fix for bug #582028 - Character pronunciations are not used when
  navigating by line. This provides a fallback to the chnames
  dictionary.

* Fix for bug #582684 - Arrowing left/right across tree tables causes
  whole row to be spoken.

OpenOffice:

* Work on bug #574720 - Table Navigation Keys for OpenOffice Writer.
  This adds in support for Alt + the cursoring keys for navigation in
  OOo tables. Note that you will need to first enable structural by
  pressing Cthulhu + Z. We plan to add in the customizations/settings
  available in the Gecko preferences, as well as for the announcement
  of dynamic row and column headers when navigating.

Firefox:

* Fix for bug #530784 - whereAmI info for list items in web content
  needs to be improved.

* Fix for bug #577900 - Blank lines in Firefox text areas incorrectly
  spoken.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    hu       Hungarian            Attila Hammer and Gabor Kelemen
    ta       Tamil                drtvasudevan

==========

2.27.1 - 04-May-2009

General:

* Much work to handle the transition from subversion to git.
  (Willie Walker, Olav Vitters, Mesar Hameed)

* Updated script writer's guide -- the document lives in
  docs/doc-set/internals.html. (Willie Walker)

* Add setting to disable the pyatspi GIL idle handler:
  useGILIdleHandler.  This change is made in response to
  http://bugzilla.gnome.org/show_bug.cgi?id=576954 where it appears as
  though the GIL idle handler in pyatspi is causing consumers of
  pyatspi (e.g., Cthulhu and accerciser) to start consuming 100% of a CPU
  when the machine is idle.  We're pretty sure the GIL handler is not
  necessary, so this change gets rid of it for the 2.27.1 development
  build of Cthulhu.  If we see that users notice strange lock ups,
  however, we may need to change things back. (Willie Walker)

* Adjust debug utilities to print to console and debug log.
  (Willie Walker)

* Fix for bug #579052 - Cthulhu should be able to run with AT-SPI/D-Bus.
  (Willie Walker)

* Fix for bug #573535 - Cthulhu should use the 16x16 pixels application
  icon for Main and Preferences windows. (Stephen Brandt)

* Fix for bug #575921 - When I working with the gcalctool application,
  Cthulhu says too lot of the result of the mathematic operations.
  (Willie Walker)

* Fix for bug #576037 - Bind F1 key to help page. (Willie Walker)

* Fix for bug #576438 - Provide state change information for radio
  buttons that require you to press space to select them.
  (Willie Walker)

* Fix for bug #577239 - Cannot navigate by line through multi-line HTML
  list items in Firefox/Thunderbird when arrowToLineBeginning is
  False. (Joanmarie Diggs)

* Fix for bug #577330 - Detect whether speech dispatcher is installed
  or not. (Tomas Cerha)

* Fix for bug #577977 - provide speech feedback for "repeat last find"
  in Gedit. (Nolan Darilek)

* Fix for bug #577979 - Pressing Down Arrow from the middle of a
  multi-line HTML list item initially moves to the beginning of the
  line when arrowToLineBeginning is False.  (Joanmarie Diggs)

* Fix for bug #580423 - Remove deprecated libgnomeui dependency. Use
  DBus org.gnome.SessionManager.Logout instead of
  gnome.ui.master_client().request_save. (Willie Walker)

* Fix for bug #580329 - Use show_uri() to display help window.
  (Vincent Legoll)

OpenOffice:

* Fix for bug #577245 - Present paragraph-style information in
  OpenOffice. (Willie Walker)

* Fix for bug #578072 - Cthulhu does not always present text attributes
  in braille in OOo documents. (Joanmarie Diggs)

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    bg       Bulgarian            Alexander Shopov
    ca       Catalan              Jordi Mas i Hernandez
    uk       Ukrainian            Maxim Dziumanenko
    zh_CN    Simplified Chinese   Aron Xu

==========

2.26.0 - 15-Mar-2009

NOTE - these are the changes since 2.25.92.  For a summary of changes over
the 2.24.x release series, please refer to the following URL:

    http://live.gnome.org/TwoPointTwentyfive/ReleaseNotes

General:

* Updates to regression tests, mainly to work with Firefox 3.1 Beta 3.

Firefox:

* Fix for bug #570557 - (ARIA) List items not presented.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    da       Danish               Kenneth Nielsen
    de       German               Simon Bienlein and Mario Blättermann
    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    hi       Hindi                Rajesh Ranjan
    hu       Hungarian            Gabor Kelemen
    it       Italian              Luca Ferretti and Milo Casagrande
    ml       Malayalam            Harivishnu and Ani Peter
    or       Oriya                Manoj Kumar Giri
    pl       Polish               Wadim Dziedzic
    ru       Russian              Nickolay V. Shmyre
    ta       Tamil                I. Felix
    te       Telugu               Krishnababu K

==========

2.25.92 - 02-Mar-2009

General:

* Fix for bug #387556 - Arrowing past last character at end of line in
  Cthulhu results in no speech

* More fixing for bug #419123 - Modified speech settings do not change
  immediately in preferences dialog.  There was an issue with setting
  the uppercase and/or hyperlink voice settings the first time.

* Fix for bug #517387 - Cthulhu should not read password out in gdm login
  window

* Fix for bug #570390 - Spellcheck in evolution is badly broken

* Fix for bug #572215 - Opening preferences launches magnifier

* Fix for bug #572218 - Order of variables not changeable

* Fix for bug #572294 - Need a sanity check in the default script's
  locusOfFocusChanged

* Fix for bug #573156 - Add a notify-osd script

* Fix for bug #573535 - Cthulhu should use the 16x16 pixels application
  icon for Main and Preferences windows.  This keeps the icon at the
  48x48 size that has been used to date, but makes sure it is used on
  all the windows shown by Cthulhu.  If we decide to go from 48x48 to
  16x16, we can change the new set_cthulhu_icon method in cthulhu_glade.py.

Pidgin:

* Fix for bug #572303 - Double-speaking of characters entered into
  pidgin account creation

Thunderbird:

* Fix for bug #571812 - Cthulhu does not read the next message in
  thunderbird when deleting if first column does not change

Firefox:

* Fix for bug #570550 - (ARIA) UIUC Number Guessing Game Alert not
  presented when it changes

* Fix for bug #570567 - Where am I for link does not speak the link
  text

* Fix for bug #570757 - Cthulhu can get stuck when browsing pages with
  embedded panels in FF 3.x

* Fix for bug #573174 - Gecko script.py calls debug.printException
  when there isn't an exception

* Work on bug #573303 - Support text attribute and spelling error
  notification in FF.  Limit the speaking of font names to just the
  first family listed

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    ca      Catalan              Gil Fcthulhuda
    en_GB   British English      Philip Withnall
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    eu      Basque               Inaki Larranaga Murgoitio
    fi      Finnish              Ilkka Tuohela
    fr      French               Claude Paroz
    hu      Hungarian            Gabor Kelemen
    ja      Japanese             Takeshi Aihana
    nl      Dutch                Wouter Bolsterlee
    pl      Polish               Tomasz Dominikowski
    pt      Portuguese           Rui Batista and Duarte Loreto
    pt_BR   Brazilian Portuguese Tiago Melo Casal, Og Maciel, and
    ro      Romanian             Adi Roiban, Lucian Adrian Grijincu and
                                 Jani Monoses
    sv      Swedish              Daniel Nylander
    th      Thai                 Theppitak Karoonboonyanan
    tr      Turkish              Baris Cicek

===========

2.25.91 - 16-Feb-2009

General:

* Fix for bug #419123 - Modified speech settings do not change
  immediately in preferences dialog.  Many thanks to Hammer Attila for
  his testing and feedback.

* Additional fix for bug #569118 - Use C_() instead of Q_() with
  context

* Fix for bug #569343 - Speaking of indentation is misleading

* Fix for bug #570387 - Clean up the speech tab of the preferences UI.

Firefox:

* Fix for bug #555540 - Add support for additional landmark roles

* Fix for bug #561660 - For example with firefox 3.0, heading levels
  incorrect sayed for hungarian grammatical

* Fix for bug #568768 - Cthulhu starts at the top of a newly-loaded page
  rather than the specified fragment.

* Fix for bug #570524 - (ARIA) Issues with Dojo combo box interaction.

* Fix for bug #570532 - (ARIA) Alert text not brailled when navigating
  it.

* Fix for bug #570551 - (ARIA) UIUC Number Guessing Game Alert Dialog
  not presented when it appears.

* Work on bug #571058 - (ARIA) Cthulhu's caret navigation is kicking in
  when it shouldn't be.

* Work on (and possibly fix for) bug #571799 - (ARIA) Need to clean up
  braille presentation of certain widgets.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    ca       Catalan              Gil Fcthulhuda
    da       Danish               Kenneth Nielsen
    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    he       Hebrew               Mark Krapivner
    pt_BR    Brazilian Portuguese Jonh Wendell and Andre Gondim
    sv       Swedish              Daniel Nylander
    th       Thai                 Theppitak Karoonboonyanan
    vi       Vietnamese           Clytie Siddall
    zh_HK    Traditional Chinese  Chao-Hsiung Liao
    zh_TW    Traditional Chinese  Chao-Hsiung Liao

==========

2.25.90 - 02-Feb-2009

General:

* Fix for bug #553678 - cthulhu can act badly at login time

* Fix for bug #561548 - Cthulhu locks up when closing some Pidgin
  conversations.

* Fix for bug #562060 - Speech should speak multi case strings as
  words.  Adjust the regexes used.

* Fix for bug #563128 - Text-based setup should offer option to
  automatically launch Cthulhu on login

* Fix for bug #567428 -"readonly text" spoken when caret changes line.

* Fix for bug #568751 - Interaction with the punctuation preferences
  can cause a hang

* Fix for bug #568589 - braillegenerator adding image string
  versus braille.Component for table cells

* Fix for bug #568875 - Pressing "Apply" button in preferences dialog
  causes autostart option to be checked

* Fix for bug #569118 - Use C_() instead of Q_() with context NOTE:
  you need to install SUNWgnu-gettext and rerun your autogen.sh to
  work with this change on OpenSolaris.

Firefox:

* Fix for bug #537303 - Certain FF3 add-ons interfere with Cthulhu's
  ability to provide access to content.

* Fix for bug #552965 - aria-valuetext ignored

* Fix for bug #567984 - Structural navigation needs to consider text
  within the document frame.

* Fix for bug #568467 - aria-describedby text spoken twice via
  Where Am I

* Fix for bug #568550 - Add default keybindings for navigating by
  landmarks

* Fix for bug #568631 - Cthulhu does not update the position for
  same-page links which reference objects by name/id in Firefox 3.

* Fix for bug #569346 - No speech for image-only ARIA buttons and ARIA
  menu items

* Fix for bug #569835 - Cthulhu should support the ARIA haspopup
  attribute

New and updated translations (THANKS EVERYONE!!!):

  NOTE - the fix for bug #569118 caused changes in every *.po file.

    ca       Catalan              Gil Fcthulhuda
    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    hu       Hungarian            Attila Hammer and Gabor Kelemen
    ko       Korean               Changwoo Ryu
    sv       Swedish              Daniel Nylander

==========

2.25.5 - 19-Jan-2009

General:

* Fix for bug #535221 - Automatic shortcut information spoken

* Fix for bug #562060 - Speech should speak multi case strings as words

* Fix for bug #562327 - Desktop tutor message order problem

* Fix for bug #563171 - src/cthulhu/flat_review.py:getZonesFromText
  should clip zones based on what text is visible

* Fix for bug #563200 - Cthulhu not spoken the character code 8222
  character.  Added double low quote and single low quote to the
  character names and punctuation table.

* Fix for bug #567428 - "readonly text" spoken when caret changes
  line (in evolution)

Firefox/Thunderbird:

* Fix for bug #566954 - ARIA toggle button state not handled correctly

* Fix for bug #566955 - Need to remove extra whitespace from braille
  output for Firefox 3.x.

* Fix for bug #567167 - Cthulhu sometimes (re)announces that the document
  frame has just received focus in Firefox 3.x.

* Fix for bug #567864 - Cthulhu stops responding when flat review is used
  in thunderbird message window and message is closed

* Partial fix for bug #567984 -Structural navigation needs to consider
  text within the document frame.

New and updated translations (THANKS EVERYONE!!!):

    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    hu       Hungarian            Attila Hammer and Gabor Kelemen
    nb       Norwegian Bokmål     Kjartan Maraas
    pt       Portuguese           Rui Batista and Duarte Loreto

==========

2.25.4 - 05-Jan-2009

General:

* Fix for bug #354479 - Automatic presentation of "balloon" type
  messages.

* Fix for bug #564994 - Drop eel dependency

* Fix for bug #565670 - recycling of gtk.CellRendererText()

Firefox:

* Fix for bug #565886 - Extraneous caret-moved events emitted by FF
  3.1 cause unnecessary braille updating.

* Fix for bug #565944 - Missing whitespace when the end of line
  braille indicator is followed by an image in FF 3.x.

* Fix for bug #566073 - Cthulhu provides the "tree level" for items in
  submenus within Firefox 3.x.

* Fix for bug #566180 - Cthulhu inappropriately announces the name and
  role of (un)ordered list items as part of the context in Firefox
  3.2.

* Fix for bug #566181 - Changes made to Firefox 3.2 caret-moved events
  cause Cthulhu to provide unreliable access during the use of the Find
  toolbar.

* Fix for bug #566361 - Cthulhu inappropriately announces the name of
  table cells as part of the context in Firefox 3.2.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    he      Hebrew               Mark Krapivner

==========

2.25.3 - 15-Dec-2008

Firefox:

* Fix for bug #563502 - Need to map "Shiretoko" to the Mozilla script.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    hu      Hungarian            Atilla Hammer and Gabor Kelemen
    sv      Swedish              Daniel Nylander

==========

2.25.2 - 01-Dec-2008

General:

* Work on bug #508675 - Applying change in Cthulhu preference dialog
  is a little bit slow.

* Fix for bug #551891 - Flat review does not always
  start in the correct place when focus is in a tree table.

* Fix for bug #554002 - Cthulhu App-Preferences dialog page tabs are
  "off" by one in speech and braille.

* Fix for bug #560649 - configure doesn't detect
  Python modules installed in non-standard location.

* Fix for bug #561540 - Traceback in default.py onStateChanged.

* Fix for bug #562877 - account for pronunciation dictionary
  when speech-dispatcher backend is used

OpenOffice:

* Fix for bug #556657 - Cthulhu is rather chatty when focus is given to
  an OOo list whose parent is a combo box.

* Fix for bug #562532 - When using Openoffice.org Spreadsheet with
  Cthulhu, the cell coordinates are not spoken for all locales.

Firefox:

* Fix for bug #495303 - Character flat review not working correctly
  with generated texts in XUL.

* Fix for bug #554616 - Problems accessing subsequent
  lines of cells which contain line break tags in FF3 tables.

* Fix for bug #554616 - Problems accessing subsequent lines of cells
  which contain line break tags in FF3 tables.

* More work on bug #554831 - Google calendar unusable with cthulhu.
  You can now arrow into the day grid.

* Fix for bug #555055 - Cthulhu should be able to navigate
  http://www.modernthaisf.com/gpage.html.

* Fix for bug #556470 - Cthulhu should not land on empty (cell-less)
  tables when using structural navigation by table.

* Fix for bug #558516 - Traceback when navigating on huge webpages.

* Fix for bug #559839 - Cthulhu sometimes includes content from other
  lines when navigating via Up/Down Arrow in Firefox 3.

* Fix for bug #560466 - Improve the accuracy of label guess for
  Firefox 3.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    de       German               Simon Bienlein Jochen Skulj
    es       Spanish              Francisco Javier Dorado Martinez
    eu       Basque               Iñaki Larrañaga Murgoitio
    zh_CN    Simplified Chinese   Funda Wang
    zh_HK    Traditional Chinese  Chao-Hsiung Liao
    zh_TW    Traditional Chinese  Chao-Hsiung Liao

========

2.25.1 - 03-Nov-2008

Changes since 2.24.1

General:

* Refix for bug #552344 - tutorial message for desktop not spoken.
  This is a much safer fix that doesn't depend upon human consumable
  strings.

* Fix for bug #554999 - add a new keybinding for toggling flat review.

OpenOffice:

* Fix for bug #357545 - Cthulhu does not speak all buttons in OpenOffice
  database table creation wizard.

Firefox:

* Fix for bug #434780 - Cthulhu does not provide access to text
  attributes in Firefox.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    hu      Hungarian            Atilla Hammer and Gabor Kelemen
    ca      Catalan              Gil Fcthulhuda

==========

2.24.1 - 15-Oct-2008

General:

* Fix for bug #552088 - Add Utility to desktop categories.
  Thanks Patryk Zawadzki!

* Fix for bug #552343 - Quoting special characters in
  espeechfactory.py and other changes. Thanks Dmitri Paduchikh!

* For for bug #553413 - Cthulhu can be double-started on login.
  NOTE: this method eliminates the ~/.config method for starting
  Cthulhu.  You might need to clean our your ~/.config directory
  if you're currently autostarting Cthulhu.

* Partial fix for bug #554002 - Cthulhu App-Preferences dialog page tabs
  are "off" by one in speech and braille. (This fixes them for focus
  tracking. It turns out they are "off" in flat review as well.)

* Fix for bug #554111 - Cthulhu doesn't speak the Rhythmbox rating
  widget. Please note: At the moment, this functionality requires
  getting the latest patch by Jonathan Matthew on bug #368641 and
  building Rhythmbox from svn trunk. Many thanks Jonathan!!

* Fix for bug #554673 - 80 cells Brailledisplay not usable because of
  contextual braille Information.  Thanks Halim Sahin!

* Fix for bug #556049 - Cthulhu restarts when user logs out from session.

* Fix for bug #556321 - Setting an adjustment with non-zero page size
  is deprecated.

OpenOffice/StarOffice:

* Fix for bug #546941 - Extraneous focus: events issued by OOo Writer
  lists cause excessive chattiness and braille issues.

Yelp:

* Fix for bug #553877 - Need to implement FF find functionality for
  Yelp.

Firefox:

* More work on bug #535178 - In Gecko, we should get the needed text
  for the speech and braille contexts while building up the line.

* Fix for bug #527022 - updateBraille() has significant whitespace
  issues, should use braille generators when possible, and fails to
  underline links.

* Fix for bug #552887 - Cthulhu gets stuck in graphical boxes on websites.

* Started work on bug #554831 - Google calendar unusable with
  cthulhu. Please note that Google calendar is still unusable with
  Cthulhu. This part of the fix just prevents a hang.

* Workaround for bug #555466 - Cthulhu should attempt to correct
  the Firefox breakage introduced by bug 535827 via script mapping.

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    da      Danish               Kenneth Nielsen
    it      Italian              Luca Ferretti
    pt_BR   Brazilian Portuguese Vladimir Melo and Og Maciel

==========

2.24.0 - 21-Sep-2008

These are the details for changes from the 2.23.92 release.  See the
release notes for the differences from 2.22:
http://live.gnome.org/TwoPointTwentythree/ReleaseNotes

General:

* Fix for bug #363793 - Add the ability to change the color of the
  flat review rectangle.  This support is 'under the covers' for now
  and requires hand-editing of ~/.cthulhu/user-settings.py or
  ~/.cthulhu/cthulhu-customizations.py.

* Fix for bug #403760 - Emacspeak speech factory doesn't always
  shutdown/restart correctly

* Fix for bug #552344 - tutorial message for desktop not spoken in
  ibex

Yelp:

* More work toward the fix for bug #356041 - GNOME Help (yelp) is
  inaccessible. Ginn Chen created another patch for Yelp which makes
  things work even better. Thanks Ginn!

StarOffice/OpenOffice:

* Fix for bug #552350 - Cthulhu doesn't recognize it is in a spreadsheet
  cell in certain builds of OOo Dev 3

Firefox/Thunderbird:

* Fix for bug #518945 - Cthulhu has problems with certain imagemaps in
  FF3

* Fix for bug #535188 - Page-up and page-down not functioning when
  reading messages in Thunderbird

* More work on bug #542833 - Flat review in Thunderbird is largely
  broken. This fix addresses some combo box related issues.

* Fix for bug #546815 - guessLabelFromLine() is guessing text that is
  on other lines in FF3

* Fix for bug #547496 - Cursor navigation does not start from
  insertion carat location in Thunderbird Write window

* Fix for bug #547573 - Cthulhu has problems navigating past a couple of
  links on java.sun.com

* Fix for bug #549128 - Cthulhu should not get stuck on omahasteaks.com

* Fix for bug #551626 - Storing guessed labels would increase
  performance and decrease repeated speech

* Fix for bug #553075 - Please add comment for string

New and updated translations (THANKS EVERYONE!!!):

  See also the overall translation status:
  http://l10n.gnome.org/module/cthulhu

    ar      Arabic               Youssef Chahibi and Djihed Afifi
    cs      Czech                Lucas Lommer and Petr Kovar
    da      Danish               Kenneth Nielsen
    et      Estonian             Ivar Smolin and Priit Laes
    fr      French               Bruno Brouard and Claude Paroz
    hi      Hindi                Rajesh Ranjan
    hu      Hungarian            Atilla Hammer and Gabor Kelemen
    it      Italian              Luca Ferretti
    nb      Norwegian Bokmål     Kjartan Maraas
    nl      Dutch                Wouter Bolsterlee
    pt_BR   Brazilian Portuguese Michel Recondo, Tiago M. Casal and
                                 Leonardo Ferreira Fontenelle
    ru      Russian              Nickolay V. Shmyrev
    ta      Tamil                I. Felix

==========

2.23.92 - 08-Sep-2008

General:

* Partial fix for bug #527022 - Linked text should be "underlined" in
  braille in Firefox.  The complexity of this space, however, has
  caused us to table the braille underlining of links until the 2.26
  release of GNOME.

* Fix for bug #550249 - configure doesn't use find bonobo python


Yelp:

* Much work toward the fix for bug #356041 - GNOME Help (yelp) is
  inaccessible. Please note that access to Yelp is a work in
  progress: on our end, and on the Yelp end, and may also require
  the Mozilla guys to fix something on their end. As of today, in
  order for the yelp script to work, you will need to build yelp --
  after applying the patch attached to bug #545162. Many, many,
  many thanks to Ginn Chen for that patch and for getting to the
  bottom of a rather odd accessibility hierarchy.

StarOffice/OpenOffice:

* Fix for bug #515923 - 'Area' labels of Calc Headers/Footers dialog
  not always announced.

* Fix for for bug #550137 - Presentation of table content in OOo
  Writer is largely hosed and we're double-speaking paragraphs in OOo
  Writer docs.

* Fix for bug #551077 - Traceback and loss of speech in OOo
  Writer docs with both links and multbyte characters on the
  same line

* Fix for bug #551159 - Cthulhu says "link" when it shouldn't and
  sometimes fails to say it when it should in OOo Writer documents.

Firefox:

* Fix for bug #541605 - updateBraille() can take an unreasonable
  amount of time with certain pages in Firefox 3.

* Fix for bug #550873 - Some live region text updates are not
  presented

New and updated translations (THANKS EVERYONE!!!):

    en_GB   English/British      David Lodge
    hi      Hindi                Rajesh Ranjan
    ja      Japanese             Takeshi Aihana
    mai     Maithili             Sangeeta Kumari
    pl      Polish               Piotr Leszczyński
    pt      Portuguese           Duarte Loreto
    sv      Swedish              Daniel Nylander
    ta      Tamil                Tirumurthi Vasudevan
    tr      Turkish              Baris Cicek

==========

2.23.91 - 01-Sep-2008

General:

* Refix for bug #540937 - Cthulhu doesn't check if the wnck python
  bindings are installed.

* Fix for bug #547774 - Possible small performance improvement for
  starting preferences

* Fix for bug #548380 - Character count message needs reordering in
  translation

* Fix for bug #548382 - Unreliable check for Evolution Setup Assistant

StarOffice/OpenOffice:

* Fix for bug #523416 - Cannot access Impress panes via the
  keyboard (Note: Requires OOo 3.0)

* Fix for bug #523452 - OOo spell check not working

* Fix for bug #549664 - isDesiredFocusedItem() needs to be more
 flexible

Firefox:

* Fix for bug #547477 - Cursor navigation cycles through same text
  in Firefox--bugzilla page

* Fix for bug #549529 - Improve our handling of caret-moved events
  when Gecko is controlling the caret (Note: This doesn't fix all of
  the issues; merely improves some of them)

New and updated translations (THANKS EVERYONE!!!):

    de       German               Jochen Skulj
    eu       Basque               Iñaki Larrañaga Murgoitio
    es       Spanish              Francisco Javier Dorado Martinez and
                                  Jorge Gonzalez
    et       Estonian             Ivar Smolin and Priit Laes
    fi       Finnish              Timo Jyrinki
    fr       French               Robert-André Mauchin
    gl       Galician             Ignacio Casal Quinteiro
    sr@latin Serbian              Danilo Šegan
    sv       Swedish              Daniel Nylander
    th       Thai                 Theppitak Karoonboonyanan

==========

2.23.90 - 18-Aug-2008

General:

* Use DBus only if DBUS_SESSION_BUS_ADDRESS is defined so as to avoid
  unexpected launching of a DBus daemon

* Fix for bug #536985 - Cthulhu no longer reads applets on the panel

* Fix for bug #540123 – Tutor help messages with cthulhu.  (Many many
  thanks to Mesar Hameed for his hard work here and to Hammer Attila
  for testing)

* Fix for bug #540187 - Wrapped structural navigation toggle.  (Thanks
  Mesar!)

* Fix for bug #546277 - Traceback when accessing "User Privileges" tab
  of "Account Properties" dialog of "User Settings".

* Fix for bug #546660 - The speaking of progress bars should be turned
  on by default

* Fix for bug #547938 - Magnifier should follow Alt+Tab

* Fix for bug #547895 - make distcheck fails with intltools 0.40.0

Firefox/Thunderbird:

* Work on bug #535178 - In Gecko, we should get the needed text for
  the speech and braille contexts while building up the line.  Also
  fixes bug #527819 – Cthulhu sometimes says "list" between items when
  the list is on a single line in FF3.

* Fix for bug #535183 - Word navigation is inconsistent in Thunderbird
  and Firefox.

* Work on bug #542833 - Flat review in Thunderbird is largely broken.
 This part of the fix should stop us from hanging if flat review is
 invoked with a message list with thousands of messages and should
 ensure that we don't review things that are not actually on the
 screen. There is still more work that needs to be done on this bug.

* Fix for bug #546355 - The ARIA gmail interface is largely unusable
  with Cthulhu

* Fix for bug #546895 - Braille context includes previous menu item in
  HTML combo boxes.

* Fix for bug #547345 - Can't always "Alt+Tab" back into Thunderbird
  or Firefox

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    fi      Finnish              Ilkka Tuohela
    gl      Galician             Ignacio Casal Quinteiro
    pt      Portuguese           Duarte Loreto
    ru      Russian              Nickolay V. Shmyrev and Anatol Kamynin
    th      Thai                 Theppitak Karoonboonyanan

==========

2.23.6 - 04-Aug-2008

General:

* Fix for bug #536985 - Cthulhu no longer reads applets on the panel.

* More work on bug #542714 - Cthulhu should indicate read-only text boxes.

* Fix for bug #545342 - Can no longer shift+click using Cthulhu.

StarOffice/OpenOffice:

* Fix for bug #429390 - Braille stays on current line after pressing
  return at end of line in OOo Writer.

Firefox:

* Fix for bug #544122 - Problems with downloading files with Firefox 3.

* Fix for bug #544197 - Cthulhu speaks nothing when first tabbing into
  the document frame in firefox.

* Fix for bug #544771 - Cthulhu no longer moving the cursor on same page
  links.

* Fix for bug #545623 - Revert to checking extents for navigating
  amongst line breaks. This also seems to improve -- and may fix --
  bug #534431 (Cthulhu does not recognize blank lines when writing a
  message in Thunderbird).

* Fix for bug #545946 - WhereAmI fails on Gecko Trees.

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    pt_BR   Brazilian Portuguese Vladimir Melo and
                                 Leonardo Ferreira Fontenelle
    ru      Russian              Nickolay V. Shmyrev and Anatol Kamynin

==========

2.23.5 - 21-Jul-2008

General:

* Fix for bug #520596 - Cthulhu should implement echo by sentence.

* Additional fix for bug #525656 - Cthulhu needs to handle the new
  Pidgin typing status updates. This was needed due to a change
  in Pidgin.

* Fix for bug #533095 - Magnifier should turn off the system
  sprite/cursor/mouse when using full screen magnification.
  This requires a new gnome-mag release as well.

* Fix for bug #534022 - The Line-end symbol (46 123) should be
  configurable per application.

* Fix for bug #536825 - Allow bypass of Cthulhu's keyboard commands.
  (The default keybinding is Cthulhu+Backspace, but you can change
  that by specifying a new binding in the Cthulhu Preferences dialog.)

* Fix for bug #536985 - Cthulhu no longer reads applets on the panel.

* Fix for bug #538058 - The role for accessibles of ROLE_LIST_ITEM
  should not be spoken when the accessible is given focus.

* Fix for bug #538729 - In Cthulhu preferences window /text attributes
  page the text attribute names not marked for translation.

* Fix for bug #538773 - Enable a quick 'smoke test' for whether Cthulhu
  can see things via the AT-SPI.  Added a --list-apps option to print
  the list of known applications.

* Fix for bug #540937 - Cthulhu doesn't check if the wnck python bindings
  are installed.

* Fix for bug #541094 - Back out 'silent focus' code.

* Fix for bug #541437 - Trying to quit Cthulhu with the mouse doesn't
  give focus to the Quit dialog.

* Fix for bug #542260 - Cthulhu should only keep track of
  active/non-defunct progress bars.

* Fix for bug #542262 - Cthulhu should only echo words once when word
  echo is enabled.

* Fix for bug #542367 - Some key names not marked for translation.

* Fix for bug #542714 - Cthulhu should indicate read-only text boxes.

* Fix for bug #542719 - Modified column header does not appear
  translated in Preferences - Key bindings page.

* Fix for bug #543775 - Cthulhu uses incorrect voice sometimes in text
  setup.

Java:

* Much work on bug #435623 - Java Platform Metabug (see comment #6 in
  the bug for more information).

StarOffice/OpenOffice:

* Fix for bug #538053 - Word echo is not echoing the word typed
  when return is pressed while editing an Impress slide.

* Fix for bug #538056 - Cthulhu should announce the "view" as part of
  the scroll pane context in Impress.

* Fix for bug #538064 - Cthulhu should speak placeholder contents when
  that placeholder is given focus on an Impress slide.

* Fix for bug #538835 - Word echo is not echoing the word typed when
  return is pressed while creating an oowriter text document.

Firefox:

* Fix for bug #519515 - Support ARIA "required" state.  This adds
  support for presenting the fact that the required state has been
  set for the following types of ARIA widgets:

      - checkbox
      - gridcell
      - radiogroup
      - slider
      - spinbutton

  We'll add support for additional widgets over time.  In order to
  minimize verbosity, this state is not presented by default. To
  change this setting, set cthulhu.settings.presentRequiredState to
  True in your user-settings.py or cthulhu-customizations.py. In
  addition, we've added in support for customizing the strings
  used to present the required state. By default, "required" (or
  the localized form of it) will be used for both speech and
  braille.  Modify cthulhu.settings.brailleRequiredStateString and/or
  cthulhu.settings.speechRequiredStateString if you would prefer a
  different string.

* Fix for bug #530783 - Cthulhu speaks an image map link's shape as part
  of the whereAmI info in FF3.

* Fix for bug #533109 - Cthulhu doesn't speak alerts in Firefox.

* Fix for bug #535023 - Structural Navigation should be pulled out of
  Gecko and include more objects.

* Fix for bug #536455 - Contents of "Save In Folder" combo box not
  indicated in speech/braille in Firefox/Thunderbird.

* Fix for bug #537839 - Cthulhu does not remember the last position
  on a webpage in firefox when using the back command.

* Fix for bug #539075 - Navigation problems with Firefox 3 & Aria
  example.

* Fix for bug #540187 - Wrapped structural navigation toggle. There
  is a new setting (wrappedStructuralNavigation) which controls
  whether or not we wrap around the document when structural
  navigation is used. The default value is True (i.e. do wrap). If
  you would prefer Cthulhu not wrap, you can set it to False in your
  user-settings.py or your cthulhu-customizations.py.

* Fix for bug #542324 - When launch Firefox 3.0 and pressing
  CTRL+Cthulhu+space key, In Cthulhu application preferences/keybindings
  page some structural navigation description not marked for
  translation.

* Fix for bug #542927 - Live region commands should be treated as
  structural navigation commands when in form fields in Firefox 3.

* Fix for bug #543496 - Problems with performing mouse clicks in
  Firefox.

Thunderbird:

* Fix for bug #533042 - Cthulhu should be less verbose when reading
  autocompletes in Thunderbird.

* Fix for bug #536451 - Newly focused message not spoken after message
  deletion in Thunderbird.

* Fix for bug #536455 - Contents of "Save In Folder" combo box not
  indicated in speech/braille in Firefox/Thunderbird.

* Fix for bug #540039 - Newly focused message not spoken after message
  deletion in Thunderbird if a message is open.

* Fix for bug #540407 - Problems reading messages in Thunderbird
  when arrowToLineBeginning is False.

* Fix for bug #540833 - Word echo not working in Thunderbird address
  fields if autocompletion is not active.

* Fix for bug #541018 - Mail messages not automatically read when
  opened in Thunderbird.

* Fix for bug #543024 - Important header fields for received
  messages not spoken when tabbing through headers in Thunderbird
  message view.

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    gl      Galician             Ignacio Casal Quinteiro
    hu      Hungarian            Atilla Hammer and Gabor Kelemen
    nb      Norwegian Bokmål     Kjartan Maraas
    oc      Occitan              Yannig Marchegay
    ru      Russian              Nickolay V. Shmyrev and Anatol Kamynin

==========

2.23.4 - 16-Jun-2008

General:

* Fix for bug #397306 - Cthulhu's default synthesis engine choice should
  take language into account.

* Fix for bug #464194 - Refactor keybindings to always care about
  Control/Shift/Alt/Cthulhu modifiers.

+ Refix for bug #487585 - Cthulhu Usage message should be localized.  Do
  not mark the command line options for translation.

* Fix for bug #517532 - change dict.has_key() usage to set operator
  'in'.

* Fix for bug #529655 - After inputting an incorrect password on the
  screensaver, cthulhu can't speak the whole dialog.

* Fix for bug #530368 - Only move focus if the event is for the
  focused/active window.

Java:

+ Fix for bug #435585 - Java ControlPanel GIVING UP AFTER 5 TRIES.

OOo:

* Fix for bug #521450 - Cthulhu should read the next/previous paragraph
  by a keystroke.

* Fix for bug #537851 - Moving cursor with mouse in oowriter causes
  traceback.

Thunderbird:

* Fix for bug #507922 - Include page tab name in braille context for
  Thunderbird.

* Fix for bug #535192 - Misspelled word and suggestion not spoken in
  Thunderbird spell check.

* Fix for bug #537425 - Cthulhu should provide context for misspelled
  words in Thunderbird spell check.

Firefox:

* Fix for bug #531806 - Wrapped item lists don't give proper braille
  in Gecko.

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    bg      Bulgarian            Alexander Shopov
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    nb      Norwegian Bokmål     Kjartan Maraas
    oc      Occitan              Yannig Marchegay
    vi      Vietnamese           Clytie Siddall

==========

2.23.3 - 02-Jun-2008

General:

+ Fix for bug #371637 - Cthulhu repeats "Location:" info repeatedly in
  Nautilus File Browser Dialog.

* Fix for bug #448817 - Being able to configure autostart from cthulhu's
  settings.

* Fix for bug #463646 - Cthulhu doesn't announce the presence of
  unfocused dialogs when an app gains focus.

* Additional fix for bug #520494 - Keyboard review punctuation in Firefox.
  (This was actually a general fix not isolated to Firefox)

* Fix for bug #524998 - Selection is not shown if Ctrl+A is used to do
  "Select All".

* Reversed the fix for bug #529784 - Speech cannot always be
  interrupted with flat review.  Further investigation done by
  Rich and Will indicate that the bug in question is an espeak
  bug and this "fix" introduces more problems than it solves
  (see, for instance, bug #532982).

* Fix for bug #534383 - Cthulhu mouse review traceback at startup.

* Fix for bug #535747 - Do not assume
  cthulhu_state.lastNonModifierKeyEvent is non-None.

Evolution:

* Fix for bug #516565 - Cthulhu speaks the full line of a message in Evo
  when it should not.

+ Fix for bug #533499 - Evolution contacts not being spoken when you
  navigate them.

Firefox/Thunderbird:

* Fix for bug #511561 - Cthulhu should not impact the cursor position
  when replying to a message in thunderbird.

* Fix for bug #515665 - Cthulhu has problems with tables that have
  captions in FF3.

+ Fix for bug #527959 - Incorrect caret movement in Firefox 3 on
  certain Web pages.

* Fix for bug #528644 - Cthulhu should indicate when an autocomplete list
  has appeared in FF.

* Fix for bug #532069 - Cthulhu should read field labels on the NLS site.

+ Fix for bug #533125 - Cthulhu does not speak Search textbox in Firefox
  Download Manager if it is empty.

* Fix for bug #534393 - Moving by large object in firefox can skip
  text.

* Fix for bug #535149 - Cthulhu should override Home and End in Firefox 3
  and Thunderbird.

OOo:

* Fix for bug #517048 - Cthulhu does not always speak the correct
  information when navigating and/or selecting text across object
  boundaries in OOo Writer.

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    hu      Hungarian            Attila Hammer and Gabor Kelemen
    nb      Norwegian Bokmål     Kjartan Maraas
    vi      Vietnamese           Clytie Siddall

==========

2.23.2 - 12-May-2008

+ = means it's also part of the gnome-2-22 branch

General:

* Fix for bug #426010 - Implement Verbalized Links.

* Fix for bug #517127 - Cthulhu doesn't always speak expected message
  when selecting all.

+ Fix for bug #517387 - Cthulhu should not read password out in gdm login
  window.  This just turns off key echo when the login window is up.
  The real fix belongs in gdm (see bug #529145).

+ Fix for bug #517736 - whereAmI does not handle text with embedded
  object characters.

+ Fix for bug #522797 - Cthulhu should not speak false "inaccessible"
  messages when switching applications.

+ Additional fix for bug #525831 - isn't properly handling SIGTERM.
  Needed to fix this so cthulhu_console_prefs would work again.

* Fix for bug #528147 - Broke up multi-class scripts into packages.

+ Fix for bug #528507 - Escape doesn't exit "learn mode" if the active
  script changes.

+ Fix for bug #528797 - gnome-speech inappropriately uses
  g_return_if_fail.  Only set "punctuation mode" if we can.

* Fix for bug #530541 - Suspending Cthulhu in terminal screws up session.

* Fix for bug #531378 - FSF address has changed.  Also updated
  copyright messages to 2008.

* Fix for bug #532376 - Running pylint can potentially overwrite
  previous results.

Pidgin:

* Fix for bug #474673 - Add option to have chatroom-specific message
  histories in Pidgin.

+ Fix for bug #523731 - Pidgin events interfere with app-specific
  Prefs dialog.

Firefox:

* Fix for bug #529784 - Speech cannot always be interrupted with flat
  review.

+ Fix for bug #530766 - (ff3) split headings not fully read when nav
  by structure.

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez
    hu      Hungarian            Attila Hammer and Gabor Kelemen
    nb      Norwegian Bokmål     Kjartan Maraas

==========

2.23.1 - 21-Apr-2008

+ = means it's also part of the gnome-2-22 branch

General:

+ Fix for bug #517505 - Cthulhu doesn't present new active descendant
  when deleting from the top of a list

+ Fix for bug #518507 - getSpeechForAlert() assumes unrelated labels
  have names

+ Fix for bug #518518 - Need to do some sanity checks for broken table
  hierarchies

+ Fix for bug #518762 - When using gnome-terminal with multiple tabs,
  the name on the tab is not announced when switching between tabbed
  windows

* Fix for bug #518914 - table column number missing in whereAmI info

+ Fix for bug #519901 - Cthulhu doesn't warn via braille that an
  inaccessible object got the focus

* Fix for bug #520611 - New mouse review feature

* Fix for bug #520974 - Some script names are not marked for
  translation

* Fix for bug #522657 - this may take a while should be removed from
  the cthulhu prefs

+ Fix for bug #523082 - text-setup should not use speech if
  --disable=speech is used

+ Fix for bug #523147 - "space" keyname is not marked for translation

* Fix for bug #523309 - "return" and "backspace" keynames is not
  marked for translations

* Fix for bug #523268 - refactor braille support of text attributes

+ Fix for bug #523642 - cthulhu_prefs.py:_writePronunciation should not
  generate bad Python syntax

+ Fix for bug #523712 - Cthulhu application specific preferences window
  doesn't always get focus when user types Insert-Control-Space


* Fix for bug #525348 - Cthulhu uses wget. (It now uses DBus)

+ Fix for bug #525831 - isn't properly handling SIGTERM

* Fix for bug #525592 - Provide 'diff' like output for regression test
  failures

* Fix for bug #525649 - Don't bomb when no DISPLAY is set

Evolution:

* Fix for bug #519936 - In Evolution Cthulhu does not read the messages
  list properly when in "read table row" mode

Pidgin:

+ Fix for bug #525644 - Pidgin buddy status changes cause Cthulhu to
  display "cell" in braille

+ Fix for bug #525656 - Cthulhu needs to handle the new Pidgin typing
  status updates

OOo:

+ Fix for bug #517502 - Cthulhu should not speak the previously focused
  menu item when arrowing across the menu bar in OpenOffice

+ Fix for bug #523018 - Cthulhu does not speak the role for edits in the
  find and replace dialog in openoffice

Firefox:

+ Fix for bug #491837 - Implement Gecko.py 'go to' functions with Collections

* Fix for bug #512103 - Cthulhu speaks too much of the context in FF3

+ Fix for bug #512503 - Remove "object:visible-data-changed" listener
  from Gecko.py

+ Fix for bug #515804 - Whitespace needs to be removed from speech and
  braille contexts in FF3

+ Fix for bug #517277 - Cthulhu should not get stuck while browsing
  articles at espn.com

+ Fix for bug #518893 - extra verbosity in web pages with nested frames

+ Fix for bug #519416 - Zoomer loses focus when doing a web search

+ Fix for bug #519478 - (ff3) missing text with line down navigation
  (www.fixedearth.com)

* Fix for bug #519587 - Navigating nested lists with Collection not
  functioning properly

+ Fix for bug #519931 - Cthulhu does not read certain news feeds
  correctly

+ Fix for bug #520029 - Better handle our presentation of images and
  text on a web page when the image spans multiple lines

* Fix for bug #520612 - Add cursor key routing support to Gecko

+ Fix for bug #520760 - (ff3) read document ignoring remainder of
  object when first subelement is non-text.

+ Fix for bug #523480 - Unwanted roles appearing in the braille
  context for dojo in FF3

+ Fix for bug #523759 - Gecko.getCharacterOffsetInParent() needs
  to check the parent for text

* Fix for bug #526366 - Remove the unused line navigation code from
  Gecko.py

New and updated translations (THANKS EVERYONE!!!):

    ca      Catalan              Gil Fcthulhuda
    cs      Czech                Lucas Lommer, Martin Sukany and
                                 Petr Kovar
    da      Danish               Kenneth Nielsen
    de      German               Jochen Skulj
    el      Greek                Giannis Katsampipis and Kostas Papadimas
    en_GB   Philip Withnall      English/British
    es      Spanish              Francisco Javier Dorado Martinez
    hu      Hungarian            Attila Hammer and Gabor Kelemen
    ja      Japanese             Takeshi Aihana
    ml      Malayalam            Ani Peter
    nb      Norwegian Bokmål     Kjartan Maraas
    nl      Dutch                Vincent van Adrighem
    nn      Norwegian Nynorsk    Eskild Hustvedt
    pt_BR   Brazilian Portuguese Tiago Melo Casal and
                                 Leonardo Ferreira Fontenelle
    sv      Swedish              Daniel Nylander
    te      Telugu               Krishna Babu K and Sunil Mohan Adapa

==========

2.21.92 - 25-Feb-2008

General:

* Fix for bug #419136 - Planner toggle button in main window not
  accessible

* Fix for bug #486897 - Where Am I doesn't present row/column headers

* Fix for bug #513238 - Flat review is broken in Evolution

* Fix for bug #516321 - Caps lock not correctly reporting the state
  when toggled

* Workaround for bug #517026 - crash in Open Folder: Deleting the last
  file in a directory

OOo:

* Fix for bug #515651 - Navigation of cells in oocalc now says "not
  selected"

Firefox:

* Fix for bug #508163 - Cthulhu tends to be slow in the vicinity of combo
  boxes in Firefox

* Fix for bug #511885 - Support relevant and channel live region
  properties

* Fix for bug #512261 - We should implement better support for the FF
  A11y extension

* Fix for bug #515263 - ARIA tooltips should respect presentToolTips
  setting

* Fix for bug #512503 - Remove "object:visible-data-changed" listener
  from Gecko.py

* Fix for bug #515571 - FF3 form field structural navigation should
  handle form fields that are not in forms

* Fix for bug #516121 - Cthulhu stalls on barackobama.com when navigating
  by heading in FF3

* Fix for bug #516174 - FF line navigation needs to be more
  accurate. (We know these aren't all the issues, but hopefully this
  fix will resolve many of them.)

* Fix for bug #517521 - Gecko.py is throwing exception in onCaretMoved

* Fix for bug #517336 - Spaces interfere with Cthulhu's ability to get
  the line contents

* Fix for bug #517371 - Cthulhu gets stuck when browsing humanware.ca in FF3

* Fix for bug #517716 - Live regions being output on listitem changes
  for Bugzilla

* Fix for bug #517752 - (ff3) more cthulhu+left/right inconsistency

* Fix for bug #518502 - Cthulhu doesn't always speak wrapping
  announcement for link structural nav in FF3

New and updated translations (THANKS EVERYONE!!!):

    de      German               Jochen Skulj
    es      Spanish              Francisco Javier Dorado Martinez
    fi      Finnish              Ilkka Tuohela
    fr      French               Robert-André Mauchin and Claude Paroz
    hu      Hungarian            Attila Hammer and Gabor Kelemen
    kn      Kannada              Shankar Prasad and Runa Bhattacharjee
    mk      Macedonian           Jovan Naumovski
    nb      Norwegian Bokmål     Kjartan Maraas
    ne      Nepali               Pawan Chitrakar
    nl      Dutch                Vincent van Adrighem
    pt      Portuguese           Duarte Loreto
    ru      Russian              Nickolay V. Shmyrev
    th      Thai                 Theppitak Karoonboonyanan
    vi      Vietnamese           Nguyễn Thái Ngọc Duy
    zh_HK   Traditional Chinese  Chao-Hsiung Liao
    zh_TW   Traditional Chinese  Chao-Hsiung Liao

==========

2.21.91 - 11-Feb-2008

General:

* Fix for bug #133275 - (gedit) accessible description for page not
  correct

* Work on bug #354470 - Contracted braille.  This provides fundamental
  contracted braille support via liblouis.

* Fix for bug #434654 - Cthulhu skips a line in flat review mode or
  with braille navigation (braille up / down).  This fixes the
  bug in question, but there is an asymmetric behavior that happens
  when flat reviewing by word.  Flat review by previous word will
  land blank line at the end of a text area (if it has one), but
  won't do do when navigating by next work.  Tracking the asymmetric
  navigation issue in bug #515817.

* Fix for bug #440490 - Key bindings should allow double and triple
  press features to be rebound

* Fix for bug #486908 - Selection and navigation in multiselectable
  items are not properly handled

* Fix for bug #512608 - Punctuation in keyboard review mode

* Fix for bug #512639 - rhythmbox Library table not accessible

* Fix for bug #512847 - Flat review is quite broken in OpenOffice and
  Firefox

OpenOffice:

* Fix for bug #363830 - Provide feedback in OOo when toggling bold,
  underline, and italics

Firefox:

* Fix for bug #462883 - ARIA tooltips/alerts are not being output

* Fix for bug #506360 - find{Next,Previous}Line() should be more
  efficient

* Fix for bug #511354 - cannot press enter to activate links in area
  tags, although tabbing works

* Fix for bug #511389 - Cthulhu doesn't always speak a link that regains
  focus in FF3

* Fix for bug #512236 - missing links in ff3 when navigating down page

* Fix for bug #512303 - table captions are not being presented

* Fix for bug #513217 - object navigation sticking on same line
  comboboxes

* Fix for bug #513425 - cthulhu object navigation is not consistent when
  moving to the left/to the right

* Fix for bug #514427 - Cthulhu skips over headings at the end of
  sections in FF3

* Fix for bug #515652 - Gecko.py script causing Traceback

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    de      German               Jochen Skulj
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    it      Italian              Luca Ferretti
    oc      Occitan              Yannig Marchegay
    pt      Portuguese           Duarte Loreto
    sv      Swedish              Daniel Nylander

==========

2.21.90 - 28-Jan-2008

General:

* Workaround for blocked bug #432308 - Problem with Evolution and
  threads always speaking "expanded 0 items". Adding in code to no
  longer speak the "0 items" if this is a table cell in the mail
  message header list with an expanded state.

* Fix for bug #482294 - Contextual information for gnome-terminal
  should only be shown in braille when you're on the first line.
  Cthulhu now automatically enters flat review mode when you pan left
  past the beginning of the line containing the cursor.

* Fix for bug #503874 - Read by row in Evolution reads cell
  information incorrectly

* Fix for bug #506874 - Flat review should support status bars that
  have accessible text and children

* Fix for bug #508682 - Cthulhu speak combobox item three time in Pidgin
  2.3.0

* Fix for bug #510019 - Cthulhu can continue trying to dequeue events
  when queue is empty (thanks to Mike Gorse for this fix!)

* Fix for bug #511447 - Cthulhu speaks passwords when they are been typed

OpenOffice:

* Fix for bug #510207 - key echo by word is broken in OOo Writer.

Firefox:

* Updates to the regression tests.

* Fix for bug #483023 - Cthulhu should give the user the ability to
  move between objects in order.  You can now use Cthulhu+Left and
  Cthulhu+Right to move from object to object.  This should come
  in handy for "escaping" combo boxes and lists in forms after
  making your selection.  Because these new commands treat each
  object as if it were on a line by itself, users who have
  requested this type of line navigation will hopefully find that
  this new functionality also addresses some of those needs.

* Fix for bug #505742, Accommodate no ARIA markup for live regions

* Work on bug #506360 - find{Next,Previous}Line() should be more
  efficient

* Fix for bug #509394 - First focusable item in document frame not
  always spoken in FF3

* Fix for bug #509482 - Line navigation in FF wraps from top of file
  to bottom

* Fix for bug #509588 - Header information disappearing in ff3 on
  minefield page

* Fix for bug #509731 - braille for collapsed html combo boxes is not
  updating correctly

* Fix for bug #509809 - We should try to do a better job of guessing
  labels in poorly-coded forms

* Fix for bug #510478 - Character navigation in FF wraps from bottom
  of file to top

* Fix for bug #511118 - We sometimes get stuck on images that are also
  links

* Partial fix for bug #511893 - Live region performance
  enhancements. Fix for navigation performance issue.

* Fix for bug #512270 - cthulhu crash on visiting www.gmail.com after login

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    nb      Norwegian Bokmål     Kjartan Maraas
    sv      Swedish              Daniel Nylander

==========

2.21.5 - 14-Jan-2008

General:

* Fix for bug #354462 - SayAll of dialogs (versus just a single text
  area)

* Fix for bug #463867 - Source display and Target display should
  self-populate in Cthulhu Prefs dialog

* Fix for bug #463881 - Evaluate other gnome-mag features for inclusion
  in Cthulhu prefs

* Fix for bug #485522 - Cthulhu should allow the user to specify the
  chat messages that get spoken/brailled

* Fix for bug #486895 - Arrowing down from column header to table
  presents wrong column header

* Fix for bug #489504 - Invoking a Say All should result in any text
  selection being cleared

* Fix for bug #504356 - Unchecking "Enable speech" doesn't grey out
  all speech items in the Preferences dialog

* Fix for bug #504384 - The Cthulhu Preferences dialog is a bit too "tall"

* Fix for bug #505293 - Zoomer borders should only be displayed at
  source display intersection

* Fix for bug #505306 - Cthulhu's color filtering combo box should be
  greyed out if the filters are not available

* Fix for bug #508679 - The second time to enable the Braille Monitor,
  it can not be lauched

* Fix for bug #508777 - HTTP-based Recording ability should not be
  enabled by default

Evolution:

* Fix for bug #490317 - Cthulhu echoes the first letter of each new line
  when composing a message in Evolution

Java platform:

* Fix for bug #507886 - Cthulhu+Space when in Java application presents
  script summary debug

Firefox/Thunderbird:

* Work on bug #414762 - Control Home/End, Up/Down Arrow don't always
  work in Firefox.  Firefox still has some navigation issues which
  prevent things like Control Home and Control End from doing what we
  would want/expect.  Therefore, we've taken over these keystrokes by
  default. :-) They should always move you to the top and bottom of
  the document now if Cthulhu is controlling the caret.  If you would
  prefer to have Control Home and Control End exhibit the default FF
  behavior, toggle to a Gecko-controlled caret or change the
  keybindings in the Cthulhu Preferences dialog for Minefield.

* Fix for bug #480881 - Firefox is very slow on pages with forms

* Fix for bug #500016 - Reading web pages by line in Firefox 3 is
  slow

* Fix for bug #502084 - Running Cthulhu with Thunderbird v2.0.X with
  compose window open generates a stack trace

* Fix for bug #504742 - Gecko.py should not call
  getLineContentsAtOffset() twice unnecessarily

* Fix for bug #504785 - Cthulhu repeats certain lines twice in Firefox 3

* Fix for bug #505102 - Pressing Up/Down in FF3 is moving to spaces at
  the end of the current line

* Fix for bug #506360 - find{Next,Previous}Line() should be more
  efficient.  Note that this is one of the new "performance
  enhancements" that has been well-tested, but may contain side
  effects.  Please give us your feedback.  If you're unsure as to
  whether this change is responsible for a problem you are seeing, you
  can place the following two lines in your
  ~/.cthulhu/cthulhu-customizations.py file:

  import cthulhu.Gecko
  cthulhu.Gecko.useNewLineNav = False

  If True (the default), the new enhancements are used; if False, they
  are not.  If this change is responsible, let us know.

* Fix for bug #508624 - Checkbox tristate not announcing state changes

* Work on bug #508784 - Cthulhu needs to handle FF hierarchies that don't
  match reality.  Part of the solution is making sure the user can
  navigate to the areas.  That is what has been done.  We still need
  to present the elements and allow the user to navigate among them
  according to their spatial layout (e.g. reverse the list whose
  elements are ordered right-to-left).

* Fix for bug #509068 - We should prevent the user from arrowing into
  combo boxes in FF.  Now you can arrow "up to" a combo box, but
  should not be able to arrow into it accidentally.  If you arrow to a
  combo box and want to it give focus, you can do several things:
  Press Tab (as it's the next focusable item), press Cthulhu+Tab (as it's
  the next form field, assuming your combo box is contained in a
  form), or press Alt+Down Arrow (which is the Firefox command to
  expand the current combo box).

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    et      Estonian             Ivar Smolin and Priit Laes
    it      Italian              Luca Ferretti
    nb      Norwegian Bokmål     Kjartan Maraas
    oc      Occitan              Yannig Marchegay
    sv      Swedish              Daniel Nylander
    vi      Vietnamese           Clytie Siddall

==========

2.21.4 - 17-Dec-2007

NOTE: There have been keybindings changes for this release.

* Instead of Cthulhu+F1 to enter learn mode, the binding is now
  Cthulhu+h.

* Instead of Cthulhu+{1,2,3,4,5,6,7,8,9} to read the last nth message
  that was presented in an application such as gaim or gnome-mud, the
  binding is now Cthulhu+{F1,F2,F3,F4,F5,F6,F7,F8,F9}.

* The debugging keys have been rebound as well.  The new bindings
  are Cthulhu+Ctrl+Alt+{the following}, where {the_following} is one
  of:

   End       - report active script info
   Home      - print list of known apps and their windows
   Page_Up   - print locus of focus ancestry
   Page_Down - print accessible hierarchy of active application

Magnification:

* Support "live updating" when setting various magnification features

  Changes made to the zoomer in the Cthulhu Preferences now update in
  real time: it is no longer necessary to press the Apply button to
  see if the option you've chosen works for you and then undo it or
  adjust it if it doesn't.  Note that you must still press the Apply
  or the OK button to make your changes permanent.

* Bug #452316 - should have a "fullscreen" checkbox

  We've added a Position combo box so that it's easy to select the
  position of the zoomer.  The options are full screen, left half,
  right half, top half, bottom half, and custom.  Choosing custom
  allows you to specify the location of each edge of the zoomer.
  The new default zoomer position is full screen if full screen
  magnification is possible.  Otherwise, the right half of the
  screen will be used by default.

* Bug #463881 - Evaluate other gnome-mag features for inclusion in
  Cthulhu prefs

  You can now adjust the brightness and contrast levels and use the
  colorblind filters from libcolorblind.  Basic brightness and
  contrast levels can be adjusted through the spin buttons on the
  Magnifier pane of the Cthulhu Preferences dialog.  If you press the
  Advanced Settings button at the bottom of that pane, you'll be
  placed in a dialog box where you can customize the red, green, and
  blue brightness levels and contrast levels individually.  The
  Advanced Settings dialog is also where you can choose a color
  filter.  These options should enable you to create the color
  scheme that works best for you.  Note that in order for colorblind
  filtering to work, you must install libcolorblind and then
  re-build gnome-mag.

  You can also add a border to your zoomer to help separate it from
  the non-magnified area.  The border size and color are
  customizable.  We've also separated the cursor color from the
  cross-hair color so you no longer have to find the one color that
  works best for both.

* Bug #464705 - Provide option to keep caret in center of magnifier
  region of interest

  We've added individual tracking and alignment settings for
  controls and the text cursor: each can have an alignment of
  centered or push (move the magnifier window the least).  In
  addition, you can now specify an edge margin for the text cursor.
  This margin is how close the caret should be allowed to get to the
  edge of the screen before it's time to "push."  The margin can
  range from 0 to 50%, with 50% being the equivalent of choosing
  centering.  These options should make it easier to keep track of
  your location on the screen and ensure that you can always see the
  area around your point of focus.

* Bug #501414 - Cthulhu should have (unbound) keybindings for quickly
  changing magnification settings

  We've added the following new commands:

  - Toggle color enhancements
  - Toggle mouse enhancements
  - Increase magnification level
  - Decrease magnification level
  - Cycle to the next magnifier position
  - Toggle magnifier on/off

   These should help you quickly change the zoomer to best access
   what you're working on.  These commands are "unbound," meaning
   they do not have a keystroke assigned to them.  You can define the
   keystrokes you would like to use on the Key Bindings pane of the
   Cthulhu Preferences dialog: locate each command you wish to define a
   keystroke for, move to the Key Binding column, and press Return.
   You'll be prompted for the new key.  Press it (rather than type it
   out) and then press Return.  Note that these commands do not
   permanently change the settings; they merely alter them "on the
   fly."

* Bug #503965 - Cthulhu should provide support for the pointer
  following focus and the zoomer

  If you're using the keyboard to perform a task and then move the
  mouse pointer, the zoomer would move away from your task and to
  the location of the mouse pointer.  We've added two options for
  dealing with this:

  - Pointer follows zoomer (enabled by default): If the mouse
    pointer is not on the screen when you initially move the mouse,
    it will be moved into the zoomer so that you can continue to see
    what you were working on.  If your preferred mouse tracking mode
    is centered, the pointer will be moved to the center; otherwise
    it will be moved to the item with focus.

 - Pointer follows focus (disabled by default): If this option is
   enabled, the mouse pointer will follow you as you arrow through
   menu items and move among controls in dialog boxes.

We also know we have more work to do and are tracking the work with
these bugs:

http://bugzilla.gnome.org/show_bug.cgi?id=464734
Provide some kind of visual feedback for the item with focus

http://bugzilla.gnome.org/show_bug.cgi?id=504075
Cthulhu should provide support for smooth/linear panning of the zoomer

http://bugzilla.gnome.org/show_bug.cgi?id=504077
Cthulhu should support mouse bindings

Firefox:

* Fix for bug #451988 - Firefox: navigation by landmark

  The XHTML role attribute module defines the following roles: banner,
  contentinfo, definition, main, navigation, note, search, secondary,
  seealso.  New functionality in Cthulhu allows you to navigate to the
  next and previous landmark on a page via the unbound keybindings:

  - Goes to previous landmark
  - Goes to next landmark

  These commands are "unbound," meaning they do not have a keystroke
  assigned to them.  You can define the keystrokes you would like to
  use on the Key Bindings pane of the Cthulhu Preferences dialog: locate
  each command you wish to define a keystroke for, move to the Key
  Binding column, and press Return.  You'll be prompted for the new
  key.  Press it (rather than type it out) and then press Return.

* Fix for bug #466251 - Support ARIA live regions in Firefox/Gecko.
  http://developer.mozilla.org/en/docs/AJAX:WAI_ARIA_Live_Regions

  Asynchronous JavaScript and XML (AJAX) has recently received a great
  amount of attention, and the number of websites using or planning to
  use the technique is increasing. AJAX enables web developers to
  easily create sites that change areas of their content in response
  to user actions (such as in webmail applications) or real world
  changes (such as updates of stock prices).

  http://www.w3.org/TR/aria-state/ is designed to address these
  issues. Live region markup allows web page authors to specify when
  and how live changes to specific areas of a web page should be
  spoken or shown on a Braille display by a screen reader.

  The support for live regions in Cthulhu is exposed via these
  keybindings:

  r and Shift+r: go to the next and previous live region relative to
  the current caret position

  y: go to the last (or current) live region that spoke

  \: cycle through the different levels of politeness

  Shift+\: turn monitoring of live regions on and off

  Cthulhu+F1, Cthulhu+F2, ..., Cthulhu+F9: review the last nth live region
  announcement, where n is the number of the function key (i.e., the
  last announcement is obtained via Cthulhu+F1, the 9th last announcement
  is obtained via Cthulhu+F9).

* Fix for bug #473009 - Cannot arrow to the end of an HTML entry if
  Cthulhu is controlling the caret

* Fix for bug #501447 - Cthulhu sometimes fails to speak our location
  when entering FF3 entries

Performance and Quality:

* Much work on performance (bug #491756).  If you have specific areas
  that you think are slow, please let us know the exact details.  These
  performance fixes also rely upon fixes being made in other modules
  (pyorbit, pyatspi) for the GNOME 2.21.4 release.

* Completed major pylinting work (bug #486726).  This helped us
  greatly and found a few latent bugs.

General:

* Fix for bug #486970 - Where Am I should let you know you are in a
  toolbar

* Fix for bug #496846 - When tabbing to an editable combobox, text
  selection should be displayed in braille

* Fix for bug #503527 - Mnemonics are not supported well

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    ko      Korean               Changwoo Ryu
    nb      Norwegian Bokmål     Espes Stefansen and Kjartan Maraas
    sl      Slovenian            Matej Urbanči

==========

2.21.3 - 03-Dec-2007

General:

* Lots and lots of pylint'ing (bug #486726)

* Beginning of work on performance (bug #491576).  We still have a bit
  of work to do.  We actually have some changes, but we're not comfortable
  with them yet.

* Fix for bug #407647 - Indicate the tree level, expanded state, and
  child nodes in the Pidgin buddy list

* Fix for bug #472665 - Speech Pane combo boxes mis-populating in Cthulhu
  Preferences dialog

* Fix for bug #486899 - Where Am I doesn't present checkbox state in
  tables

* Fix for bug #486901 - When tabbing to a text area for a spinbox or
  editable combobox, text selection should be presented

* Fix for bug #486909 - Where Am I should say "n of m items selected"
  and "on item x of y" in layered pane

* Fix for bug #486971 - Where Am I doesn't present toggle button state

* Fix for bug #486976 - Basic Where Am I in multiline text areas
  should only present info for current line

* Fix for bug #487189 - Where Am I should present accessible
  description if it exists

* Fix for bug #500193 - Update keybindings for reviewing previous
  messages.  The keybindings have been moved from the number keys
  to the F1-F9 keys.  Bookmarks are still on the number keys.

  NOTE: this effects the Cthulhu learn mode key.  Instead of Cthulhu+F1,
  it is now Cthulhu+h.

  NOTE: this effects the review of previous messages in gaim and
  gnome-mud.  Instead of Cthulhu+{1,2,3,...} to read the last nth
  message, you now use Cthulhu+{F1,F2,F3,...}.

  NOTE: this also effects the debugging tools.  The new bindings
  are Cthulhu+Ctrl+Alt+{the following}, where {the_following} is one
  of:

  End - reportScriptInfoHandler
  Home - printActiveAppHandler
  Page_Up - printAncestryHandler (think "look upward in hierarchy")
  Page_Down - printHierarchyHandler (think "look down from the top")

Firefox:

* Fix for bug #462883 - ARIA tooltips/alerts are not being output

* Fix for bug #468551 - Support ARIA checkboxTriState

* Fix for bug #469718 - Gecko.inDocumentContent() needs to account for
  'embedded component'

OpenOffice:

* Fix for bug #435201 - Cthulhu is too chatty when navigating by
  paragraph in OOo Writer

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    gl      Galician             Ignacio Casal Quinteiro
    hu      Hungarian            Kálmán Kéménczy and Gabor Kelemen
    sl      Slovenian            Matej Urbanči

==========

2.21.2 - 12-Nov-2007

General:

* Fix for bug #469083 - Refactor Gecko.py's getContainingRole() to
  take a list

* Fix for bug #481488 - Implement increased support for
  user-customized keybindings

* Fix for bug #486918 - Page tab role should be presented in braille

* Fix for bug #486969 - Status bar not being read with Where Am I

* Fix for bug #486972 - Expanding/collapsing tree nodes in a table
  should not speak nodename again

* Fix for bug #487226 - "/" and the CthulhuKey should not be hardcoded in
  default.py:whereAmI.  There are now two handlers instead of one,
  helping reduce a lot of confusion and complexity.  There is the
  "Performs the where am I operation" handler (same as we used to
  have) and the new "Speaks the title bar or status bar" handler.
  All keybindings are still the same.

* Fix for bug #487514 - Keys for navigation purposes should not be
  echoed

* Fix for bug #489875 - Some Cthulhu macaroon oowriter and oocalc tests
  have timeout problems

* Fix for bug #489913 - Changing preferences from a test causes
  tracebacks and spontaneous speech

* Fix for bug #489928 - Cthulhu oocalc macaroon test for bug #363804
  doesn't completely restore initial state

* Fix for bug #491417 - Cthulhu script should inherit PATH and PYTHONPATH
  from environment.  (Thanks David Csercsics!!!)

* Fix for bug #494651 - Cthulhu's OBJECT EVENT debug routine not
  outputting all information for "object:selection-changed"
  menu bar event

* Additional work related to pyatspi migration (bug #489490,
  bug #491885).  We will be looking at improving performance for the
  next release.

Firefox:

* Fix for bug #485903 - Cthulhu doesn't read message list in gmail

* Fix for bug #490266 - Endless loop in navigating ARIA trees

* Fix for bug #490568 - Implement Firefox page summary using
  Collections

New and updated translations (THANKS EVERYONE!!!):

    pt_BR   Brazilian Portuguese Leonardo Ferreira Fontenelle
                                 and Tiago Melo Casal
    nb      Norwegian Bokmål     Espes Stefansen and Kjartan Maraas

==========

2.21.1 - 28-Oct-2007

Things marked with a '+' indicate stuff that is not planned for a Cthulhu
2.20.x release.  Everything else should appear in a Cthulhu 2.20.x
release.

General:

* Fix for bug #462984 - Cthulhu failed to detect the resolution of second screen.

* Fix for bug #473699 - Adjust Cthulhu Preferences dialog to
  speak/braille three components that are multiply labelled.

* Fix for bug #474958 - Cthulhu has no onboard help.

* Fix for bug #483018 - We should remove (or redefine) the cthulhu speech
  change hotkeys.  Hot keys removed per discussion on Cthulhu user's list.

* Fix for bug #484428 - Cthulhu should not speak role for list items when
  navigating.

* Fix for bug #484499 - Cthulhu should not braille the node level for
  every cell in row.

* Fix for bug #489604 - Enabling the attribute indicator but disabling
  all attributes results in traceback.

+ Much work on bug #448848 - Port Cthulhu to pyatspi.  The first major phase
  is done, which was to remove Cthulhu's atspi.py module in favor of pyatspi.py.
  Much testing has been done, and we think we've caught all functional
  regressions.  Much performance work remains, however.

+ Fix for bug #467664 - unmagnified area becomes too small to use.

+ Work on bug #486726 - Eliminate pychecker warnings/errors.  This was used
  mainly as a means to help with bug #448848, but we plan to do more work
  since it helped catch issues that have been in the code for a while.

+ Fix for bug #487230 - get{Speech,ShortBraille,LongBraille,Braille}ForRoleName
  should allow role to be overridden.

+ Fix for bug #488391 - Cthulhu doesn't announce finds in Gedit if combo
  box has focus.

+ Fix for bug #489797 - _speakListItem defined twice in where_am_i.py.

+ Increased coverage of the code in the regression/assertion tests.

Firefox:

* Work on bug #472345 - Cannot arrow out of entries in FF3 if text is
  inserted via javascript.

* Fix for bug #480501 - readPageSummary() prevents access to FF status
  bar contents.

+ Additional work for bug #478204, Cthulhu should handle navigation around
  HTML focusable lists better.

+ Fix for bug #480264 - ARIA sliders not outputting
  Braille/childCount:embed defense.

OpenOffice:

* Fix for bug #376517 - Cthulhu does not report indentation in OOo Writer
  documents correctly.

* Fix for bug #435852 - Cthulhu and OpenOffice Calc have a memory lovefest.

* Fix for bug #480278 - where-am-I ("double click") for StarOffice.py
  smushs the output.

+ Fix for bug #489490 - Test for OOo Writer bug #413909 not producing the
  correct output.

+ Fix for bug #490623, work around for flat_review __cmp__ issue for
  OpenOffice.

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    sl      Slovenian            Matej Urbanči
    sv      Swedish              Daniel Nylander

==========

2.21.0 - 03-Oct-2007

Things marked with a '+' indicate stuff that is not planned for a Cthulhu
2.20.x release.  Everything else should appear in a Cthulhu 2.20.x
release.

General:

* Work on bug 356068 - Provide a command for identifying the default
  button within a dialog

* Fix for bug 364518 - Create a GUI interface to the pronunciation
  dictionary

* Fix for bug 455308 - Output module and voice selection with Speech
  Dispatcher backend

* Fix for bug 456970 - Cthulhu says "0 items" for tree tables that use
  NODE_CHILD_OF relationship

* Fix for bug 457198 - Cthulhu shouldn't exit if user-settings import
  fails

* Fix for bug 461719 - gnome-mud script failed at import
  (Thanks Javier!!!)

* Fix for bug 462650 - Traceback when using whereAmI in Evolution New
  Contact dialog

* Fix for bug 462475 - crash due Non-ASCII characters in
  ~/.cthulhu/user-settings.py file

* Fix for bug 464855 - cthulhu speaks/brailles scroll bar arrows as
  anonymous "push buttons"

* Work on bug 465989 - Adding panel applets.  Manage the presentation
  of images in tables better

* Fix for bug 466500 - Speech Dispatcher backend crashes with older SD
  versions (Thanks Tomas Cerha!)

* Fix for bug 466725 - Traceback when using SayAll in Gedit when text
  lacks sentence punctuation

* Fix for bug 467425 - Cthulhu should default to an empty pronunciation
  dictionary

* Fix for bug 467425 - Cthulhu causes pygtk application to generate
  GtkWarning messages

* Fix for bug 467563 - Speech Dispatcher backend crashes in text setup
  (Thanks Tomas Cerha!)

* Work on bug 468098 - The whereAmI implementation doesn't always
  match the whereAmI spec

* Fix for bug 469615 - A few lingering i18n issues

* Fix for bug 469786 - Braille verbosity setting not reset

* Fix for bug 471220 - Gaim's prefixChatMessage setting should have
  option to only prefix non-focused tabs

* Fix for bug 472407 - Cthulhu doesn't always announce new messages
  in unfocused tabs in Pidgin

* Fix for bug 472962 - Trailing space at end of message/string

* Fix for bug 473420 - Cthulhu speaking an extra "seconds" for the
  Preferences dialog

* Fix for bug 473422 - Cthulhu has traceback when giving focus to the
  pidgin application

* Fix for bug 473991 - Cthulhu doesn't announce autocompleted user names
  in Pidgin

* Fix for bug 477683 - Cthulhu failed to bring full screen mag up

* Fix for bug 480331 - tree table headers should not be repeated in
  braille

* Fix for bug 480746 - Labels for panels should not be repeated in
  braille

* Fix for bug 481101 - getClickCount() sometimes returns bogus values

* Fix for bug 481343 - Initial top/left/bottom/right zoomer position
  settings don't match screen

+ Much work on the test harness and many new regression tests.
  The tests are now Macaroon-based.

+ Fix for bug 458150 - flat-review should present slider orientation

+ Fix for bug 462627 - Refactor cthulhu_prefs.py

+ Fix for bug 464754 - Pronunciation dictionary checks should be
  case insensitive

+ Fix for bug 469098 - Cthulhu should indicate when a new chat window/tab
  has appeared in Pidgin

+ Fix for bug 472907 - Characters "Â°" and "Âº" shouldn't have the
  same description

+ Fix for bug 472978 - Short Braille and spoken word for "dial" should
  be different messages

+ Fix for bug 476639 - Remove requirement of annotating accessible
  objects

Firefox:

* Fix for bug 457988 - Firefox SSL Dialogs are not read

* Fix for bug 460284 - Cthulhu should not allow the user to arrow into
  the FF3 status bar

* Fix for bug 461620 - Cthulhu doesn't speak find results in FF3 when
  focus is on Next/Previous buttons.

* Fix for bug 466764 - Cthulhu doesn't provide access to alerts that
  appear when page is loading in FF3

* Fix for bug 468633 - No output when tabbing to ARIA slider

* Fix for bug 469686 - Sanity check needed in
  gecko.getHeadingLevel/getNodeLevel

* Fix for bug 470332 - Can no longer arrow to push buttons in FF3

* Fix for bug 471537 - We need to find a way to identify truly
  "focusable" elements in FF3

* Fix for bug 471955 - Cthulhu does not provide access to state changes
  in HTML radio buttons in FF3

* Work on bug 472029 - Cannot arrow into autocompletes in HTML forms
  if Cthulhu is controlling the caret

* Fix for bug 472345 - Cannot arrow out of entries in FF3 if text is
  inserted via javascript

* Work on bug 472377 - Need to fix braille for radio buttons and
  checkboxes in HTML content

* Fix for bug 473585 - Caret not being set to ARIA listbox when
  navigating to it

* Fix for bug 475956 - Cthulhu sometimes "guesses" index.htm* as the
  base name for a link in FF3

* Fix for bug 476786 - whereAmI fails in Firefox menus

* Fix for bug 478204 - Cthulhu should handle navigation around HTML
  focusable lists better

* Fix for bug 480021 - Need to handle list items in whereAmI and
  better address XUL list items

* Fix for bug 481398 - Absence of a defined speech server causes Cthulhu
  to fail to display its Preferences dialog

* Fix for bug 481907 - Traceback in Gecko.locusOfFocusChanged()

+ Fix for bug 459584 - ARIA widget labels not read correctly

+ Fix for bug 462156 - No announcements for ARIA trees

+ Fix for bug 462509 - ARIA dialogs are not being announced

+ Fix for bug 471885 - ARIA trees should output only state change if
  item is unchanged

+ Fix for bug 471878 - ARIA widgets should not echo characters during
  traversal using arrows

+ Fix for bug 475177 - Support new AT-SPI event name format

Thunderbird:

* Fix for bug 468765 - Cthulhu does not provide access to shortcuts for
  FF3 or Thunderbird menu items

OpenOffice/StarOffice:

* Fix for bug 469367 - Cthulhu StarOffice script not properly announcing
  (potential) indentation in OOo Writer

+ Fix for bug 462256 - Cthulhu doesn't speak/braille anything when going
  to the 2nd screen in the OOo Presentation startup wizard

+ Fix for bug 465087 - Cthulhu speaks "Available fields panel" too
  many times with OOo sbase Tables wizard

New and updated translations (THANKS EVERYONE!!!):

    ar      Arabic               Djihed Afifi
    bg      Bulgarian            Alexander Shopov
    da      Danish               Kenneth Nielsen
    de      German               Jochen Skulj
    ca      Catalan              Gil Fcthulhuda and Josep Puigdemont i Casamaj
    el      Greek                Nikos Charonitakis
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    fi      Finnish              Ilkka Tuohela
    fr      French               Claude Paroz and Stéphane Raimbault
    it      Italian              Luca Ferretti
    ja      Japanese             Takeshi Aihana
    lt      Lithuanian           Gintautas Miliauskas and Romas Mažeika
    lv      Latvian              Raivis Dajus
    mk      Macedonian           Jovan Naumovski
    nb      Norwegian Bokmål     Espes Stefansen and Kjartan Maraas
    pt      Portuguese           Duarte Loreto
    pt_BR   Brazilian Portuguese Djavan Fagundes and Raphael Higino
                                 and Tiago Melo Casal
    ru      Russian              Anatoly Kamynin and Maxim Dziumanenko
    si      Sinhala              Danishka Navin
    sq      Albanian             Laurent Dhima
    sv      Swedish              Daniel Nylander
    th      Thai                 Theppitak Karoonboonyanan
    uk      Ukrainian            Maxim Dziumanenko
    vi      Vietnamese           Clytie Siddall

==========

2.19.6 - 29-Jul-2007

General:

* NOTICE: the automake requirement for Cthulhu has been moved from
  automake 1.7.2 to 1.9.

* Work on bug 364518 - Create a GUI interface to the pronunciation
  dictionary

* Fix for bug 409731 - Cthulhu should speak text selected by the mouse

* Work on bug 415061 - regression test results should be repeatable

* Fix for bug 439191 - sayAll by sentence can position the text cursor
  in the wrong place when interrupted

* Additional fix for bug 449964 - Pass the key event information to
  the speech system to allow more advanced key echo handling (needed
  to eliminate a stack trace)

* Fix for bug 455230 - Read table cell row should insert column
  headers for non-text cells

* Fix for bug 456296 - Traceback in braille.py when doing a
  "Select All" in gedit.

* Fix for bug 459080 - Some files missing from POTFILES.in (sorry!)

* Fix for bug 460215 - Include new Tango icons.  Many thanks to
  Stephen Brandt for his work here!  The icons look sharp.

Firefox:

* Fix for bug 456446 - Gecko autocompletes not always spoken

* Fix for bug 459618 - ARIA widgets should not consume navigation keys

Thunderbird:

* Fix for bug 460774 - Cthulhu doesn't provide access to message being
  composed in Thunderbird

Java platform:

* Fix for bug 458142 - flat-review does not review Swing panels with
  titled borders

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    fi      Finnish              Ilkka Tuohela
    lv      Latvian              Raivis Dejus
    pt_BR   Brazilian Portuguese Leonardo Ferreira Fontenelle
    sv      Swedish              Daniel Nylander

==========

2.19.5 - 09-Jul-2007

General:

* More work on the regression testing framework and tests

* Adjusted the uppercase pitch setting so that it is still noticeable
  but not quite so high

* Fix for bug 354468 - support bookmarked objects

* Fix for bug 354479 - Automatic presentation of "balloon" type
  messages

* Fix for bug 375396 - Cthulhu failed to exit after stopping the full
  screen mag.

* Tweak for the fix for bug 376515 - Add GUI support for the new
  customizable text-attribute feature: avoid errors when ~/.cthulhu is
  not present

* Fix for bug 382601 and bug 400720 - Cthulhu should indicate selected
  text on the braille display and support accurate presentation of
  text attributes on the braille display

* Work on bug 395146 - Crash at start. Try to start an HTTP server on
  settings.httpServerPort. If this fails, retry
  settings.maxHttpServerRetries times, each time incrementing the
  server port number by 1. If we are still unable to start a server,
  just fail gracefully.

* Fix for bug 436888 - Include widget status information in speech and
  braille for flat review

* Fix for bug 438333 - Need to present progress bar activity

* Fix for bug 439191 - sayAll by sentence can position the text cursor
  in the wrong place when interrupted

* Fix for bug 442069 - Unneeded gnome-speech drivers not stopped when
  GUI setup window is dismissed

* Fix for bug 446881 - Cthulhu braillegenerator code assumes that what's
  in a table is a table cell

* Fix for bug 449964 - Pass the key event information to the speech
  system to allow more advanced key echo handling (thanks Tomas Cerha!)

* Fix for bug 449978 - Punctuation keys not echoed (thanks Tomas Cerha!)

* Fix for bug 450037 - Password field for gdm speaks characters you
  type instead of "star star star star"

* Fix for bug 450213 - should acc._narrow(Accessibility.Accessible) be
  a SEVERE error?

* Fix for bug 451531 - Cthulhu failed to report the conversation message
  of pidgin.  This was solved by simply mapping the gaim script to pidgin

Firefox:

* Fix for bug 409728 - Cthulhu repeats mouse-selected text numerous times
  in Gecko

* Fix for bug 447191 - Firefox read page summary

* Fix for bug 448096 - Cthulhu does not provide access to progress bars
  for FF3 downloads

* Fix for bug 449171 - Cthulhu gets stuck in endless loops on woot.com

* Fix for bug 449232 - Firefox move to next large object additional
  tweak

* Fix for bug 453229 - Cthulhu should honor the repeated character count
  setting in Firefox

Thunderbird:

* Fix for bug 449152 - Cannot create a new message in thunderbird
  while using Cthulhu

OpenOffice:

* Fix for bug 450210 - StarOffice.py needs null-check for
  self.getFrame(event.source)

New and updated translations (THANKS EVERYONE!!!):

    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez
    ta      Tamil                I. Felix
    vi      Vietnamese           Clytie Siddall and Nguyễn Thái Ngọc Duy

==========

2.19.4 - 17-Jun-2007

General:

* Fix for bug 376515 - Add GUI support for the new customizable
  text-attribute feature. There is a new "Text Attributes" pane in
  the Cthulhu preferences dialog for this. It can also be set on an
  individual app-specific basis.

* Fix for bug 433818 - Messages on system tab of gnome-system-monitor
  are not reported by Cthulhu.

* Fix for bug 433951 - making changes in the Cthulhu Preferences dialog
  causes loss of script state.

* Fixes for bug 435199 - Cthulhu is bloating the swap partition, so the
  system is no more usable after a short time.  We did a lot of
  analysis of Cthulhu's memory usage and patched the leaks we were able
  to detect.  There is still a leak in the AT-SPI infrastructure; it
  is being worked on by the AT-SPI maintainers and is tracked via bug
  446277.

Firefox:

* Fix for bug 442709 - Need to do "combo box cleanup"/refactor for
  Firefox.

* Fix for bug 443337 - Cthulhu should not use the alt text if it is empty
  to infer a link name.

* Fix for bug 444148 - Cthulhu doesn't speak form fields at landsend.com

* Fix for bug 445578 - Link preview information would be desirable for
  Firefox.  This is obtained when performing a "Where Am I" operation
  (KP_Enter for desktop bindings, CTHULHU_MODIFIER+Return for laptop
  bindings).  Many thanks to new community member Scott Haeger for
  this functionality!

Java platform:

* Fix for bug 435553 - KeyError: 'startOffset' during Java Control
  Panel flat-review.

* Fix for bug 436658 - flat-review speaks "filler" for SwingSet2
  demo/source tabs.

* Fix for bug 436661 - flat-review speaks SwingSet2 toolbar image
  paths instead of item names.

* Fix for bug 437226 - Cthulhu should handle Java labels and text where
  LABEL_FOR is not set.

New and updated translations (THANKS EVERYONE!!!):

    dz      Dzongkha             Pema Geyleg
    es      Spanish              Francisco Javier Dorado Martinez and
                                 Jorge Gonzalez

==========

2.19.3 - 04-Jun-2007

General Cthulhu:

* Make checkbox and radio button indicator strings customizable
  (thanks Mario Lang!)

* Present checkbox and radio button indicators before label/name in
  braille (thanks Mario Lang!)

* Fix for bug 345399 - Key echo missing alpha numeric and punctuation
  keys

